/* @(#) samples/c/xatm/infswitn.c, tranmgr, p600, p600-201-061220 1.4.1.1 05/05/26 16:13:21 */
/******************************************************************************/
/*                                                                            */
/* Module name: infswit.c                                                     */
/*                                                                            */
/* Description: WebSphere MQ XA switch program for Informix                   */
/*                                                                            */
/* <N_OCO_COPYRIGHT>                                                          */
/* Licensed Materials - Property of IBM                                       */
/*                                                                            */
/* 63H9336                                                                    */
/* (c) Copyright IBM Corp. 2004, 2005 All Rights Reserved.                    */
/*                                                                            */
/* US Government Users Restricted Rights - Use, duplication or                */
/* disclosure restricted by GSA ADP Schedule Contract with                    */
/* IBM Corp.                                                                  */
/* <NOC_COPYRIGHT>                                                            */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* Includes                                                                   */
/******************************************************************************/

#include <cmqc.h>                                /* MQ header                 */
#include "xa.h"                                  /* MQ supplied XA header     */

/******************************************************************************/
/* External function declarations                                             */
/******************************************************************************/

extern __declspec(dllimport) struct xa_switch_t * MQENTRY fn_xa_switch(void);

/******************************************************************************/
/*                                                                            */
/* Function name:  MQStart                                                    */
/*                                                                            */
/* Description: The queue manager calls this function to access the XA switch */
/*              of Informix                                                   */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Input Parameters:  None                                                    */
/*                                                                            */
/* Output Parameters: None                                                    */
/*                                                                            */
/* Returns:           Pointer to Informix XA switch                           */
/*                                                                            */
/******************************************************************************/
__declspec(dllexport) struct xa_switch_t * MQENTRY MQStart(void)
{
   struct xa_switch_t *pXASwitch;                /* ptr to XA switch          */

   pXASwitch = fn_xa_switch();                   /* call function to get ptr  */

   return(pXASwitch);
}

/******************************************************************************/
/* End of infswit.c                                                           */
/******************************************************************************/
