/* @(#) samples/c/xatm/oraswitn.c, tranmgr, p600, p600-201-061220 1.9.1.1 05/05/26 23:25:34 */
/******************************************************************************/
/*                                                                            */
/* Module name: oraswit.c                                                     */
/*                                                                            */
/* Description: WebSphere MQ XA switch program for Oracle                     */
/*                                                                            */
/*<N_OCO_COPYRIGHT>                                                           */
/* Licensed Materials - Property of IBM                                       */
/*                                                                            */
/* 63H9336                                                                    */
/* (c) Copyright IBM Corp. 2000, 2005 All Rights Reserved.                    */
/*                                                                            */
/* US Government Users Restricted Rights - Use, duplication or                */
/* disclosure restricted by GSA ADP Schedule Contract with                    */
/* IBM Corp.                                                                  */
/*<NOC_COPYRIGHT>                                                             */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* Includes                                                                   */
/******************************************************************************/

#include <cmqc.h>                                /* MQ header                 */
#include "xa.h"                                  /* MQ supplied XA header     */

/******************************************************************************/
/* External data declarations                                                 */
/******************************************************************************/

extern __declspec(dllimport) struct xa_switch_t xaosw;

/******************************************************************************/
/*                                                                            */
/* Function name:  MQStart                                                    */
/*                                                                            */
/* Description: The queue manager calls this function to access the XA switch */
/*              of Oracle                                                     */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Input Parameters:  None                                                    */
/*                                                                            */
/* Output Parameters: None                                                    */
/*                                                                            */
/* Returns:           Pointer to Oracle XA switch                             */
/*                                                                            */
/******************************************************************************/
__declspec(dllexport) struct xa_switch_t * MQENTRY MQStart(void)
{
   return(&xaosw);
}

/******************************************************************************/
/* End of oraswit.c                                                           */
/******************************************************************************/
