      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFV                                      **
      **                                                              **
      **  DESCRIPTION:    Constants for PCF and Events                **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the named constants      **
      **                  for PCF and event messages.                 **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      **$$#con$ on 
      ******************************************************************
      **  Values Related to MQCFH Structure                           **
      ******************************************************************
      ** Structure Length 
       10  MQCFH-STRUC-LENGTH   PIC S9(9) BINARY VALUE 36.

      ** Structure Version Number 
       10  MQCFH-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQCFH-VERSION-2   PIC S9(9) BINARY VALUE 2.
       10  MQCFH-VERSION-3   PIC S9(9) BINARY VALUE 3.
       10  MQCFH-CURRENT-VERSION   PIC S9(9) BINARY VALUE 3.

      ** Command Codes 
       10  MQCMD-CHANGE-Q-MGR   PIC S9(9) BINARY VALUE 1.
       10  MQCMD-INQUIRE-Q-MGR   PIC S9(9) BINARY VALUE 2.
       10  MQCMD-CHANGE-PROCESS   PIC S9(9) BINARY VALUE 3.
       10  MQCMD-COPY-PROCESS   PIC S9(9) BINARY VALUE 4.
       10  MQCMD-CREATE-PROCESS   PIC S9(9) BINARY VALUE 5.
       10  MQCMD-DELETE-PROCESS   PIC S9(9) BINARY VALUE 6.
       10  MQCMD-INQUIRE-PROCESS   PIC S9(9) BINARY VALUE 7.
       10  MQCMD-CHANGE-Q   PIC S9(9) BINARY VALUE 8.
       10  MQCMD-CLEAR-Q   PIC S9(9) BINARY VALUE 9.
       10  MQCMD-COPY-Q   PIC S9(9) BINARY VALUE 10.
       10  MQCMD-CREATE-Q   PIC S9(9) BINARY VALUE 11.
       10  MQCMD-DELETE-Q   PIC S9(9) BINARY VALUE 12.
       10  MQCMD-INQUIRE-Q   PIC S9(9) BINARY VALUE 13.
       10  MQCMD-REFRESH-Q-MGR   PIC S9(9) BINARY VALUE 16.
       10  MQCMD-RESET-Q-STATS   PIC S9(9) BINARY VALUE 17.
       10  MQCMD-INQUIRE-Q-NAMES   PIC S9(9) BINARY VALUE 18.
       10  MQCMD-INQUIRE-PROCESS-NAMES   PIC S9(9) BINARY VALUE 19.
       10  MQCMD-INQUIRE-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 20.
       10  MQCMD-CHANGE-CHANNEL   PIC S9(9) BINARY VALUE 21.
       10  MQCMD-COPY-CHANNEL   PIC S9(9) BINARY VALUE 22.
       10  MQCMD-CREATE-CHANNEL   PIC S9(9) BINARY VALUE 23.
       10  MQCMD-DELETE-CHANNEL   PIC S9(9) BINARY VALUE 24.
       10  MQCMD-INQUIRE-CHANNEL   PIC S9(9) BINARY VALUE 25.
       10  MQCMD-PING-CHANNEL   PIC S9(9) BINARY VALUE 26.
       10  MQCMD-RESET-CHANNEL   PIC S9(9) BINARY VALUE 27.
       10  MQCMD-START-CHANNEL   PIC S9(9) BINARY VALUE 28.
       10  MQCMD-STOP-CHANNEL   PIC S9(9) BINARY VALUE 29.
       10  MQCMD-START-CHANNEL-INIT   PIC S9(9) BINARY VALUE 30.
       10  MQCMD-START-CHANNEL-LISTENER   PIC S9(9) BINARY VALUE 31.
       10  MQCMD-CHANGE-NAMELIST   PIC S9(9) BINARY VALUE 32.
       10  MQCMD-COPY-NAMELIST   PIC S9(9) BINARY VALUE 33.
       10  MQCMD-CREATE-NAMELIST   PIC S9(9) BINARY VALUE 34.
       10  MQCMD-DELETE-NAMELIST   PIC S9(9) BINARY VALUE 35.
       10  MQCMD-INQUIRE-NAMELIST   PIC S9(9) BINARY VALUE 36.
       10  MQCMD-INQUIRE-NAMELIST-NAMES   PIC S9(9) BINARY VALUE 37.
       10  MQCMD-ESCAPE   PIC S9(9) BINARY VALUE 38.
       10  MQCMD-RESOLVE-CHANNEL   PIC S9(9) BINARY VALUE 39.
       10  MQCMD-PING-Q-MGR   PIC S9(9) BINARY VALUE 40.
       10  MQCMD-INQUIRE-Q-STATUS   PIC S9(9) BINARY VALUE 41.
       10  MQCMD-INQUIRE-CHANNEL-STATUS   PIC S9(9) BINARY VALUE 42.
       10  MQCMD-CONFIG-EVENT   PIC S9(9) BINARY VALUE 43.
       10  MQCMD-Q-MGR-EVENT   PIC S9(9) BINARY VALUE 44.
       10  MQCMD-PERFM-EVENT   PIC S9(9) BINARY VALUE 45.
       10  MQCMD-CHANNEL-EVENT   PIC S9(9) BINARY VALUE 46.
       10  MQCMD-DELETE-PUBLICATION   PIC S9(9) BINARY VALUE 60.
       10  MQCMD-DEREGISTER-PUBLISHER   PIC S9(9) BINARY VALUE 61.
       10  MQCMD-DEREGISTER-SUBSCRIBER   PIC S9(9) BINARY VALUE 62.
       10  MQCMD-PUBLISH   PIC S9(9) BINARY VALUE 63.
       10  MQCMD-REGISTER-PUBLISHER   PIC S9(9) BINARY VALUE 64.
       10  MQCMD-REGISTER-SUBSCRIBER   PIC S9(9) BINARY VALUE 65.
       10  MQCMD-REQUEST-UPDATE   PIC S9(9) BINARY VALUE 66.
       10  MQCMD-BROKER-INTERNAL   PIC S9(9) BINARY VALUE 67.
       10  MQCMD-ACTIVITY-MSG   PIC S9(9) BINARY VALUE 69.
       10  MQCMD-INQUIRE-CLUSTER-Q-MGR   PIC S9(9) BINARY VALUE 70.
       10  MQCMD-RESUME-Q-MGR-CLUSTER   PIC S9(9) BINARY VALUE 71.
       10  MQCMD-SUSPEND-Q-MGR-CLUSTER   PIC S9(9) BINARY VALUE 72.
       10  MQCMD-REFRESH-CLUSTER   PIC S9(9) BINARY VALUE 73.
       10  MQCMD-RESET-CLUSTER   PIC S9(9) BINARY VALUE 74.
       10  MQCMD-TRACE-ROUTE   PIC S9(9) BINARY VALUE 75.
       10  MQCMD-REFRESH-SECURITY   PIC S9(9) BINARY VALUE 78.
       10  MQCMD-CHANGE-AUTH-INFO   PIC S9(9) BINARY VALUE 79.
       10  MQCMD-COPY-AUTH-INFO   PIC S9(9) BINARY VALUE 80.
       10  MQCMD-CREATE-AUTH-INFO   PIC S9(9) BINARY VALUE 81.
       10  MQCMD-DELETE-AUTH-INFO   PIC S9(9) BINARY VALUE 82.
       10  MQCMD-INQUIRE-AUTH-INFO   PIC S9(9) BINARY VALUE 83.
       10  MQCMD-INQUIRE-AUTH-INFO-NAMES   PIC S9(9) BINARY VALUE 84.
       10  MQCMD-INQUIRE-CONNECTION   PIC S9(9) BINARY VALUE 85.
       10  MQCMD-STOP-CONNECTION   PIC S9(9) BINARY VALUE 86.
       10  MQCMD-INQUIRE-AUTH-RECS   PIC S9(9) BINARY VALUE 87.
       10  MQCMD-INQUIRE-ENTITY-AUTH   PIC S9(9) BINARY VALUE 88.
       10  MQCMD-DELETE-AUTH-REC   PIC S9(9) BINARY VALUE 89.
       10  MQCMD-SET-AUTH-REC   PIC S9(9) BINARY VALUE 90.
       10  MQCMD-LOGGER-EVENT   PIC S9(9) BINARY VALUE 91.
       10  MQCMD-RESET-Q-MGR   PIC S9(9) BINARY VALUE 92.
       10  MQCMD-CHANGE-LISTENER   PIC S9(9) BINARY VALUE 93.
       10  MQCMD-COPY-LISTENER   PIC S9(9) BINARY VALUE 94.
       10  MQCMD-CREATE-LISTENER   PIC S9(9) BINARY VALUE 95.
       10  MQCMD-DELETE-LISTENER   PIC S9(9) BINARY VALUE 96.
       10  MQCMD-INQUIRE-LISTENER   PIC S9(9) BINARY VALUE 97.
       10  MQCMD-INQUIRE-LISTENER-STATUS   PIC S9(9) BINARY VALUE 98.
       10  MQCMD-COMMAND-EVENT   PIC S9(9) BINARY VALUE 99.
       10  MQCMD-CHANGE-SECURITY   PIC S9(9) BINARY VALUE 100.
       10  MQCMD-CHANGE-CF-STRUC   PIC S9(9) BINARY VALUE 101.
       10  MQCMD-CHANGE-STG-CLASS   PIC S9(9) BINARY VALUE 102.
       10  MQCMD-CHANGE-TRACE   PIC S9(9) BINARY VALUE 103.
       10  MQCMD-ARCHIVE-LOG   PIC S9(9) BINARY VALUE 104.
       10  MQCMD-BACKUP-CF-STRUC   PIC S9(9) BINARY VALUE 105.
       10  MQCMD-CREATE-BUFFER-POOL   PIC S9(9) BINARY VALUE 106.
       10  MQCMD-CREATE-PAGE-SET   PIC S9(9) BINARY VALUE 107.
       10  MQCMD-CREATE-CF-STRUC   PIC S9(9) BINARY VALUE 108.
       10  MQCMD-CREATE-STG-CLASS   PIC S9(9) BINARY VALUE 109.
       10  MQCMD-COPY-CF-STRUC   PIC S9(9) BINARY VALUE 110.
       10  MQCMD-COPY-STG-CLASS   PIC S9(9) BINARY VALUE 111.
       10  MQCMD-DELETE-CF-STRUC   PIC S9(9) BINARY VALUE 112.
       10  MQCMD-DELETE-STG-CLASS   PIC S9(9) BINARY VALUE 113.
       10  MQCMD-INQUIRE-ARCHIVE   PIC S9(9) BINARY VALUE 114.
       10  MQCMD-INQUIRE-CF-STRUC   PIC S9(9) BINARY VALUE 115.
       10  MQCMD-INQUIRE-CF-STRUC-STATUS   PIC S9(9) BINARY VALUE 116.
       10  MQCMD-INQUIRE-CMD-SERVER   PIC S9(9) BINARY VALUE 117.
       10  MQCMD-INQUIRE-CHANNEL-INIT   PIC S9(9) BINARY VALUE 118.
       10  MQCMD-INQUIRE-QSG   PIC S9(9) BINARY VALUE 119.
       10  MQCMD-INQUIRE-LOG   PIC S9(9) BINARY VALUE 120.
       10  MQCMD-INQUIRE-SECURITY   PIC S9(9) BINARY VALUE 121.
       10  MQCMD-INQUIRE-STG-CLASS   PIC S9(9) BINARY VALUE 122.
       10  MQCMD-INQUIRE-SYSTEM   PIC S9(9) BINARY VALUE 123.
       10  MQCMD-INQUIRE-THREAD   PIC S9(9) BINARY VALUE 124.
       10  MQCMD-INQUIRE-TRACE   PIC S9(9) BINARY VALUE 125.
       10  MQCMD-INQUIRE-USAGE   PIC S9(9) BINARY VALUE 126.
       10  MQCMD-MOVE-Q   PIC S9(9) BINARY VALUE 127.
       10  MQCMD-RECOVER-BSDS   PIC S9(9) BINARY VALUE 128.
       10  MQCMD-RECOVER-CF-STRUC   PIC S9(9) BINARY VALUE 129.
       10  MQCMD-RESET-TPIPE   PIC S9(9) BINARY VALUE 130.
       10  MQCMD-RESOLVE-INDOUBT   PIC S9(9) BINARY VALUE 131.
       10  MQCMD-RESUME-Q-MGR   PIC S9(9) BINARY VALUE 132.
       10  MQCMD-REVERIFY-SECURITY   PIC S9(9) BINARY VALUE 133.
       10  MQCMD-SET-ARCHIVE   PIC S9(9) BINARY VALUE 134.
       10  MQCMD-SET-LOG   PIC S9(9) BINARY VALUE 136.
       10  MQCMD-SET-SYSTEM   PIC S9(9) BINARY VALUE 137.
       10  MQCMD-START-CMD-SERVER   PIC S9(9) BINARY VALUE 138.
       10  MQCMD-START-Q-MGR   PIC S9(9) BINARY VALUE 139.
       10  MQCMD-START-TRACE   PIC S9(9) BINARY VALUE 140.
       10  MQCMD-STOP-CHANNEL-INIT   PIC S9(9) BINARY VALUE 141.
       10  MQCMD-STOP-CHANNEL-LISTENER   PIC S9(9) BINARY VALUE 142.
       10  MQCMD-STOP-CMD-SERVER   PIC S9(9) BINARY VALUE 143.
       10  MQCMD-STOP-Q-MGR   PIC S9(9) BINARY VALUE 144.
       10  MQCMD-STOP-TRACE   PIC S9(9) BINARY VALUE 145.
       10  MQCMD-SUSPEND-Q-MGR   PIC S9(9) BINARY VALUE 146.
       10  MQCMD-INQUIRE-CF-STRUC-NAMES   PIC S9(9) BINARY VALUE 147.
       10  MQCMD-INQUIRE-STG-CLASS-NAMES   PIC S9(9) BINARY VALUE 148.
       10  MQCMD-CHANGE-SERVICE   PIC S9(9) BINARY VALUE 149.
       10  MQCMD-COPY-SERVICE   PIC S9(9) BINARY VALUE 150.
       10  MQCMD-CREATE-SERVICE   PIC S9(9) BINARY VALUE 151.
       10  MQCMD-DELETE-SERVICE   PIC S9(9) BINARY VALUE 152.
       10  MQCMD-INQUIRE-SERVICE   PIC S9(9) BINARY VALUE 153.
       10  MQCMD-INQUIRE-SERVICE-STATUS   PIC S9(9) BINARY VALUE 154.
       10  MQCMD-START-SERVICE   PIC S9(9) BINARY VALUE 155.
       10  MQCMD-STOP-SERVICE   PIC S9(9) BINARY VALUE 156.
       10  MQCMD-DELETE-BUFFER-POOL   PIC S9(9) BINARY VALUE 157.
       10  MQCMD-DELETE-PAGE-SET   PIC S9(9) BINARY VALUE 158.
       10  MQCMD-CHANGE-BUFFER-POOL   PIC S9(9) BINARY VALUE 159.
       10  MQCMD-CHANGE-PAGE-SET   PIC S9(9) BINARY VALUE 160.
       10  MQCMD-INQUIRE-Q-MGR-STATUS   PIC S9(9) BINARY VALUE 161.
       10  MQCMD-CREATE-LOG   PIC S9(9) BINARY VALUE 162.
       10  MQCMD-STATISTICS-MQI   PIC S9(9) BINARY VALUE 164.
       10  MQCMD-STATISTICS-Q   PIC S9(9) BINARY VALUE 165.
       10  MQCMD-STATISTICS-CHANNEL   PIC S9(9) BINARY VALUE 166.
       10  MQCMD-ACCOUNTING-MQI   PIC S9(9) BINARY VALUE 167.
       10  MQCMD-ACCOUNTING-Q   PIC S9(9) BINARY VALUE 168.
       10  MQCMD-INQUIRE-AUTH-SERVICE   PIC S9(9) BINARY VALUE 169.
       10  MQCMD-NONE   PIC S9(9) BINARY VALUE 0.

      ** Control Options 
       10  MQCFC-LAST   PIC S9(9) BINARY VALUE 1.
       10  MQCFC-NOT-LAST   PIC S9(9) BINARY VALUE 0.

      ** Reason Codes 
       10  MQRCCF-CFH-TYPE-ERROR   PIC S9(9) BINARY VALUE 3001.
       10  MQRCCF-CFH-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3002.
       10  MQRCCF-CFH-VERSION-ERROR   PIC S9(9) BINARY VALUE 3003.
       10  MQRCCF-CFH-MSG-SEQ-NUMBER-ERR   PIC S9(9) BINARY VALUE 3004.
       10  MQRCCF-CFH-CONTROL-ERROR   PIC S9(9) BINARY VALUE 3005.
       10  MQRCCF-CFH-PARM-COUNT-ERROR   PIC S9(9) BINARY VALUE 3006.
       10  MQRCCF-CFH-COMMAND-ERROR   PIC S9(9) BINARY VALUE 3007.
       10  MQRCCF-COMMAND-FAILED   PIC S9(9) BINARY VALUE 3008.
       10  MQRCCF-CFIN-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3009.
       10  MQRCCF-CFST-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3010.
       10  MQRCCF-CFST-STRING-LENGTH-ERR   PIC S9(9) BINARY VALUE 3011.
       10  MQRCCF-FORCE-VALUE-ERROR   PIC S9(9) BINARY VALUE 3012.
       10  MQRCCF-STRUCTURE-TYPE-ERROR   PIC S9(9) BINARY VALUE 3013.
       10  MQRCCF-CFIN-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3014.
       10  MQRCCF-CFST-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3015.
       10  MQRCCF-MSG-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3016.
       10  MQRCCF-CFIN-DUPLICATE-PARM   PIC S9(9) BINARY VALUE 3017.
       10  MQRCCF-CFST-DUPLICATE-PARM   PIC S9(9) BINARY VALUE 3018.
       10  MQRCCF-PARM-COUNT-TOO-SMALL   PIC S9(9) BINARY VALUE 3019.
       10  MQRCCF-PARM-COUNT-TOO-BIG   PIC S9(9) BINARY VALUE 3020.
       10  MQRCCF-Q-ALREADY-IN-CELL   PIC S9(9) BINARY VALUE 3021.
       10  MQRCCF-Q-TYPE-ERROR   PIC S9(9) BINARY VALUE 3022.
       10  MQRCCF-MD-FORMAT-ERROR   PIC S9(9) BINARY VALUE 3023.
       10  MQRCCF-CFSL-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3024.
       10  MQRCCF-REPLACE-VALUE-ERROR   PIC S9(9) BINARY VALUE 3025.
       10  MQRCCF-CFIL-DUPLICATE-VALUE   PIC S9(9) BINARY VALUE 3026.
       10  MQRCCF-CFIL-COUNT-ERROR   PIC S9(9) BINARY VALUE 3027.
       10  MQRCCF-CFIL-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3028.
       10  MQRCCF-QUIESCE-VALUE-ERROR   PIC S9(9) BINARY VALUE 3029.
       10  MQRCCF-MODE-VALUE-ERROR   PIC S9(9) BINARY VALUE 3029.
       10  MQRCCF-MSG-SEQ-NUMBER-ERROR   PIC S9(9) BINARY VALUE 3030.
       10  MQRCCF-PING-DATA-COUNT-ERROR   PIC S9(9) BINARY VALUE 3031.
       10  MQRCCF-PING-DATA-COMPARE-ERROR   PIC S9(9) BINARY VALUE 3032.
       10  MQRCCF-CFSL-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3033.
       10  MQRCCF-CHANNEL-TYPE-ERROR   PIC S9(9) BINARY VALUE 3034.
       10  MQRCCF-PARM-SEQUENCE-ERROR   PIC S9(9) BINARY VALUE 3035.
       10  MQRCCF-XMIT-PROTOCOL-TYPE-ERR   PIC S9(9) BINARY VALUE 3036.
       10  MQRCCF-BATCH-SIZE-ERROR   PIC S9(9) BINARY VALUE 3037.
       10  MQRCCF-DISC-INT-ERROR   PIC S9(9) BINARY VALUE 3038.
       10  MQRCCF-SHORT-RETRY-ERROR   PIC S9(9) BINARY VALUE 3039.
       10  MQRCCF-SHORT-TIMER-ERROR   PIC S9(9) BINARY VALUE 3040.
       10  MQRCCF-LONG-RETRY-ERROR   PIC S9(9) BINARY VALUE 3041.
       10  MQRCCF-LONG-TIMER-ERROR   PIC S9(9) BINARY VALUE 3042.
       10  MQRCCF-SEQ-NUMBER-WRAP-ERROR   PIC S9(9) BINARY VALUE 3043.
       10  MQRCCF-MAX-MSG-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3044.
       10  MQRCCF-PUT-AUTH-ERROR   PIC S9(9) BINARY VALUE 3045.
       10  MQRCCF-PURGE-VALUE-ERROR   PIC S9(9) BINARY VALUE 3046.
       10  MQRCCF-CFIL-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3047.
       10  MQRCCF-MSG-TRUNCATED   PIC S9(9) BINARY VALUE 3048.
       10  MQRCCF-CCSID-ERROR   PIC S9(9) BINARY VALUE 3049.
       10  MQRCCF-ENCODING-ERROR   PIC S9(9) BINARY VALUE 3050.
       10  MQRCCF-QUEUES-VALUE-ERROR   PIC S9(9) BINARY VALUE 3051.
       10  MQRCCF-DATA-CONV-VALUE-ERROR   PIC S9(9) BINARY VALUE 3052.
       10  MQRCCF-INDOUBT-VALUE-ERROR   PIC S9(9) BINARY VALUE 3053.
       10  MQRCCF-ESCAPE-TYPE-ERROR   PIC S9(9) BINARY VALUE 3054.
       10  MQRCCF-REPOS-VALUE-ERROR   PIC S9(9) BINARY VALUE 3055.
       10  MQRCCF-CHANNEL-TABLE-ERROR   PIC S9(9) BINARY VALUE 3062.
       10  MQRCCF-MCA-TYPE-ERROR   PIC S9(9) BINARY VALUE 3063.
       10  MQRCCF-CHL-INST-TYPE-ERROR   PIC S9(9) BINARY VALUE 3064.
       10  MQRCCF-CHL-STATUS-NOT-FOUND   PIC S9(9) BINARY VALUE 3065.
       10  MQRCCF-CFSL-DUPLICATE-PARM   PIC S9(9) BINARY VALUE 3066.
       10  MQRCCF-CFSL-TOTAL-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3067.
       10  MQRCCF-CFSL-COUNT-ERROR   PIC S9(9) BINARY VALUE 3068.
       10  MQRCCF-CFSL-STRING-LENGTH-ERR   PIC S9(9) BINARY VALUE 3069.
       10  MQRCCF-BROKER-DELETED   PIC S9(9) BINARY VALUE 3070.
       10  MQRCCF-STREAM-ERROR   PIC S9(9) BINARY VALUE 3071.
       10  MQRCCF-TOPIC-ERROR   PIC S9(9) BINARY VALUE 3072.
       10  MQRCCF-NOT-REGISTERED   PIC S9(9) BINARY VALUE 3073.
       10  MQRCCF-Q-MGR-NAME-ERROR   PIC S9(9) BINARY VALUE 3074.
       10  MQRCCF-INCORRECT-STREAM   PIC S9(9) BINARY VALUE 3075.
       10  MQRCCF-Q-NAME-ERROR   PIC S9(9) BINARY VALUE 3076.
       10  MQRCCF-NO-RETAINED-MSG   PIC S9(9) BINARY VALUE 3077.
       10  MQRCCF-DUPLICATE-IDENTITY   PIC S9(9) BINARY VALUE 3078.
       10  MQRCCF-INCORRECT-Q   PIC S9(9) BINARY VALUE 3079.
       10  MQRCCF-CORREL-ID-ERROR   PIC S9(9) BINARY VALUE 3080.
       10  MQRCCF-NOT-AUTHORIZED   PIC S9(9) BINARY VALUE 3081.
       10  MQRCCF-UNKNOWN-STREAM   PIC S9(9) BINARY VALUE 3082.
       10  MQRCCF-REG-OPTIONS-ERROR   PIC S9(9) BINARY VALUE 3083.
       10  MQRCCF-PUB-OPTIONS-ERROR   PIC S9(9) BINARY VALUE 3084.
       10  MQRCCF-UNKNOWN-BROKER   PIC S9(9) BINARY VALUE 3085.
       10  MQRCCF-Q-MGR-CCSID-ERROR   PIC S9(9) BINARY VALUE 3086.
       10  MQRCCF-DEL-OPTIONS-ERROR   PIC S9(9) BINARY VALUE 3087.
       10  MQRCCF-CLUSTER-NAME-CONFLICT   PIC S9(9) BINARY VALUE 3088.
       10  MQRCCF-REPOS-NAME-CONFLICT   PIC S9(9) BINARY VALUE 3089.
       10  MQRCCF-CLUSTER-Q-USAGE-ERROR   PIC S9(9) BINARY VALUE 3090.
       10  MQRCCF-ACTION-VALUE-ERROR   PIC S9(9) BINARY VALUE 3091.
       10  MQRCCF-COMMS-LIBRARY-ERROR   PIC S9(9) BINARY VALUE 3092.
       10  MQRCCF-NETBIOS-NAME-ERROR   PIC S9(9) BINARY VALUE 3093.
       10  MQRCCF-BROKER-COMMAND-FAILED   PIC S9(9) BINARY VALUE 3094.
       10  MQRCCF-CFST-CONFLICTING-PARM   PIC S9(9) BINARY VALUE 3095.
       10  MQRCCF-PATH-NOT-VALID   PIC S9(9) BINARY VALUE 3096.
       10  MQRCCF-PARM-SYNTAX-ERROR   PIC S9(9) BINARY VALUE 3097.
       10  MQRCCF-PWD-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3098.
       10  MQRCCF-FILTER-ERROR   PIC S9(9) BINARY VALUE 3150.
       10  MQRCCF-WRONG-USER   PIC S9(9) BINARY VALUE 3151.
       10  MQRCCF-DUPLICATE-SUBSCRIPTION   PIC S9(9) BINARY VALUE 3152.
       10  MQRCCF-SUB-NAME-ERROR   PIC S9(9) BINARY VALUE 3153.
       10  MQRCCF-SUB-IDENTITY-ERROR   PIC S9(9) BINARY VALUE 3154.
       10  MQRCCF-SUBSCRIPTION-IN-USE   PIC S9(9) BINARY VALUE 3155.
       10  MQRCCF-SUBSCRIPTION-LOCKED   PIC S9(9) BINARY VALUE 3156.
       10  MQRCCF-ALREADY-JOINED   PIC S9(9) BINARY VALUE 3157.
       10  MQRCCF-OBJECT-IN-USE   PIC S9(9) BINARY VALUE 3160.
       10  MQRCCF-UNKNOWN-FILE-NAME   PIC S9(9) BINARY VALUE 3161.
       10  MQRCCF-FILE-NOT-AVAILABLE   PIC S9(9) BINARY VALUE 3162.
       10  MQRCCF-DISC-RETRY-ERROR   PIC S9(9) BINARY VALUE 3163.
       10  MQRCCF-ALLOC-RETRY-ERROR   PIC S9(9) BINARY VALUE 3164.
       10  MQRCCF-ALLOC-SLOW-TIMER-ERROR   PIC S9(9) BINARY VALUE 3165.
       10  MQRCCF-ALLOC-FAST-TIMER-ERROR   PIC S9(9) BINARY VALUE 3166.
       10  MQRCCF-PORT-NUMBER-ERROR   PIC S9(9) BINARY VALUE 3167.
       10  MQRCCF-CHL-SYSTEM-NOT-ACTIVE   PIC S9(9) BINARY VALUE 3168.
       10  MQRCCF-ENTITY-NAME-MISSING   PIC S9(9) BINARY VALUE 3169.
       10  MQRCCF-PROFILE-NAME-ERROR   PIC S9(9) BINARY VALUE 3170.
       10  MQRCCF-AUTH-VALUE-ERROR   PIC S9(9) BINARY VALUE 3171.
       10  MQRCCF-AUTH-VALUE-MISSING   PIC S9(9) BINARY VALUE 3172.
       10  MQRCCF-OBJECT-TYPE-MISSING   PIC S9(9) BINARY VALUE 3173.
       10  MQRCCF-CONNECTION-ID-ERROR   PIC S9(9) BINARY VALUE 3174.
       10  MQRCCF-LOG-TYPE-ERROR   PIC S9(9) BINARY VALUE 3175.
       10  MQRCCF-PROGRAM-NOT-AVAILABLE   PIC S9(9) BINARY VALUE 3176.
       10  MQRCCF-PROGRAM-AUTH-FAILED   PIC S9(9) BINARY VALUE 3177.
       10  MQRCCF-NONE-FOUND   PIC S9(9) BINARY VALUE 3200.
       10  MQRCCF-SECURITY-SWITCH-OFF   PIC S9(9) BINARY VALUE 3201.
       10  MQRCCF-SECURITY-REFRESH-FAILED   PIC S9(9) BINARY VALUE 3202.
       10  MQRCCF-PARM-CONFLICT   PIC S9(9) BINARY VALUE 3203.
       10  MQRCCF-COMMAND-INHIBITED   PIC S9(9) BINARY VALUE 3204.
       10  MQRCCF-OBJECT-BEING-DELETED   PIC S9(9) BINARY VALUE 3205.
       10  MQRCCF-STORAGE-CLASS-IN-USE   PIC S9(9) BINARY VALUE 3207.
       10  MQRCCF-OBJECT-NAME-RESTRICTED   PIC S9(9) BINARY VALUE 3208.
       10  MQRCCF-OBJECT-LIMIT-EXCEEDED   PIC S9(9) BINARY VALUE 3209.
       10  MQRCCF-OBJECT-OPEN-FORCE   PIC S9(9) BINARY VALUE 3210.
       10  MQRCCF-DISPOSITION-CONFLICT   PIC S9(9) BINARY VALUE 3211.
       10  MQRCCF-Q-MGR-NOT-IN-QSG   PIC S9(9) BINARY VALUE 3212.
       10  MQRCCF-ATTR-VALUE-FIXED   PIC S9(9) BINARY VALUE 3213.
       10  MQRCCF-NAMELIST-ERROR   PIC S9(9) BINARY VALUE 3215.
       10  MQRCCF-NO-CHANNEL-INITIATOR   PIC S9(9) BINARY VALUE 3217.
       10  MQRCCF-CHANNEL-INITIATOR-ERROR   PIC S9(9) BINARY VALUE 3218.
       10  MQRCCF-COMMAND-LEVEL-CONFLICT   PIC S9(9) BINARY VALUE 3222.
       10  MQRCCF-Q-ATTR-CONFLICT   PIC S9(9) BINARY VALUE 3223.
       10  MQRCCF-EVENTS-DISABLED   PIC S9(9) BINARY VALUE 3224.
       10  MQRCCF-COMMAND-SCOPE-ERROR   PIC S9(9) BINARY VALUE 3225.
       10  MQRCCF-COMMAND-REPLY-ERROR   PIC S9(9) BINARY VALUE 3226.
       10  MQRCCF-FUNCTION-RESTRICTED   PIC S9(9) BINARY VALUE 3227.
       10  MQRCCF-PARM-MISSING   PIC S9(9) BINARY VALUE 3228.
       10  MQRCCF-PARM-VALUE-ERROR   PIC S9(9) BINARY VALUE 3229.
       10  MQRCCF-COMMAND-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3230.
       10  MQRCCF-COMMAND-ORIGIN-ERROR   PIC S9(9) BINARY VALUE 3231.
       10  MQRCCF-LISTENER-CONFLICT   PIC S9(9) BINARY VALUE 3232.
       10  MQRCCF-LISTENER-STARTED   PIC S9(9) BINARY VALUE 3233.
       10  MQRCCF-LISTENER-STOPPED   PIC S9(9) BINARY VALUE 3234.
       10  MQRCCF-CHANNEL-ERROR   PIC S9(9) BINARY VALUE 3235.
       10  MQRCCF-CF-STRUC-ERROR   PIC S9(9) BINARY VALUE 3236.
       10  MQRCCF-UNKNOWN-USER-ID   PIC S9(9) BINARY VALUE 3237.
       10  MQRCCF-UNEXPECTED-ERROR   PIC S9(9) BINARY VALUE 3238.
       10  MQRCCF-NO-XCF-PARTNER   PIC S9(9) BINARY VALUE 3239.
       10  MQRCCF-CFGR-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3240.
       10  MQRCCF-CFIF-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3241.
       10  MQRCCF-CFIF-OPERATOR-ERROR   PIC S9(9) BINARY VALUE 3242.
       10  MQRCCF-CFIF-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3243.
       10  MQRCCF-CFSF-FILTER-VAL-LEN-ERR   PIC S9(9) BINARY VALUE 3244.
       10  MQRCCF-CFSF-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3245.
       10  MQRCCF-CFSF-OPERATOR-ERROR   PIC S9(9) BINARY VALUE 3246.
       10  MQRCCF-CFSF-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3247.
       10  MQRCCF-TOO-MANY-FILTERS   PIC S9(9) BINARY VALUE 3248.
       10  MQRCCF-LISTENER-RUNNING   PIC S9(9) BINARY VALUE 3249.
       10  MQRCCF-LSTR-STATUS-NOT-FOUND   PIC S9(9) BINARY VALUE 3250.
       10  MQRCCF-SERVICE-RUNNING   PIC S9(9) BINARY VALUE 3251.
       10  MQRCCF-SERV-STATUS-NOT-FOUND   PIC S9(9) BINARY VALUE 3252.
       10  MQRCCF-SERVICE-STOPPED   PIC S9(9) BINARY VALUE 3253.
       10  MQRCCF-CFBS-DUPLICATE-PARM   PIC S9(9) BINARY VALUE 3254.
       10  MQRCCF-CFBS-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3255.
       10  MQRCCF-CFBS-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3256.
       10  MQRCCF-CFBS-STRING-LENGTH-ERR   PIC S9(9) BINARY VALUE 3257.
       10  MQRCCF-CFGR-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3258.
       10  MQRCCF-CFGR-PARM-COUNT-ERROR   PIC S9(9) BINARY VALUE 3259.
       10  MQRCCF-CONN-NOT-STOPPED   PIC S9(9) BINARY VALUE 3260.
       10  MQRCCF-SERVICE-REQUEST-PENDING   PIC S9(9) BINARY VALUE 3261.
       10  MQRCCF-NO-START-CMD   PIC S9(9) BINARY VALUE 3262.
       10  MQRCCF-NO-STOP-CMD   PIC S9(9) BINARY VALUE 3263.
       10  MQRCCF-CFBF-LENGTH-ERROR   PIC S9(9) BINARY VALUE 3264.
       10  MQRCCF-CFBF-PARM-ID-ERROR   PIC S9(9) BINARY VALUE 3265.
       10  MQRCCF-CFBF-OPERATOR-ERROR   PIC S9(9) BINARY VALUE 3266.
       10  MQRCCF-CFBF-FILTER-VAL-LEN-ERR   PIC S9(9) BINARY VALUE 3267.
       10  MQRCCF-LISTENER-STILL-ACTIVE   PIC S9(9) BINARY VALUE 3268.
       10  MQRCCF-OBJECT-ALREADY-EXISTS   PIC S9(9) BINARY VALUE 4001.
       10  MQRCCF-OBJECT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4002.
       10  MQRCCF-LIKE-OBJECT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4003.
       10  MQRCCF-OBJECT-OPEN   PIC S9(9) BINARY VALUE 4004.
       10  MQRCCF-ATTR-VALUE-ERROR   PIC S9(9) BINARY VALUE 4005.
       10  MQRCCF-UNKNOWN-Q-MGR   PIC S9(9) BINARY VALUE 4006.
       10  MQRCCF-Q-WRONG-TYPE   PIC S9(9) BINARY VALUE 4007.
       10  MQRCCF-OBJECT-NAME-ERROR   PIC S9(9) BINARY VALUE 4008.
       10  MQRCCF-ALLOCATE-FAILED   PIC S9(9) BINARY VALUE 4009.
       10  MQRCCF-HOST-NOT-AVAILABLE   PIC S9(9) BINARY VALUE 4010.
       10  MQRCCF-CONFIGURATION-ERROR   PIC S9(9) BINARY VALUE 4011.
       10  MQRCCF-CONNECTION-REFUSED   PIC S9(9) BINARY VALUE 4012.
       10  MQRCCF-ENTRY-ERROR   PIC S9(9) BINARY VALUE 4013.
       10  MQRCCF-SEND-FAILED   PIC S9(9) BINARY VALUE 4014.
       10  MQRCCF-RECEIVED-DATA-ERROR   PIC S9(9) BINARY VALUE 4015.
       10  MQRCCF-RECEIVE-FAILED   PIC S9(9) BINARY VALUE 4016.
       10  MQRCCF-CONNECTION-CLOSED   PIC S9(9) BINARY VALUE 4017.
       10  MQRCCF-NO-STORAGE   PIC S9(9) BINARY VALUE 4018.
       10  MQRCCF-NO-COMMS-MANAGER   PIC S9(9) BINARY VALUE 4019.
       10  MQRCCF-LISTENER-NOT-STARTED   PIC S9(9) BINARY VALUE 4020.
       10  MQRCCF-BIND-FAILED   PIC S9(9) BINARY VALUE 4024.
       10  MQRCCF-CHANNEL-INDOUBT   PIC S9(9) BINARY VALUE 4025.
       10  MQRCCF-MQCONN-FAILED   PIC S9(9) BINARY VALUE 4026.
       10  MQRCCF-MQOPEN-FAILED   PIC S9(9) BINARY VALUE 4027.
       10  MQRCCF-MQGET-FAILED   PIC S9(9) BINARY VALUE 4028.
       10  MQRCCF-MQPUT-FAILED   PIC S9(9) BINARY VALUE 4029.
       10  MQRCCF-PING-ERROR   PIC S9(9) BINARY VALUE 4030.
       10  MQRCCF-CHANNEL-IN-USE   PIC S9(9) BINARY VALUE 4031.
       10  MQRCCF-CHANNEL-NOT-FOUND   PIC S9(9) BINARY VALUE 4032.
       10  MQRCCF-UNKNOWN-REMOTE-CHANNEL   PIC S9(9) BINARY VALUE 4033.
       10  MQRCCF-REMOTE-QM-UNAVAILABLE   PIC S9(9) BINARY VALUE 4034.
       10  MQRCCF-REMOTE-QM-TERMINATING   PIC S9(9) BINARY VALUE 4035.
       10  MQRCCF-MQINQ-FAILED   PIC S9(9) BINARY VALUE 4036.
       10  MQRCCF-NOT-XMIT-Q   PIC S9(9) BINARY VALUE 4037.
       10  MQRCCF-CHANNEL-DISABLED   PIC S9(9) BINARY VALUE 4038.
       10  MQRCCF-USER-EXIT-NOT-AVAILABLE   PIC S9(9) BINARY VALUE 4039.
       10  MQRCCF-COMMIT-FAILED   PIC S9(9) BINARY VALUE 4040.
       10  MQRCCF-WRONG-CHANNEL-TYPE   PIC S9(9) BINARY VALUE 4041.
       10  MQRCCF-CHANNEL-ALREADY-EXISTS   PIC S9(9) BINARY VALUE 4042.
       10  MQRCCF-DATA-TOO-LARGE   PIC S9(9) BINARY VALUE 4043.
       10  MQRCCF-CHANNEL-NAME-ERROR   PIC S9(9) BINARY VALUE 4044.
       10  MQRCCF-XMIT-Q-NAME-ERROR   PIC S9(9) BINARY VALUE 4045.
       10  MQRCCF-MCA-NAME-ERROR   PIC S9(9) BINARY VALUE 4047.
       10  MQRCCF-SEND-EXIT-NAME-ERROR   PIC S9(9) BINARY VALUE 4048.
       10  MQRCCF-SEC-EXIT-NAME-ERROR   PIC S9(9) BINARY VALUE 4049.
       10  MQRCCF-MSG-EXIT-NAME-ERROR   PIC S9(9) BINARY VALUE 4050.
       10  MQRCCF-RCV-EXIT-NAME-ERROR   PIC S9(9) BINARY VALUE 4051.
       10  MQRCCF-XMIT-Q-NAME-WRONG-TYPE   PIC S9(9) BINARY VALUE 4052.
       10  MQRCCF-MCA-NAME-WRONG-TYPE   PIC S9(9) BINARY VALUE 4053.
       10  MQRCCF-DISC-INT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4054.
       10  MQRCCF-SHORT-RETRY-WRONG-TYPE   PIC S9(9) BINARY VALUE 4055.
       10  MQRCCF-SHORT-TIMER-WRONG-TYPE   PIC S9(9) BINARY VALUE 4056.
       10  MQRCCF-LONG-RETRY-WRONG-TYPE   PIC S9(9) BINARY VALUE 4057.
       10  MQRCCF-LONG-TIMER-WRONG-TYPE   PIC S9(9) BINARY VALUE 4058.
       10  MQRCCF-PUT-AUTH-WRONG-TYPE   PIC S9(9) BINARY VALUE 4059.
       10  MQRCCF-KEEP-ALIVE-INT-ERROR   PIC S9(9) BINARY VALUE 4060.
       10  MQRCCF-MISSING-CONN-NAME   PIC S9(9) BINARY VALUE 4061.
       10  MQRCCF-CONN-NAME-ERROR   PIC S9(9) BINARY VALUE 4062.
       10  MQRCCF-MQSET-FAILED   PIC S9(9) BINARY VALUE 4063.
       10  MQRCCF-CHANNEL-NOT-ACTIVE   PIC S9(9) BINARY VALUE 4064.
       10  MQRCCF-TERMINATED-BY-SEC-EXIT   PIC S9(9) BINARY VALUE 4065.
       10  MQRCCF-DYNAMIC-Q-SCOPE-ERROR   PIC S9(9) BINARY VALUE 4067.
       10  MQRCCF-CELL-DIR-NOT-AVAILABLE   PIC S9(9) BINARY VALUE 4068.
       10  MQRCCF-MR-COUNT-ERROR   PIC S9(9) BINARY VALUE 4069.
       10  MQRCCF-MR-COUNT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4070.
       10  MQRCCF-MR-EXIT-NAME-ERROR   PIC S9(9) BINARY VALUE 4071.
       10  MQRCCF-MR-EXIT-NAME-WRONG-TYPE   PIC S9(9) BINARY VALUE 4072.
       10  MQRCCF-MR-INTERVAL-ERROR   PIC S9(9) BINARY VALUE 4073.
       10  MQRCCF-MR-INTERVAL-WRONG-TYPE   PIC S9(9) BINARY VALUE 4074.
       10  MQRCCF-NPM-SPEED-ERROR   PIC S9(9) BINARY VALUE 4075.
       10  MQRCCF-NPM-SPEED-WRONG-TYPE   PIC S9(9) BINARY VALUE 4076.
       10  MQRCCF-HB-INTERVAL-ERROR   PIC S9(9) BINARY VALUE 4077.
       10  MQRCCF-HB-INTERVAL-WRONG-TYPE   PIC S9(9) BINARY VALUE 4078.
       10  MQRCCF-CHAD-ERROR   PIC S9(9) BINARY VALUE 4079.
       10  MQRCCF-CHAD-WRONG-TYPE   PIC S9(9) BINARY VALUE 4080.
       10  MQRCCF-CHAD-EVENT-ERROR   PIC S9(9) BINARY VALUE 4081.
       10  MQRCCF-CHAD-EVENT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4082.
       10  MQRCCF-CHAD-EXIT-ERROR   PIC S9(9) BINARY VALUE 4083.
       10  MQRCCF-CHAD-EXIT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4084.
       10  MQRCCF-SUPPRESSED-BY-EXIT   PIC S9(9) BINARY VALUE 4085.
       10  MQRCCF-BATCH-INT-ERROR   PIC S9(9) BINARY VALUE 4086.
       10  MQRCCF-BATCH-INT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4087.
       10  MQRCCF-NET-PRIORITY-ERROR   PIC S9(9) BINARY VALUE 4088.
       10  MQRCCF-NET-PRIORITY-WRONG-TYPE   PIC S9(9) BINARY VALUE 4089.
       10  MQRCCF-CHANNEL-CLOSED   PIC S9(9) BINARY VALUE 4090.
       10  MQRCCF-Q-STATUS-NOT-FOUND   PIC S9(9) BINARY VALUE 4091.
       10  MQRCCF-SSL-CIPHER-SPEC-ERROR   PIC S9(9) BINARY VALUE 4092.
       10  MQRCCF-SSL-PEER-NAME-ERROR   PIC S9(9) BINARY VALUE 4093.
       10  MQRCCF-SSL-CLIENT-AUTH-ERROR   PIC S9(9) BINARY VALUE 4094.
       10  MQRCCF-RETAINED-NOT-SUPPORTED   PIC S9(9) BINARY VALUE 4095.

      ******************************************************************
      **  Values Related to MQCFBF Structure                          **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFBF-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 20.

      ******************************************************************
      **  Values Related to MQCFBS Structure                          **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFBS-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 16.

      ******************************************************************
      **  Values Related to MQCFGR Structure                          **
      ******************************************************************
      ** Structure Length 
       10  MQCFGR-STRUC-LENGTH   PIC S9(9) BINARY VALUE 16.

      ******************************************************************
      **  Values Related to MQCFIF Structure                          **
      ******************************************************************
      ** Structure Length 
       10  MQCFIF-STRUC-LENGTH   PIC S9(9) BINARY VALUE 20.

      ******************************************************************
      **  Values Related to MQCFIL Structure                          **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFIL-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 16.

      ******************************************************************
      **  Values Related to MQCFIL64 Structure                        **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFIL64-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 16.

      ******************************************************************
      **  Values Related to MQCFIN Structure                          **
      ******************************************************************
      ** Structure Length 
       10  MQCFIN-STRUC-LENGTH   PIC S9(9) BINARY VALUE 16.

      ******************************************************************
      **  Values Related to MQCFIN64 Structure                        **
      ******************************************************************
      ** Structure Length 
       10  MQCFIN64-STRUC-LENGTH   PIC S9(9) BINARY VALUE 24.

      ******************************************************************
      **  Values Related to MQCFSF Structure                          **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFSF-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 24.

      ******************************************************************
      **  Values Related to MQCFSL Structure                          **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFSL-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 24.

      ******************************************************************
      **  Values Related to MQCFST Structure                          **
      ******************************************************************
      ** Structure Length (Fixed Part) 
       10  MQCFST-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 20.

      ******************************************************************
      **  Values Related to MQEPH Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQEPH-STRUC-ID   PIC X(4) VALUE 'EPH '.

      ** Structure Length (Fixed Part) 
       10  MQEPH-STRUC-LENGTH-FIXED   PIC S9(9) BINARY VALUE 68.

      ** Structure Version Number 
       10  MQEPH-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQEPH-CURRENT-VERSION   PIC S9(9) BINARY VALUE 1.

      ** Flags 
       10  MQEPH-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQEPH-CCSID-EMBEDDED   PIC S9(9) BINARY VALUE 1.

      ******************************************************************
      **  Values Related to All Structures                            **
      ******************************************************************
      ** String Lengths 
       10  MQ-ARCHIVE-PFX-LENGTH   PIC S9(9) BINARY VALUE 36.
       10  MQ-ARCHIVE-UNIT-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-ASID-LENGTH   PIC S9(9) BINARY VALUE 4.
       10  MQ-AUTH-PROFILE-NAME-LENGTH   PIC S9(9) BINARY VALUE 48.
       10  MQ-CF-LEID-LENGTH   PIC S9(9) BINARY VALUE 12.
       10  MQ-COMMAND-MQSC-LENGTH   PIC S9(9) BINARY VALUE 32768.
       10  MQ-DATA-SET-NAME-LENGTH   PIC S9(9) BINARY VALUE 44.
       10  MQ-DB2-NAME-LENGTH   PIC S9(9) BINARY VALUE 4.
       10  MQ-DSG-NAME-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-ENTITY-NAME-LENGTH   PIC S9(9) BINARY VALUE 64.
       10  MQ-ENV-INFO-LENGTH   PIC S9(9) BINARY VALUE 96.
       10  MQ-IP-ADDRESS-LENGTH   PIC S9(9) BINARY VALUE 48.
       10  MQ-LOG-CORREL-ID-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-LOG-EXTENT-NAME-LENGTH   PIC S9(9) BINARY VALUE 24.
       10  MQ-LOG-PATH-LENGTH   PIC S9(9) BINARY VALUE 1024.
       10  MQ-LRSN-LENGTH   PIC S9(9) BINARY VALUE 12.
       10  MQ-ORIGIN-NAME-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-PSB-NAME-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-PST-ID-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-Q-MGR-CPF-LENGTH   PIC S9(9) BINARY VALUE 4.
       10  MQ-RESPONSE-ID-LENGTH   PIC S9(9) BINARY VALUE 24.
       10  MQ-RBA-LENGTH   PIC S9(9) BINARY VALUE 12.
       10  MQ-SECURITY-PROFILE-LENGTH   PIC S9(9) BINARY VALUE 40.
       10  MQ-SERVICE-COMPONENT-LENGTH   PIC S9(9) BINARY VALUE 48.
       10  MQ-SYSP-SERVICE-LENGTH   PIC S9(9) BINARY VALUE 32.
       10  MQ-SYSTEM-NAME-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-TASK-NUMBER-LENGTH   PIC S9(9) BINARY VALUE 8.
       10  MQ-TPIPE-PFX-LENGTH   PIC S9(9) BINARY VALUE 4.
       10  MQ-UOW-ID-LENGTH   PIC S9(9) BINARY VALUE 256.
       10  MQ-VOLSER-LENGTH   PIC S9(9) BINARY VALUE 6.

      ** Filter Operators 
       10  MQCFOP-LESS   PIC S9(9) BINARY VALUE 1.
       10  MQCFOP-EQUAL   PIC S9(9) BINARY VALUE 2.
       10  MQCFOP-GREATER   PIC S9(9) BINARY VALUE 4.
       10  MQCFOP-NOT-LESS   PIC S9(9) BINARY VALUE 6.
       10  MQCFOP-NOT-EQUAL   PIC S9(9) BINARY VALUE 5.
       10  MQCFOP-NOT-GREATER   PIC S9(9) BINARY VALUE 3.
       10  MQCFOP-LIKE   PIC S9(9) BINARY VALUE 18.
       10  MQCFOP-NOT-LIKE   PIC S9(9) BINARY VALUE 21.
       10  MQCFOP-CONTAINS   PIC S9(9) BINARY VALUE 10.
       10  MQCFOP-EXCLUDES   PIC S9(9) BINARY VALUE 13.
       10  MQCFOP-CONTAINS-GEN   PIC S9(9) BINARY VALUE 26.
       10  MQCFOP-EXCLUDES-GEN   PIC S9(9) BINARY VALUE 29.

      ** Structure Type 
       10  MQCFT-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQCFT-COMMAND   PIC S9(9) BINARY VALUE 1.
       10  MQCFT-RESPONSE   PIC S9(9) BINARY VALUE 2.
       10  MQCFT-INTEGER   PIC S9(9) BINARY VALUE 3.
       10  MQCFT-STRING   PIC S9(9) BINARY VALUE 4.
       10  MQCFT-INTEGER-LIST   PIC S9(9) BINARY VALUE 5.
       10  MQCFT-STRING-LIST   PIC S9(9) BINARY VALUE 6.
       10  MQCFT-EVENT   PIC S9(9) BINARY VALUE 7.
       10  MQCFT-USER   PIC S9(9) BINARY VALUE 8.
       10  MQCFT-BYTE-STRING   PIC S9(9) BINARY VALUE 9.
       10  MQCFT-TRACE-ROUTE   PIC S9(9) BINARY VALUE 10.
       10  MQCFT-REPORT   PIC S9(9) BINARY VALUE 12.
       10  MQCFT-INTEGER-FILTER   PIC S9(9) BINARY VALUE 13.
       10  MQCFT-STRING-FILTER   PIC S9(9) BINARY VALUE 14.
       10  MQCFT-BYTE-STRING-FILTER   PIC S9(9) BINARY VALUE 15.
       10  MQCFT-COMMAND-XR   PIC S9(9) BINARY VALUE 16.
       10  MQCFT-XR-MSG   PIC S9(9) BINARY VALUE 17.
       10  MQCFT-XR-ITEM   PIC S9(9) BINARY VALUE 18.
       10  MQCFT-XR-SUMMARY   PIC S9(9) BINARY VALUE 19.
       10  MQCFT-GROUP   PIC S9(9) BINARY VALUE 20.
       10  MQCFT-STATISTICS   PIC S9(9) BINARY VALUE 21.
       10  MQCFT-ACCOUNTING   PIC S9(9) BINARY VALUE 22.
       10  MQCFT-INTEGER64   PIC S9(9) BINARY VALUE 23.
       10  MQCFT-INTEGER64-LIST   PIC S9(9) BINARY VALUE 25.

      ******************************************************************
      **  Values Related to Byte Parameter Structures                 **
      ******************************************************************

      ** Byte Parameter Types 
       10  MQBACF-FIRST   PIC S9(9) BINARY VALUE 7001.
       10  MQBACF-EVENT-ACCOUNTING-TOKEN   PIC S9(9) BINARY VALUE 7001.
       10  MQBACF-EVENT-SECURITY-ID   PIC S9(9) BINARY VALUE 7002.
       10  MQBACF-RESPONSE-SET   PIC S9(9) BINARY VALUE 7003.
       10  MQBACF-RESPONSE-ID   PIC S9(9) BINARY VALUE 7004.
       10  MQBACF-EXTERNAL-UOW-ID   PIC S9(9) BINARY VALUE 7005.
       10  MQBACF-CONNECTION-ID   PIC S9(9) BINARY VALUE 7006.
       10  MQBACF-GENERIC-CONNECTION-ID   PIC S9(9) BINARY VALUE 7007.
       10  MQBACF-ORIGIN-UOW-ID   PIC S9(9) BINARY VALUE 7008.
       10  MQBACF-Q-MGR-UOW-ID   PIC S9(9) BINARY VALUE 7009.
       10  MQBACF-ACCOUNTING-TOKEN   PIC S9(9) BINARY VALUE 7010.
       10  MQBACF-CORREL-ID   PIC S9(9) BINARY VALUE 7011.
       10  MQBACF-GROUP-ID   PIC S9(9) BINARY VALUE 7012.
       10  MQBACF-MSG-ID   PIC S9(9) BINARY VALUE 7013.
       10  MQBACF-CF-LEID   PIC S9(9) BINARY VALUE 7014.
       10  MQBACF-LAST-USED   PIC S9(9) BINARY VALUE 7014.

      ******************************************************************
      **  Values Related to Integer Parameter Structures              **
      ******************************************************************

      ** Integer Monitoring Parameter Types 
       10  MQIAMO-FIRST   PIC S9(9) BINARY VALUE 701.
       10  MQIAMO-AVG-BATCH-SIZE   PIC S9(9) BINARY VALUE 702.
       10  MQIAMO-AVG-Q-TIME   PIC S9(9) BINARY VALUE 703.
       10  MQIAMO-BACKOUTS   PIC S9(9) BINARY VALUE 704.
       10  MQIAMO-BROWSES   PIC S9(9) BINARY VALUE 705.
       10  MQIAMO-BROWSE-MAX-BYTES   PIC S9(9) BINARY VALUE 706.
       10  MQIAMO-BROWSE-MIN-BYTES   PIC S9(9) BINARY VALUE 707.
       10  MQIAMO-BROWSES-FAILED   PIC S9(9) BINARY VALUE 708.
       10  MQIAMO-CLOSES   PIC S9(9) BINARY VALUE 709.
       10  MQIAMO-COMMITS   PIC S9(9) BINARY VALUE 710.
       10  MQIAMO-COMMITS-FAILED   PIC S9(9) BINARY VALUE 711.
       10  MQIAMO-CONNS   PIC S9(9) BINARY VALUE 712.
       10  MQIAMO-CONNS-MAX   PIC S9(9) BINARY VALUE 713.
       10  MQIAMO-DISCS   PIC S9(9) BINARY VALUE 714.
       10  MQIAMO-DISCS-IMPLICIT   PIC S9(9) BINARY VALUE 715.
       10  MQIAMO-DISC-TYPE   PIC S9(9) BINARY VALUE 716.
       10  MQIAMO-EXIT-TIME-AVG   PIC S9(9) BINARY VALUE 717.
       10  MQIAMO-EXIT-TIME-MAX   PIC S9(9) BINARY VALUE 718.
       10  MQIAMO-EXIT-TIME-MIN   PIC S9(9) BINARY VALUE 719.
       10  MQIAMO-FULL-BATCHES   PIC S9(9) BINARY VALUE 720.
       10  MQIAMO-GENERATED-MSGS   PIC S9(9) BINARY VALUE 721.
       10  MQIAMO-GETS   PIC S9(9) BINARY VALUE 722.
       10  MQIAMO-GET-MAX-BYTES   PIC S9(9) BINARY VALUE 723.
       10  MQIAMO-GET-MIN-BYTES   PIC S9(9) BINARY VALUE 724.
       10  MQIAMO-GETS-FAILED   PIC S9(9) BINARY VALUE 725.
       10  MQIAMO-INCOMPLETE-BATCHES   PIC S9(9) BINARY VALUE 726.
       10  MQIAMO-INQS   PIC S9(9) BINARY VALUE 727.
       10  MQIAMO-MSGS   PIC S9(9) BINARY VALUE 728.
       10  MQIAMO-NET-TIME-AVG   PIC S9(9) BINARY VALUE 729.
       10  MQIAMO-NET-TIME-MAX   PIC S9(9) BINARY VALUE 730.
       10  MQIAMO-NET-TIME-MIN   PIC S9(9) BINARY VALUE 731.
       10  MQIAMO-OBJECT-COUNT   PIC S9(9) BINARY VALUE 732.
       10  MQIAMO-OPENS   PIC S9(9) BINARY VALUE 733.
       10  MQIAMO-PUT1S   PIC S9(9) BINARY VALUE 734.
       10  MQIAMO-PUTS   PIC S9(9) BINARY VALUE 735.
       10  MQIAMO-PUT-MAX-BYTES   PIC S9(9) BINARY VALUE 736.
       10  MQIAMO-PUT-MIN-BYTES   PIC S9(9) BINARY VALUE 737.
       10  MQIAMO-PUT-RETRIES   PIC S9(9) BINARY VALUE 738.
       10  MQIAMO-Q-MAX-DEPTH   PIC S9(9) BINARY VALUE 739.
       10  MQIAMO-Q-MIN-DEPTH   PIC S9(9) BINARY VALUE 740.
       10  MQIAMO-Q-TIME-AVG   PIC S9(9) BINARY VALUE 741.
       10  MQIAMO-Q-TIME-MAX   PIC S9(9) BINARY VALUE 742.
       10  MQIAMO-Q-TIME-MIN   PIC S9(9) BINARY VALUE 743.
       10  MQIAMO-SETS   PIC S9(9) BINARY VALUE 744.
       10  MQIAMO-CONNS-FAILED   PIC S9(9) BINARY VALUE 749.
       10  MQIAMO-OPENS-FAILED   PIC S9(9) BINARY VALUE 751.
       10  MQIAMO-INQS-FAILED   PIC S9(9) BINARY VALUE 752.
       10  MQIAMO-SETS-FAILED   PIC S9(9) BINARY VALUE 753.
       10  MQIAMO-PUTS-FAILED   PIC S9(9) BINARY VALUE 754.
       10  MQIAMO-PUT1S-FAILED   PIC S9(9) BINARY VALUE 755.
       10  MQIAMO-CLOSES-FAILED   PIC S9(9) BINARY VALUE 757.
       10  MQIAMO-MSGS-EXPIRED   PIC S9(9) BINARY VALUE 758.
       10  MQIAMO-MSGS-NOT-QUEUED   PIC S9(9) BINARY VALUE 759.
       10  MQIAMO-MSGS-PURGED   PIC S9(9) BINARY VALUE 760.
       10  MQIAMO-LAST-USED   PIC S9(9) BINARY VALUE 760.

      ** 64-bit Integer Monitoring Parameter Types 
       10  MQIAMO64-BROWSE-BYTES   PIC S9(9) BINARY VALUE 745.
       10  MQIAMO64-BYTES   PIC S9(9) BINARY VALUE 746.
       10  MQIAMO64-GET-BYTES   PIC S9(9) BINARY VALUE 747.
       10  MQIAMO64-PUT-BYTES   PIC S9(9) BINARY VALUE 748.

      ** Integer Parameter Types 
       10  MQIACF-FIRST   PIC S9(9) BINARY VALUE 1001.
       10  MQIACF-Q-MGR-ATTRS   PIC S9(9) BINARY VALUE 1001.
       10  MQIACF-Q-ATTRS   PIC S9(9) BINARY VALUE 1002.
       10  MQIACF-PROCESS-ATTRS   PIC S9(9) BINARY VALUE 1003.
       10  MQIACF-NAMELIST-ATTRS   PIC S9(9) BINARY VALUE 1004.
       10  MQIACF-FORCE   PIC S9(9) BINARY VALUE 1005.
       10  MQIACF-REPLACE   PIC S9(9) BINARY VALUE 1006.
       10  MQIACF-PURGE   PIC S9(9) BINARY VALUE 1007.
       10  MQIACF-QUIESCE   PIC S9(9) BINARY VALUE 1008.
       10  MQIACF-MODE   PIC S9(9) BINARY VALUE 1008.
       10  MQIACF-ALL   PIC S9(9) BINARY VALUE 1009.
       10  MQIACF-EVENT-APPL-TYPE   PIC S9(9) BINARY VALUE 1010.
       10  MQIACF-EVENT-ORIGIN   PIC S9(9) BINARY VALUE 1011.
       10  MQIACF-PARAMETER-ID   PIC S9(9) BINARY VALUE 1012.
       10  MQIACF-ERROR-ID   PIC S9(9) BINARY VALUE 1013.
       10  MQIACF-ERROR-IDENTIFIER   PIC S9(9) BINARY VALUE 1013.
       10  MQIACF-SELECTOR   PIC S9(9) BINARY VALUE 1014.
       10  MQIACF-CHANNEL-ATTRS   PIC S9(9) BINARY VALUE 1015.
       10  MQIACF-OBJECT-TYPE   PIC S9(9) BINARY VALUE 1016.
       10  MQIACF-ESCAPE-TYPE   PIC S9(9) BINARY VALUE 1017.
       10  MQIACF-ERROR-OFFSET   PIC S9(9) BINARY VALUE 1018.
       10  MQIACF-AUTH-INFO-ATTRS   PIC S9(9) BINARY VALUE 1019.
       10  MQIACF-REASON-QUALIFIER   PIC S9(9) BINARY VALUE 1020.
       10  MQIACF-COMMAND   PIC S9(9) BINARY VALUE 1021.
       10  MQIACF-OPEN-OPTIONS   PIC S9(9) BINARY VALUE 1022.
       10  MQIACF-OPEN-TYPE   PIC S9(9) BINARY VALUE 1023.
       10  MQIACF-PROCESS-ID   PIC S9(9) BINARY VALUE 1024.
       10  MQIACF-THREAD-ID   PIC S9(9) BINARY VALUE 1025.
       10  MQIACF-Q-STATUS-ATTRS   PIC S9(9) BINARY VALUE 1026.
       10  MQIACF-UNCOMMITTED-MSGS   PIC S9(9) BINARY VALUE 1027.
       10  MQIACF-HANDLE-STATE   PIC S9(9) BINARY VALUE 1028.
       10  MQIACF-AUX-ERROR-DATA-INT-1   PIC S9(9) BINARY VALUE 1070.
       10  MQIACF-AUX-ERROR-DATA-INT-2   PIC S9(9) BINARY VALUE 1071.
       10  MQIACF-CONV-REASON-CODE   PIC S9(9) BINARY VALUE 1072.
       10  MQIACF-BRIDGE-TYPE   PIC S9(9) BINARY VALUE 1073.
       10  MQIACF-INQUIRY   PIC S9(9) BINARY VALUE 1074.
       10  MQIACF-WAIT-INTERVAL   PIC S9(9) BINARY VALUE 1075.
       10  MQIACF-OPTIONS   PIC S9(9) BINARY VALUE 1076.
       10  MQIACF-BROKER-OPTIONS   PIC S9(9) BINARY VALUE 1077.
       10  MQIACF-REFRESH-TYPE   PIC S9(9) BINARY VALUE 1078.
       10  MQIACF-SEQUENCE-NUMBER   PIC S9(9) BINARY VALUE 1079.
       10  MQIACF-INTEGER-DATA   PIC S9(9) BINARY VALUE 1080.
       10  MQIACF-REGISTRATION-OPTIONS   PIC S9(9) BINARY VALUE 1081.
       10  MQIACF-PUBLICATION-OPTIONS   PIC S9(9) BINARY VALUE 1082.
       10  MQIACF-CLUSTER-INFO   PIC S9(9) BINARY VALUE 1083.
       10  MQIACF-Q-MGR-DEFINITION-TYPE   PIC S9(9) BINARY VALUE 1084.
       10  MQIACF-Q-MGR-TYPE   PIC S9(9) BINARY VALUE 1085.
       10  MQIACF-ACTION   PIC S9(9) BINARY VALUE 1086.
       10  MQIACF-SUSPEND   PIC S9(9) BINARY VALUE 1087.
       10  MQIACF-BROKER-COUNT   PIC S9(9) BINARY VALUE 1088.
       10  MQIACF-APPL-COUNT   PIC S9(9) BINARY VALUE 1089.
       10  MQIACF-ANONYMOUS-COUNT   PIC S9(9) BINARY VALUE 1090.
       10  MQIACF-REG-REG-OPTIONS   PIC S9(9) BINARY VALUE 1091.
       10  MQIACF-DELETE-OPTIONS   PIC S9(9) BINARY VALUE 1092.
       10  MQIACF-CLUSTER-Q-MGR-ATTRS   PIC S9(9) BINARY VALUE 1093.
       10  MQIACF-REFRESH-INTERVAL   PIC S9(9) BINARY VALUE 1094.
       10  MQIACF-REFRESH-REPOSITORY   PIC S9(9) BINARY VALUE 1095.
       10  MQIACF-REMOVE-QUEUES   PIC S9(9) BINARY VALUE 1096.
       10  MQIACF-OPEN-INPUT-TYPE   PIC S9(9) BINARY VALUE 1098.
       10  MQIACF-OPEN-OUTPUT   PIC S9(9) BINARY VALUE 1099.
       10  MQIACF-OPEN-SET   PIC S9(9) BINARY VALUE 1100.
       10  MQIACF-OPEN-INQUIRE   PIC S9(9) BINARY VALUE 1101.
       10  MQIACF-OPEN-BROWSE   PIC S9(9) BINARY VALUE 1102.
       10  MQIACF-Q-STATUS-TYPE   PIC S9(9) BINARY VALUE 1103.
       10  MQIACF-Q-HANDLE   PIC S9(9) BINARY VALUE 1104.
       10  MQIACF-Q-STATUS   PIC S9(9) BINARY VALUE 1105.
       10  MQIACF-SECURITY-TYPE   PIC S9(9) BINARY VALUE 1106.
       10  MQIACF-CONNECTION-ATTRS   PIC S9(9) BINARY VALUE 1107.
       10  MQIACF-CONNECT-OPTIONS   PIC S9(9) BINARY VALUE 1108.
       10  MQIACF-CONN-INFO-TYPE   PIC S9(9) BINARY VALUE 1110.
       10  MQIACF-CONN-INFO-CONN   PIC S9(9) BINARY VALUE 1111.
       10  MQIACF-CONN-INFO-HANDLE   PIC S9(9) BINARY VALUE 1112.
       10  MQIACF-CONN-INFO-ALL   PIC S9(9) BINARY VALUE 1113.
       10  MQIACF-AUTH-PROFILE-ATTRS   PIC S9(9) BINARY VALUE 1114.
       10  MQIACF-AUTHORIZATION-LIST   PIC S9(9) BINARY VALUE 1115.
       10  MQIACF-AUTH-ADD-AUTHS   PIC S9(9) BINARY VALUE 1116.
       10  MQIACF-AUTH-REMOVE-AUTHS   PIC S9(9) BINARY VALUE 1117.
       10  MQIACF-ENTITY-TYPE   PIC S9(9) BINARY VALUE 1118.
       10  MQIACF-COMMAND-INFO   PIC S9(9) BINARY VALUE 1120.
       10  MQIACF-CMDSCOPE-Q-MGR-COUNT   PIC S9(9) BINARY VALUE 1121.
       10  MQIACF-Q-MGR-SYSTEM   PIC S9(9) BINARY VALUE 1122.
       10  MQIACF-Q-MGR-EVENT   PIC S9(9) BINARY VALUE 1123.
       10  MQIACF-Q-MGR-DQM   PIC S9(9) BINARY VALUE 1124.
       10  MQIACF-Q-MGR-CLUSTER   PIC S9(9) BINARY VALUE 1125.
       10  MQIACF-QSG-DISPS   PIC S9(9) BINARY VALUE 1126.
       10  MQIACF-UOW-STATE   PIC S9(9) BINARY VALUE 1128.
       10  MQIACF-SECURITY-ITEM   PIC S9(9) BINARY VALUE 1129.
       10  MQIACF-CF-STRUC-STATUS   PIC S9(9) BINARY VALUE 1130.
       10  MQIACF-UOW-TYPE   PIC S9(9) BINARY VALUE 1132.
       10  MQIACF-CF-STRUC-ATTRS   PIC S9(9) BINARY VALUE 1133.
       10  MQIACF-EXCLUDE-INTERVAL   PIC S9(9) BINARY VALUE 1134.
       10  MQIACF-CF-STATUS-TYPE   PIC S9(9) BINARY VALUE 1135.
       10  MQIACF-CF-STATUS-SUMMARY   PIC S9(9) BINARY VALUE 1136.
       10  MQIACF-CF-STATUS-CONNECT   PIC S9(9) BINARY VALUE 1137.
       10  MQIACF-CF-STATUS-BACKUP   PIC S9(9) BINARY VALUE 1138.
       10  MQIACF-CF-STRUC-TYPE   PIC S9(9) BINARY VALUE 1139.
       10  MQIACF-CF-STRUC-SIZE-MAX   PIC S9(9) BINARY VALUE 1140.
       10  MQIACF-CF-STRUC-SIZE-USED   PIC S9(9) BINARY VALUE 1141.
       10  MQIACF-CF-STRUC-ENTRIES-MAX   PIC S9(9) BINARY VALUE 1142.
       10  MQIACF-CF-STRUC-ENTRIES-USED   PIC S9(9) BINARY VALUE 1143.
       10  MQIACF-CF-STRUC-BACKUP-SIZE   PIC S9(9) BINARY VALUE 1144.
       10  MQIACF-MOVE-TYPE   PIC S9(9) BINARY VALUE 1145.
       10  MQIACF-MOVE-TYPE-MOVE   PIC S9(9) BINARY VALUE 1146.
       10  MQIACF-MOVE-TYPE-ADD   PIC S9(9) BINARY VALUE 1147.
       10  MQIACF-Q-MGR-NUMBER   PIC S9(9) BINARY VALUE 1148.
       10  MQIACF-Q-MGR-STATUS   PIC S9(9) BINARY VALUE 1149.
       10  MQIACF-DB2-CONN-STATUS   PIC S9(9) BINARY VALUE 1150.
       10  MQIACF-SECURITY-ATTRS   PIC S9(9) BINARY VALUE 1151.
       10  MQIACF-SECURITY-TIMEOUT   PIC S9(9) BINARY VALUE 1152.
       10  MQIACF-SECURITY-INTERVAL   PIC S9(9) BINARY VALUE 1153.
       10  MQIACF-SECURITY-SWITCH   PIC S9(9) BINARY VALUE 1154.
       10  MQIACF-SECURITY-SETTING   PIC S9(9) BINARY VALUE 1155.
       10  MQIACF-STORAGE-CLASS-ATTRS   PIC S9(9) BINARY VALUE 1156.
       10  MQIACF-USAGE-TYPE   PIC S9(9) BINARY VALUE 1157.
       10  MQIACF-BUFFER-POOL-ID   PIC S9(9) BINARY VALUE 1158.
       10  MQIACF-USAGE-TOTAL-PAGES   PIC S9(9) BINARY VALUE 1159.
       10  MQIACF-USAGE-UNUSED-PAGES   PIC S9(9) BINARY VALUE 1160.
       10  MQIACF-USAGE-PERSIST-PAGES   PIC S9(9) BINARY VALUE 1161.
       10  MQIACF-USAGE-NONPERSIST-PAGES   PIC S9(9) BINARY VALUE 1162.
       10  MQIACF-USAGE-RESTART-EXTENTS   PIC S9(9) BINARY VALUE 1163.
       10  MQIACF-USAGE-EXPAND-COUNT   PIC S9(9) BINARY VALUE 1164.
       10  MQIACF-PAGESET-STATUS   PIC S9(9) BINARY VALUE 1165.
       10  MQIACF-USAGE-TOTAL-BUFFERS   PIC S9(9) BINARY VALUE 1166.
       10  MQIACF-USAGE-DATA-SET-TYPE   PIC S9(9) BINARY VALUE 1167.
       10  MQIACF-USAGE-PAGESET   PIC S9(9) BINARY VALUE 1168.
       10  MQIACF-USAGE-DATA-SET   PIC S9(9) BINARY VALUE 1169.
       10  MQIACF-USAGE-BUFFER-POOL   PIC S9(9) BINARY VALUE 1170.
       10  MQIACF-MOVE-COUNT   PIC S9(9) BINARY VALUE 1171.
       10  MQIACF-EXPIRY-Q-COUNT   PIC S9(9) BINARY VALUE 1172.
       10  MQIACF-CONFIGURATION-OBJECTS   PIC S9(9) BINARY VALUE 1173.
       10  MQIACF-CONFIGURATION-EVENTS   PIC S9(9) BINARY VALUE 1174.
       10  MQIACF-SYSP-TYPE   PIC S9(9) BINARY VALUE 1175.
       10  MQIACF-SYSP-DEALLOC-INTERVAL   PIC S9(9) BINARY VALUE 1176.
       10  MQIACF-SYSP-MAX-ARCHIVE   PIC S9(9) BINARY VALUE 1177.
       10  MQIACF-SYSP-MAX-READ-TAPES   PIC S9(9) BINARY VALUE 1178.
       10  MQIACF-SYSP-IN-BUFFER-SIZE   PIC S9(9) BINARY VALUE 1179.
       10  MQIACF-SYSP-OUT-BUFFER-SIZE   PIC S9(9) BINARY VALUE 1180.
       10  MQIACF-SYSP-OUT-BUFFER-COUNT   PIC S9(9) BINARY VALUE 1181.
       10  MQIACF-SYSP-ARCHIVE   PIC S9(9) BINARY VALUE 1182.
       10  MQIACF-SYSP-DUAL-ACTIVE   PIC S9(9) BINARY VALUE 1183.
       10  MQIACF-SYSP-DUAL-ARCHIVE   PIC S9(9) BINARY VALUE 1184.
       10  MQIACF-SYSP-DUAL-BSDS   PIC S9(9) BINARY VALUE 1185.
       10  MQIACF-SYSP-MAX-CONNS   PIC S9(9) BINARY VALUE 1186.
       10  MQIACF-SYSP-MAX-CONNS-FORE   PIC S9(9) BINARY VALUE 1187.
       10  MQIACF-SYSP-MAX-CONNS-BACK   PIC S9(9) BINARY VALUE 1188.
       10  MQIACF-SYSP-EXIT-INTERVAL   PIC S9(9) BINARY VALUE 1189.
       10  MQIACF-SYSP-EXIT-TASKS   PIC S9(9) BINARY VALUE 1190.
       10  MQIACF-SYSP-CHKPOINT-COUNT   PIC S9(9) BINARY VALUE 1191.
       10  MQIACF-SYSP-OTMA-INTERVAL   PIC S9(9) BINARY VALUE 1192.
       10  MQIACF-SYSP-Q-INDEX-DEFER   PIC S9(9) BINARY VALUE 1193.
       10  MQIACF-SYSP-DB2-TASKS   PIC S9(9) BINARY VALUE 1194.
       10  MQIACF-SYSP-RESLEVEL-AUDIT   PIC S9(9) BINARY VALUE 1195.
       10  MQIACF-SYSP-ROUTING-CODE   PIC S9(9) BINARY VALUE 1196.
       10  MQIACF-SYSP-SMF-ACCOUNTING   PIC S9(9) BINARY VALUE 1197.
       10  MQIACF-SYSP-SMF-STATS   PIC S9(9) BINARY VALUE 1198.
       10  MQIACF-SYSP-SMF-INTERVAL   PIC S9(9) BINARY VALUE 1199.
       10  MQIACF-SYSP-TRACE-CLASS   PIC S9(9) BINARY VALUE 1200.
       10  MQIACF-SYSP-TRACE-SIZE   PIC S9(9) BINARY VALUE 1201.
       10  MQIACF-SYSP-WLM-INTERVAL   PIC S9(9) BINARY VALUE 1202.
       10  MQIACF-SYSP-ALLOC-UNIT   PIC S9(9) BINARY VALUE 1203.
       10  MQIACF-SYSP-ARCHIVE-RETAIN   PIC S9(9) BINARY VALUE 1204.
       10  MQIACF-SYSP-ARCHIVE-WTOR   PIC S9(9) BINARY VALUE 1205.
       10  MQIACF-SYSP-BLOCK-SIZE   PIC S9(9) BINARY VALUE 1206.
       10  MQIACF-SYSP-CATALOG   PIC S9(9) BINARY VALUE 1207.
       10  MQIACF-SYSP-COMPACT   PIC S9(9) BINARY VALUE 1208.
       10  MQIACF-SYSP-ALLOC-PRIMARY   PIC S9(9) BINARY VALUE 1209.
       10  MQIACF-SYSP-ALLOC-SECONDARY   PIC S9(9) BINARY VALUE 1210.
       10  MQIACF-SYSP-PROTECT   PIC S9(9) BINARY VALUE 1211.
       10  MQIACF-SYSP-QUIESCE-INTERVAL   PIC S9(9) BINARY VALUE 1212.
       10  MQIACF-SYSP-TIMESTAMP   PIC S9(9) BINARY VALUE 1213.
       10  MQIACF-SYSP-UNIT-ADDRESS   PIC S9(9) BINARY VALUE 1214.
       10  MQIACF-SYSP-UNIT-STATUS   PIC S9(9) BINARY VALUE 1215.
       10  MQIACF-SYSP-LOG-COPY   PIC S9(9) BINARY VALUE 1216.
       10  MQIACF-SYSP-LOG-USED   PIC S9(9) BINARY VALUE 1217.
       10  MQIACF-SYSP-LOG-SUSPEND   PIC S9(9) BINARY VALUE 1218.
       10  MQIACF-SYSP-OFFLOAD-STATUS   PIC S9(9) BINARY VALUE 1219.
       10  MQIACF-SYSP-TOTAL-LOGS   PIC S9(9) BINARY VALUE 1220.
       10  MQIACF-SYSP-FULL-LOGS   PIC S9(9) BINARY VALUE 1221.
       10  MQIACF-LISTENER-ATTRS   PIC S9(9) BINARY VALUE 1222.
       10  MQIACF-LISTENER-STATUS-ATTRS   PIC S9(9) BINARY VALUE 1223.
       10  MQIACF-SERVICE-ATTRS   PIC S9(9) BINARY VALUE 1224.
       10  MQIACF-SERVICE-STATUS-ATTRS   PIC S9(9) BINARY VALUE 1225.
       10  MQIACF-Q-TIME-INDICATOR   PIC S9(9) BINARY VALUE 1226.
       10  MQIACF-OLDEST-MSG-AGE   PIC S9(9) BINARY VALUE 1227.
       10  MQIACF-AUTH-OPTIONS   PIC S9(9) BINARY VALUE 1228.
       10  MQIACF-Q-MGR-STATUS-ATTRS   PIC S9(9) BINARY VALUE 1229.
       10  MQIACF-CONNECTION-COUNT   PIC S9(9) BINARY VALUE 1230.
       10  MQIACF-Q-MGR-FACILITY   PIC S9(9) BINARY VALUE 1231.
       10  MQIACF-CHINIT-STATUS   PIC S9(9) BINARY VALUE 1232.
       10  MQIACF-CMD-SERVER-STATUS   PIC S9(9) BINARY VALUE 1233.
       10  MQIACF-ROUTE-DETAIL   PIC S9(9) BINARY VALUE 1234.
       10  MQIACF-RECORDED-ACTIVITIES   PIC S9(9) BINARY VALUE 1235.
       10  MQIACF-MAX-ACTIVITIES   PIC S9(9) BINARY VALUE 1236.
       10  MQIACF-DISCONTINUITY-COUNT   PIC S9(9) BINARY VALUE 1237.
       10  MQIACF-ROUTE-ACCUMULATION   PIC S9(9) BINARY VALUE 1238.
       10  MQIACF-ROUTE-DELIVERY   PIC S9(9) BINARY VALUE 1239.
       10  MQIACF-OPERATION-TYPE   PIC S9(9) BINARY VALUE 1240.
       10  MQIACF-BACKOUT-COUNT   PIC S9(9) BINARY VALUE 1241.
       10  MQIACF-COMP-CODE   PIC S9(9) BINARY VALUE 1242.
       10  MQIACF-ENCODING   PIC S9(9) BINARY VALUE 1243.
       10  MQIACF-EXPIRY   PIC S9(9) BINARY VALUE 1244.
       10  MQIACF-FEEDBACK   PIC S9(9) BINARY VALUE 1245.
       10  MQIACF-MSG-FLAGS   PIC S9(9) BINARY VALUE 1247.
       10  MQIACF-MSG-LENGTH   PIC S9(9) BINARY VALUE 1248.
       10  MQIACF-MSG-TYPE   PIC S9(9) BINARY VALUE 1249.
       10  MQIACF-OFFSET   PIC S9(9) BINARY VALUE 1250.
       10  MQIACF-ORIGINAL-LENGTH   PIC S9(9) BINARY VALUE 1251.
       10  MQIACF-PERSISTENCE   PIC S9(9) BINARY VALUE 1252.
       10  MQIACF-PRIORITY   PIC S9(9) BINARY VALUE 1253.
       10  MQIACF-REASON-CODE   PIC S9(9) BINARY VALUE 1254.
       10  MQIACF-REPORT   PIC S9(9) BINARY VALUE 1255.
       10  MQIACF-VERSION   PIC S9(9) BINARY VALUE 1256.
       10  MQIACF-UNRECORDED-ACTIVITIES   PIC S9(9) BINARY VALUE 1257.
       10  MQIACF-MONITORING   PIC S9(9) BINARY VALUE 1258.
       10  MQIACF-ROUTE-FORWARDING   PIC S9(9) BINARY VALUE 1259.
       10  MQIACF-SERVICE-STATUS   PIC S9(9) BINARY VALUE 1260.
       10  MQIACF-Q-TYPES   PIC S9(9) BINARY VALUE 1261.
       10  MQIACF-USER-ID-SUPPORT   PIC S9(9) BINARY VALUE 1262.
       10  MQIACF-INTERFACE-VERSION   PIC S9(9) BINARY VALUE 1263.
       10  MQIACF-AUTH-SERVICE-ATTRS   PIC S9(9) BINARY VALUE 1264.
       10  MQIACF-USAGE-EXPAND-TYPE   PIC S9(9) BINARY VALUE 1265.
       10  MQIACF-SYSP-CLUSTER-CACHE   PIC S9(9) BINARY VALUE 1266.
       10  MQIACF-SYSP-DB2-BLOB-TASKS   PIC S9(9) BINARY VALUE 1267.
       10  MQIACF-SYSP-WLM-INT-UNITS   PIC S9(9) BINARY VALUE 1268.
       10  MQIACF-LAST-USED   PIC S9(9) BINARY VALUE 1268.

      ** Integer Channel Types 
       10  MQIACH-FIRST   PIC S9(9) BINARY VALUE 1501.
       10  MQIACH-XMIT-PROTOCOL-TYPE   PIC S9(9) BINARY VALUE 1501.
       10  MQIACH-BATCH-SIZE   PIC S9(9) BINARY VALUE 1502.
       10  MQIACH-DISC-INTERVAL   PIC S9(9) BINARY VALUE 1503.
       10  MQIACH-SHORT-TIMER   PIC S9(9) BINARY VALUE 1504.
       10  MQIACH-SHORT-RETRY   PIC S9(9) BINARY VALUE 1505.
       10  MQIACH-LONG-TIMER   PIC S9(9) BINARY VALUE 1506.
       10  MQIACH-LONG-RETRY   PIC S9(9) BINARY VALUE 1507.
       10  MQIACH-PUT-AUTHORITY   PIC S9(9) BINARY VALUE 1508.
       10  MQIACH-SEQUENCE-NUMBER-WRAP   PIC S9(9) BINARY VALUE 1509.
       10  MQIACH-MAX-MSG-LENGTH   PIC S9(9) BINARY VALUE 1510.
       10  MQIACH-CHANNEL-TYPE   PIC S9(9) BINARY VALUE 1511.
       10  MQIACH-DATA-COUNT   PIC S9(9) BINARY VALUE 1512.
       10  MQIACH-NAME-COUNT   PIC S9(9) BINARY VALUE 1513.
       10  MQIACH-MSG-SEQUENCE-NUMBER   PIC S9(9) BINARY VALUE 1514.
       10  MQIACH-DATA-CONVERSION   PIC S9(9) BINARY VALUE 1515.
       10  MQIACH-IN-DOUBT   PIC S9(9) BINARY VALUE 1516.
       10  MQIACH-MCA-TYPE   PIC S9(9) BINARY VALUE 1517.
       10  MQIACH-SESSION-COUNT   PIC S9(9) BINARY VALUE 1518.
       10  MQIACH-ADAPTER   PIC S9(9) BINARY VALUE 1519.
       10  MQIACH-COMMAND-COUNT   PIC S9(9) BINARY VALUE 1520.
       10  MQIACH-SOCKET   PIC S9(9) BINARY VALUE 1521.
       10  MQIACH-PORT   PIC S9(9) BINARY VALUE 1522.
       10  MQIACH-CHANNEL-INSTANCE-TYPE   PIC S9(9) BINARY VALUE 1523.
       10  MQIACH-CHANNEL-INSTANCE-ATTRS   PIC S9(9) BINARY VALUE 1524.
       10  MQIACH-CHANNEL-ERROR-DATA   PIC S9(9) BINARY VALUE 1525.
       10  MQIACH-CHANNEL-TABLE   PIC S9(9) BINARY VALUE 1526.
       10  MQIACH-CHANNEL-STATUS   PIC S9(9) BINARY VALUE 1527.
       10  MQIACH-INDOUBT-STATUS   PIC S9(9) BINARY VALUE 1528.
       10  MQIACH-LAST-SEQ-NUMBER   PIC S9(9) BINARY VALUE 1529.
       10  MQIACH-LAST-SEQUENCE-NUMBER   PIC S9(9) BINARY VALUE 1529.
       10  MQIACH-CURRENT-MSGS   PIC S9(9) BINARY VALUE 1531.
       10  MQIACH-CURRENT-SEQ-NUMBER   PIC S9(9) BINARY VALUE 1532.
       10  MQIACH-CURRENT-SEQUENCE-NUMBER   PIC S9(9) BINARY VALUE 1532.
       10  MQIACH-SSL-RETURN-CODE   PIC S9(9) BINARY VALUE 1533.
       10  MQIACH-MSGS   PIC S9(9) BINARY VALUE 1534.
       10  MQIACH-BYTES-SENT   PIC S9(9) BINARY VALUE 1535.
       10  MQIACH-BYTES-RCVD   PIC S9(9) BINARY VALUE 1536.
       10  MQIACH-BYTES-RECEIVED   PIC S9(9) BINARY VALUE 1536.
       10  MQIACH-BATCHES   PIC S9(9) BINARY VALUE 1537.
       10  MQIACH-BUFFERS-SENT   PIC S9(9) BINARY VALUE 1538.
       10  MQIACH-BUFFERS-RCVD   PIC S9(9) BINARY VALUE 1539.
       10  MQIACH-BUFFERS-RECEIVED   PIC S9(9) BINARY VALUE 1539.
       10  MQIACH-LONG-RETRIES-LEFT   PIC S9(9) BINARY VALUE 1540.
       10  MQIACH-SHORT-RETRIES-LEFT   PIC S9(9) BINARY VALUE 1541.
       10  MQIACH-MCA-STATUS   PIC S9(9) BINARY VALUE 1542.
       10  MQIACH-STOP-REQUESTED   PIC S9(9) BINARY VALUE 1543.
       10  MQIACH-MR-COUNT   PIC S9(9) BINARY VALUE 1544.
       10  MQIACH-MR-INTERVAL   PIC S9(9) BINARY VALUE 1545.
       10  MQIACH-NPM-SPEED   PIC S9(9) BINARY VALUE 1562.
       10  MQIACH-HB-INTERVAL   PIC S9(9) BINARY VALUE 1563.
       10  MQIACH-BATCH-INTERVAL   PIC S9(9) BINARY VALUE 1564.
       10  MQIACH-NETWORK-PRIORITY   PIC S9(9) BINARY VALUE 1565.
       10  MQIACH-KEEP-ALIVE-INTERVAL   PIC S9(9) BINARY VALUE 1566.
       10  MQIACH-BATCH-HB   PIC S9(9) BINARY VALUE 1567.
       10  MQIACH-SSL-CLIENT-AUTH   PIC S9(9) BINARY VALUE 1568.
       10  MQIACH-ALLOC-RETRY   PIC S9(9) BINARY VALUE 1570.
       10  MQIACH-ALLOC-FAST-TIMER   PIC S9(9) BINARY VALUE 1571.
       10  MQIACH-ALLOC-SLOW-TIMER   PIC S9(9) BINARY VALUE 1572.
       10  MQIACH-DISC-RETRY   PIC S9(9) BINARY VALUE 1573.
       10  MQIACH-PORT-NUMBER   PIC S9(9) BINARY VALUE 1574.
       10  MQIACH-HDR-COMPRESSION   PIC S9(9) BINARY VALUE 1575.
       10  MQIACH-MSG-COMPRESSION   PIC S9(9) BINARY VALUE 1576.
       10  MQIACH-CLWL-CHANNEL-RANK   PIC S9(9) BINARY VALUE 1577.
       10  MQIACH-CLWL-CHANNEL-PRIORITY   PIC S9(9) BINARY VALUE 1578.
       10  MQIACH-CLWL-CHANNEL-WEIGHT   PIC S9(9) BINARY VALUE 1579.
       10  MQIACH-CHANNEL-DISP   PIC S9(9) BINARY VALUE 1580.
       10  MQIACH-INBOUND-DISP   PIC S9(9) BINARY VALUE 1581.
       10  MQIACH-CHANNEL-TYPES   PIC S9(9) BINARY VALUE 1582.
       10  MQIACH-ADAPS-STARTED   PIC S9(9) BINARY VALUE 1583.
       10  MQIACH-ADAPS-MAX   PIC S9(9) BINARY VALUE 1584.
       10  MQIACH-DISPS-STARTED   PIC S9(9) BINARY VALUE 1585.
       10  MQIACH-DISPS-MAX   PIC S9(9) BINARY VALUE 1586.
       10  MQIACH-SSLTASKS-STARTED   PIC S9(9) BINARY VALUE 1587.
       10  MQIACH-SSLTASKS-MAX   PIC S9(9) BINARY VALUE 1588.
       10  MQIACH-CURRENT-CHL   PIC S9(9) BINARY VALUE 1589.
       10  MQIACH-CURRENT-CHL-MAX   PIC S9(9) BINARY VALUE 1590.
       10  MQIACH-CURRENT-CHL-TCP   PIC S9(9) BINARY VALUE 1591.
       10  MQIACH-CURRENT-CHL-LU62   PIC S9(9) BINARY VALUE 1592.
       10  MQIACH-ACTIVE-CHL   PIC S9(9) BINARY VALUE 1593.
       10  MQIACH-ACTIVE-CHL-MAX   PIC S9(9) BINARY VALUE 1594.
       10  MQIACH-ACTIVE-CHL-PAUSED   PIC S9(9) BINARY VALUE 1595.
       10  MQIACH-ACTIVE-CHL-STARTED   PIC S9(9) BINARY VALUE 1596.
       10  MQIACH-ACTIVE-CHL-STOPPED   PIC S9(9) BINARY VALUE 1597.
       10  MQIACH-ACTIVE-CHL-RETRY   PIC S9(9) BINARY VALUE 1598.
       10  MQIACH-LISTENER-STATUS   PIC S9(9) BINARY VALUE 1599.
       10  MQIACH-SHARED-CHL-RESTART   PIC S9(9) BINARY VALUE 1600.
       10  MQIACH-LISTENER-CONTROL   PIC S9(9) BINARY VALUE 1601.
       10  MQIACH-BACKLOG   PIC S9(9) BINARY VALUE 1602.
       10  MQIACH-XMITQ-TIME-INDICATOR   PIC S9(9) BINARY VALUE 1604.
       10  MQIACH-NETWORK-TIME-INDICATOR   PIC S9(9) BINARY VALUE 1605.
       10  MQIACH-EXIT-TIME-INDICATOR   PIC S9(9) BINARY VALUE 1606.
       10  MQIACH-BATCH-SIZE-INDICATOR   PIC S9(9) BINARY VALUE 1607.
       10  MQIACH-XMITQ-MSGS-AVAILABLE   PIC S9(9) BINARY VALUE 1608.
       10  MQIACH-CHANNEL-SUBSTATE   PIC S9(9) BINARY VALUE 1609.
       10  MQIACH-SSL-KEY-RESETS   PIC S9(9) BINARY VALUE 1610.
       10  MQIACH-COMPRESSION-RATE   PIC S9(9) BINARY VALUE 1611.
       10  MQIACH-COMPRESSION-TIME   PIC S9(9) BINARY VALUE 1612.
       10  MQIACH-MAX-XMIT-SIZE   PIC S9(9) BINARY VALUE 1613.
       10  MQIACH-LAST-USED   PIC S9(9) BINARY VALUE 1613.

      ******************************************************************
      **  Values Related to Character Parameter Structures            **
      ******************************************************************

      ** Character Monitoring Parameter Types 
       10  MQCAMO-FIRST   PIC S9(9) BINARY VALUE 2701.
       10  MQCAMO-CLOSE-DATE   PIC S9(9) BINARY VALUE 2701.
       10  MQCAMO-CLOSE-TIME   PIC S9(9) BINARY VALUE 2702.
       10  MQCAMO-CONN-DATE   PIC S9(9) BINARY VALUE 2703.
       10  MQCAMO-CONN-TIME   PIC S9(9) BINARY VALUE 2704.
       10  MQCAMO-DISC-DATE   PIC S9(9) BINARY VALUE 2705.
       10  MQCAMO-DISC-TIME   PIC S9(9) BINARY VALUE 2706.
       10  MQCAMO-END-DATE   PIC S9(9) BINARY VALUE 2707.
       10  MQCAMO-END-TIME   PIC S9(9) BINARY VALUE 2708.
       10  MQCAMO-OPEN-DATE   PIC S9(9) BINARY VALUE 2709.
       10  MQCAMO-OPEN-TIME   PIC S9(9) BINARY VALUE 2710.
       10  MQCAMO-START-DATE   PIC S9(9) BINARY VALUE 2711.
       10  MQCAMO-START-TIME   PIC S9(9) BINARY VALUE 2712.
       10  MQCAMO-LAST-USED   PIC S9(9) BINARY VALUE 2712.

      ** Character Parameter Types 
       10  MQCACF-FIRST   PIC S9(9) BINARY VALUE 3001.
       10  MQCACF-FROM-Q-NAME   PIC S9(9) BINARY VALUE 3001.
       10  MQCACF-TO-Q-NAME   PIC S9(9) BINARY VALUE 3002.
       10  MQCACF-FROM-PROCESS-NAME   PIC S9(9) BINARY VALUE 3003.
       10  MQCACF-TO-PROCESS-NAME   PIC S9(9) BINARY VALUE 3004.
       10  MQCACF-FROM-NAMELIST-NAME   PIC S9(9) BINARY VALUE 3005.
       10  MQCACF-TO-NAMELIST-NAME   PIC S9(9) BINARY VALUE 3006.
       10  MQCACF-FROM-CHANNEL-NAME   PIC S9(9) BINARY VALUE 3007.
       10  MQCACF-TO-CHANNEL-NAME   PIC S9(9) BINARY VALUE 3008.
       10  MQCACF-FROM-AUTH-INFO-NAME   PIC S9(9) BINARY VALUE 3009.
       10  MQCACF-TO-AUTH-INFO-NAME   PIC S9(9) BINARY VALUE 3010.
       10  MQCACF-Q-NAMES   PIC S9(9) BINARY VALUE 3011.
       10  MQCACF-PROCESS-NAMES   PIC S9(9) BINARY VALUE 3012.
       10  MQCACF-NAMELIST-NAMES   PIC S9(9) BINARY VALUE 3013.
       10  MQCACF-ESCAPE-TEXT   PIC S9(9) BINARY VALUE 3014.
       10  MQCACF-LOCAL-Q-NAMES   PIC S9(9) BINARY VALUE 3015.
       10  MQCACF-MODEL-Q-NAMES   PIC S9(9) BINARY VALUE 3016.
       10  MQCACF-ALIAS-Q-NAMES   PIC S9(9) BINARY VALUE 3017.
       10  MQCACF-REMOTE-Q-NAMES   PIC S9(9) BINARY VALUE 3018.
       10  MQCACF-SENDER-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 3019.
       10  MQCACF-SERVER-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 3020.
       10  MQCACF-REQUESTER-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 3021.
       10  MQCACF-RECEIVER-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 3022.
       10  MQCACF-OBJECT-Q-MGR-NAME   PIC S9(9) BINARY VALUE 3023.
       10  MQCACF-APPL-NAME   PIC S9(9) BINARY VALUE 3024.
       10  MQCACF-USER-IDENTIFIER   PIC S9(9) BINARY VALUE 3025.
       10  MQCACF-AUX-ERROR-DATA-STR-1   PIC S9(9) BINARY VALUE 3026.
       10  MQCACF-AUX-ERROR-DATA-STR-2   PIC S9(9) BINARY VALUE 3027.
       10  MQCACF-AUX-ERROR-DATA-STR-3   PIC S9(9) BINARY VALUE 3028.
       10  MQCACF-BRIDGE-NAME   PIC S9(9) BINARY VALUE 3029.
       10  MQCACF-STREAM-NAME   PIC S9(9) BINARY VALUE 3030.
       10  MQCACF-TOPIC   PIC S9(9) BINARY VALUE 3031.
       10  MQCACF-PARENT-Q-MGR-NAME   PIC S9(9) BINARY VALUE 3032.
       10  MQCACF-CORREL-ID   PIC S9(9) BINARY VALUE 3033.
       10  MQCACF-PUBLISH-TIMESTAMP   PIC S9(9) BINARY VALUE 3034.
       10  MQCACF-STRING-DATA   PIC S9(9) BINARY VALUE 3035.
       10  MQCACF-SUPPORTED-STREAM-NAME   PIC S9(9) BINARY VALUE 3036.
       10  MQCACF-REG-TOPIC   PIC S9(9) BINARY VALUE 3037.
       10  MQCACF-REG-TIME   PIC S9(9) BINARY VALUE 3038.
       10  MQCACF-REG-USER-ID   PIC S9(9) BINARY VALUE 3039.
       10  MQCACF-CHILD-Q-MGR-NAME   PIC S9(9) BINARY VALUE 3040.
       10  MQCACF-REG-STREAM-NAME   PIC S9(9) BINARY VALUE 3041.
       10  MQCACF-REG-Q-MGR-NAME   PIC S9(9) BINARY VALUE 3042.
       10  MQCACF-REG-Q-NAME   PIC S9(9) BINARY VALUE 3043.
       10  MQCACF-REG-CORREL-ID   PIC S9(9) BINARY VALUE 3044.
       10  MQCACF-EVENT-USER-ID   PIC S9(9) BINARY VALUE 3045.
       10  MQCACF-OBJECT-NAME   PIC S9(9) BINARY VALUE 3046.
       10  MQCACF-EVENT-Q-MGR   PIC S9(9) BINARY VALUE 3047.
       10  MQCACF-AUTH-INFO-NAMES   PIC S9(9) BINARY VALUE 3048.
       10  MQCACF-EVENT-APPL-IDENTITY   PIC S9(9) BINARY VALUE 3049.
       10  MQCACF-EVENT-APPL-NAME   PIC S9(9) BINARY VALUE 3050.
       10  MQCACF-EVENT-APPL-ORIGIN   PIC S9(9) BINARY VALUE 3051.
       10  MQCACF-SUBSCRIPTION-NAME   PIC S9(9) BINARY VALUE 3052.
       10  MQCACF-REG-SUB-NAME   PIC S9(9) BINARY VALUE 3053.
       10  MQCACF-SUBSCRIPTION-IDENTITY   PIC S9(9) BINARY VALUE 3054.
       10  MQCACF-REG-SUB-IDENTITY   PIC S9(9) BINARY VALUE 3055.
       10  MQCACF-SUBSCRIPTION-USER-DATA   PIC S9(9) BINARY VALUE 3056.
       10  MQCACF-REG-SUB-USER-DATA   PIC S9(9) BINARY VALUE 3057.
       10  MQCACF-APPL-TAG   PIC S9(9) BINARY VALUE 3058.
       10  MQCACF-DATA-SET-NAME   PIC S9(9) BINARY VALUE 3059.
       10  MQCACF-UOW-START-DATE   PIC S9(9) BINARY VALUE 3060.
       10  MQCACF-UOW-START-TIME   PIC S9(9) BINARY VALUE 3061.
       10  MQCACF-UOW-LOG-START-DATE   PIC S9(9) BINARY VALUE 3062.
       10  MQCACF-UOW-LOG-START-TIME   PIC S9(9) BINARY VALUE 3063.
       10  MQCACF-UOW-LOG-EXTENT-NAME   PIC S9(9) BINARY VALUE 3064.
       10  MQCACF-PRINCIPAL-ENTITY-NAMES   PIC S9(9) BINARY VALUE 3065.
       10  MQCACF-GROUP-ENTITY-NAMES   PIC S9(9) BINARY VALUE 3066.
       10  MQCACF-AUTH-PROFILE-NAME   PIC S9(9) BINARY VALUE 3067.
       10  MQCACF-ENTITY-NAME   PIC S9(9) BINARY VALUE 3068.
       10  MQCACF-SERVICE-COMPONENT   PIC S9(9) BINARY VALUE 3069.
       10  MQCACF-RESPONSE-Q-MGR-NAME   PIC S9(9) BINARY VALUE 3070.
       10  MQCACF-CURRENT-LOG-EXTENT-NAME   PIC S9(9) BINARY VALUE 3071.
       10  MQCACF-RESTART-LOG-EXTENT-NAME   PIC S9(9) BINARY VALUE 3072.
       10  MQCACF-MEDIA-LOG-EXTENT-NAME   PIC S9(9) BINARY VALUE 3073.
       10  MQCACF-LOG-PATH   PIC S9(9) BINARY VALUE 3074.
       10  MQCACF-COMMAND-MQSC   PIC S9(9) BINARY VALUE 3075.
       10  MQCACF-Q-MGR-CPF   PIC S9(9) BINARY VALUE 3076.
       10  MQCACF-USAGE-LOG-RBA   PIC S9(9) BINARY VALUE 3078.
       10  MQCACF-USAGE-LOG-LRSN   PIC S9(9) BINARY VALUE 3079.
       10  MQCACF-COMMAND-SCOPE   PIC S9(9) BINARY VALUE 3080.
       10  MQCACF-ASID   PIC S9(9) BINARY VALUE 3081.
       10  MQCACF-PSB-NAME   PIC S9(9) BINARY VALUE 3082.
       10  MQCACF-PST-ID   PIC S9(9) BINARY VALUE 3083.
       10  MQCACF-TASK-NUMBER   PIC S9(9) BINARY VALUE 3084.
       10  MQCACF-TRANSACTION-ID   PIC S9(9) BINARY VALUE 3085.
       10  MQCACF-Q-MGR-UOW-ID   PIC S9(9) BINARY VALUE 3086.
       10  MQCACF-ORIGIN-NAME   PIC S9(9) BINARY VALUE 3088.
       10  MQCACF-ENV-INFO   PIC S9(9) BINARY VALUE 3089.
       10  MQCACF-SECURITY-PROFILE   PIC S9(9) BINARY VALUE 3090.
       10  MQCACF-CONFIGURATION-DATE   PIC S9(9) BINARY VALUE 3091.
       10  MQCACF-CONFIGURATION-TIME   PIC S9(9) BINARY VALUE 3092.
       10  MQCACF-FROM-CF-STRUC-NAME   PIC S9(9) BINARY VALUE 3093.
       10  MQCACF-TO-CF-STRUC-NAME   PIC S9(9) BINARY VALUE 3094.
       10  MQCACF-CF-STRUC-NAMES   PIC S9(9) BINARY VALUE 3095.
       10  MQCACF-FAIL-DATE   PIC S9(9) BINARY VALUE 3096.
       10  MQCACF-FAIL-TIME   PIC S9(9) BINARY VALUE 3097.
       10  MQCACF-BACKUP-DATE   PIC S9(9) BINARY VALUE 3098.
       10  MQCACF-BACKUP-TIME   PIC S9(9) BINARY VALUE 3099.
       10  MQCACF-SYSTEM-NAME   PIC S9(9) BINARY VALUE 3100.
       10  MQCACF-CF-STRUC-BACKUP-START   PIC S9(9) BINARY VALUE 3101.
       10  MQCACF-CF-STRUC-BACKUP-END   PIC S9(9) BINARY VALUE 3102.
       10  MQCACF-CF-STRUC-LOG-Q-MGRS   PIC S9(9) BINARY VALUE 3103.
       10  MQCACF-FROM-STORAGE-CLASS   PIC S9(9) BINARY VALUE 3104.
       10  MQCACF-TO-STORAGE-CLASS   PIC S9(9) BINARY VALUE 3105.
       10  MQCACF-STORAGE-CLASS-NAMES   PIC S9(9) BINARY VALUE 3106.
       10  MQCACF-DSG-NAME   PIC S9(9) BINARY VALUE 3108.
       10  MQCACF-DB2-NAME   PIC S9(9) BINARY VALUE 3109.
       10  MQCACF-SYSP-CMD-USER-ID   PIC S9(9) BINARY VALUE 3110.
       10  MQCACF-SYSP-OTMA-GROUP   PIC S9(9) BINARY VALUE 3111.
       10  MQCACF-SYSP-OTMA-MEMBER   PIC S9(9) BINARY VALUE 3112.
       10  MQCACF-SYSP-OTMA-DRU-EXIT   PIC S9(9) BINARY VALUE 3113.
       10  MQCACF-SYSP-OTMA-TPIPE-PFX   PIC S9(9) BINARY VALUE 3114.
       10  MQCACF-SYSP-ARCHIVE-PFX1   PIC S9(9) BINARY VALUE 3115.
       10  MQCACF-SYSP-ARCHIVE-UNIT1   PIC S9(9) BINARY VALUE 3116.
       10  MQCACF-SYSP-LOG-CORREL-ID   PIC S9(9) BINARY VALUE 3117.
       10  MQCACF-SYSP-UNIT-VOLSER   PIC S9(9) BINARY VALUE 3118.
       10  MQCACF-SYSP-Q-MGR-TIME   PIC S9(9) BINARY VALUE 3119.
       10  MQCACF-SYSP-Q-MGR-DATE   PIC S9(9) BINARY VALUE 3120.
       10  MQCACF-SYSP-Q-MGR-RBA   PIC S9(9) BINARY VALUE 3121.
       10  MQCACF-SYSP-LOG-RBA   PIC S9(9) BINARY VALUE 3122.
       10  MQCACF-SYSP-SERVICE   PIC S9(9) BINARY VALUE 3123.
       10  MQCACF-FROM-LISTENER-NAME   PIC S9(9) BINARY VALUE 3124.
       10  MQCACF-TO-LISTENER-NAME   PIC S9(9) BINARY VALUE 3125.
       10  MQCACF-FROM-SERVICE-NAME   PIC S9(9) BINARY VALUE 3126.
       10  MQCACF-TO-SERVICE-NAME   PIC S9(9) BINARY VALUE 3127.
       10  MQCACF-LAST-PUT-DATE   PIC S9(9) BINARY VALUE 3128.
       10  MQCACF-LAST-PUT-TIME   PIC S9(9) BINARY VALUE 3129.
       10  MQCACF-LAST-GET-DATE   PIC S9(9) BINARY VALUE 3130.
       10  MQCACF-LAST-GET-TIME   PIC S9(9) BINARY VALUE 3131.
       10  MQCACF-OPERATION-DATE   PIC S9(9) BINARY VALUE 3132.
       10  MQCACF-OPERATION-TIME   PIC S9(9) BINARY VALUE 3133.
       10  MQCACF-ACTIVITY-DESC   PIC S9(9) BINARY VALUE 3134.
       10  MQCACF-APPL-IDENTITY-DATA   PIC S9(9) BINARY VALUE 3135.
       10  MQCACF-APPL-ORIGIN-DATA   PIC S9(9) BINARY VALUE 3136.
       10  MQCACF-PUT-DATE   PIC S9(9) BINARY VALUE 3137.
       10  MQCACF-PUT-TIME   PIC S9(9) BINARY VALUE 3138.
       10  MQCACF-REPLY-TO-Q   PIC S9(9) BINARY VALUE 3139.
       10  MQCACF-REPLY-TO-Q-MGR   PIC S9(9) BINARY VALUE 3140.
       10  MQCACF-RESOLVED-Q-NAME   PIC S9(9) BINARY VALUE 3141.
       10  MQCACF-STRUC-ID   PIC S9(9) BINARY VALUE 3142.
       10  MQCACF-VALUE-NAME   PIC S9(9) BINARY VALUE 3143.
       10  MQCACF-SERVICE-START-DATE   PIC S9(9) BINARY VALUE 3144.
       10  MQCACF-SERVICE-START-TIME   PIC S9(9) BINARY VALUE 3145.
       10  MQCACF-SYSP-OFFLINE-RBA   PIC S9(9) BINARY VALUE 3146.
       10  MQCACF-SYSP-ARCHIVE-PFX2   PIC S9(9) BINARY VALUE 3147.
       10  MQCACF-SYSP-ARCHIVE-UNIT2   PIC S9(9) BINARY VALUE 3148.
       10  MQCACF-LAST-USED   PIC S9(9) BINARY VALUE 3148.

      ** Character Channel Parameter Types 
       10  MQCACH-FIRST   PIC S9(9) BINARY VALUE 3501.
       10  MQCACH-CHANNEL-NAME   PIC S9(9) BINARY VALUE 3501.
       10  MQCACH-DESC   PIC S9(9) BINARY VALUE 3502.
       10  MQCACH-MODE-NAME   PIC S9(9) BINARY VALUE 3503.
       10  MQCACH-TP-NAME   PIC S9(9) BINARY VALUE 3504.
       10  MQCACH-XMIT-Q-NAME   PIC S9(9) BINARY VALUE 3505.
       10  MQCACH-CONNECTION-NAME   PIC S9(9) BINARY VALUE 3506.
       10  MQCACH-MCA-NAME   PIC S9(9) BINARY VALUE 3507.
       10  MQCACH-SEC-EXIT-NAME   PIC S9(9) BINARY VALUE 3508.
       10  MQCACH-MSG-EXIT-NAME   PIC S9(9) BINARY VALUE 3509.
       10  MQCACH-SEND-EXIT-NAME   PIC S9(9) BINARY VALUE 3510.
       10  MQCACH-RCV-EXIT-NAME   PIC S9(9) BINARY VALUE 3511.
       10  MQCACH-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 3512.
       10  MQCACH-SEC-EXIT-USER-DATA   PIC S9(9) BINARY VALUE 3513.
       10  MQCACH-MSG-EXIT-USER-DATA   PIC S9(9) BINARY VALUE 3514.
       10  MQCACH-SEND-EXIT-USER-DATA   PIC S9(9) BINARY VALUE 3515.
       10  MQCACH-RCV-EXIT-USER-DATA   PIC S9(9) BINARY VALUE 3516.
       10  MQCACH-USER-ID   PIC S9(9) BINARY VALUE 3517.
       10  MQCACH-PASSWORD   PIC S9(9) BINARY VALUE 3518.
       10  MQCACH-LOCAL-ADDRESS   PIC S9(9) BINARY VALUE 3520.
       10  MQCACH-LOCAL-NAME   PIC S9(9) BINARY VALUE 3521.
       10  MQCACH-LAST-MSG-TIME   PIC S9(9) BINARY VALUE 3524.
       10  MQCACH-LAST-MSG-DATE   PIC S9(9) BINARY VALUE 3525.
       10  MQCACH-MCA-USER-ID   PIC S9(9) BINARY VALUE 3527.
       10  MQCACH-CHANNEL-START-TIME   PIC S9(9) BINARY VALUE 3528.
       10  MQCACH-CHANNEL-START-DATE   PIC S9(9) BINARY VALUE 3529.
       10  MQCACH-MCA-JOB-NAME   PIC S9(9) BINARY VALUE 3530.
       10  MQCACH-LAST-LUWID   PIC S9(9) BINARY VALUE 3531.
       10  MQCACH-CURRENT-LUWID   PIC S9(9) BINARY VALUE 3532.
       10  MQCACH-FORMAT-NAME   PIC S9(9) BINARY VALUE 3533.
       10  MQCACH-MR-EXIT-NAME   PIC S9(9) BINARY VALUE 3534.
       10  MQCACH-MR-EXIT-USER-DATA   PIC S9(9) BINARY VALUE 3535.
       10  MQCACH-SSL-CIPHER-SPEC   PIC S9(9) BINARY VALUE 3544.
       10  MQCACH-SSL-PEER-NAME   PIC S9(9) BINARY VALUE 3545.
       10  MQCACH-SSL-HANDSHAKE-STAGE   PIC S9(9) BINARY VALUE 3546.
       10  MQCACH-SSL-SHORT-PEER-NAME   PIC S9(9) BINARY VALUE 3547.
       10  MQCACH-REMOTE-APPL-TAG   PIC S9(9) BINARY VALUE 3548.
       10  MQCACH-SSL-CERT-USER-ID   PIC S9(9) BINARY VALUE 3549.
       10  MQCACH-SSL-CERT-ISSUER-NAME   PIC S9(9) BINARY VALUE 3550.
       10  MQCACH-LU-NAME   PIC S9(9) BINARY VALUE 3551.
       10  MQCACH-IP-ADDRESS   PIC S9(9) BINARY VALUE 3552.
       10  MQCACH-TCP-NAME   PIC S9(9) BINARY VALUE 3553.
       10  MQCACH-LISTENER-NAME   PIC S9(9) BINARY VALUE 3554.
       10  MQCACH-LISTENER-DESC   PIC S9(9) BINARY VALUE 3555.
       10  MQCACH-LISTENER-START-DATE   PIC S9(9) BINARY VALUE 3556.
       10  MQCACH-LISTENER-START-TIME   PIC S9(9) BINARY VALUE 3557.
       10  MQCACH-SSL-KEY-RESET-DATE   PIC S9(9) BINARY VALUE 3558.
       10  MQCACH-SSL-KEY-RESET-TIME   PIC S9(9) BINARY VALUE 3559.
       10  MQCACH-LAST-USED   PIC S9(9) BINARY VALUE 3559.

      ******************************************************************
      **  Values Related to Group Parameter Structures                **
      ******************************************************************

      ** Group Parameter Types 
       10  MQGACF-FIRST   PIC S9(9) BINARY VALUE 8001.
       10  MQGACF-COMMAND-CONTEXT   PIC S9(9) BINARY VALUE 8001.
       10  MQGACF-COMMAND-DATA   PIC S9(9) BINARY VALUE 8002.
       10  MQGACF-TRACE-ROUTE   PIC S9(9) BINARY VALUE 8003.
       10  MQGACF-OPERATION   PIC S9(9) BINARY VALUE 8004.
       10  MQGACF-ACTIVITY   PIC S9(9) BINARY VALUE 8005.
       10  MQGACF-EMBEDDED-MQMD   PIC S9(9) BINARY VALUE 8006.
       10  MQGACF-MESSAGE   PIC S9(9) BINARY VALUE 8007.
       10  MQGACF-MQMD   PIC S9(9) BINARY VALUE 8008.
       10  MQGACF-VALUE-NAMING   PIC S9(9) BINARY VALUE 8009.
       10  MQGACF-Q-ACCOUNTING-DATA   PIC S9(9) BINARY VALUE 8010.
       10  MQGACF-Q-STATISTICS-DATA   PIC S9(9) BINARY VALUE 8011.
       10  MQGACF-CHL-STATISTICS-DATA   PIC S9(9) BINARY VALUE 8012.
       10  MQGACF-LAST-USED   PIC S9(9) BINARY VALUE 8012.

      ******************************************************************
      **  Parameter Values                                            **
      ******************************************************************

      ** Action Options 
       10  MQACT-FORCE-REMOVE   PIC S9(9) BINARY VALUE 1.
       10  MQACT-ADVANCE-LOG   PIC S9(9) BINARY VALUE 2.
       10  MQACT-COLLECT-STATISTICS   PIC S9(9) BINARY VALUE 3.

      ** Authority Values 
       10  MQAUTH-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQAUTH-ALT-USER-AUTHORITY   PIC S9(9) BINARY VALUE 1.
       10  MQAUTH-BROWSE   PIC S9(9) BINARY VALUE 2.
       10  MQAUTH-CHANGE   PIC S9(9) BINARY VALUE 3.
       10  MQAUTH-CLEAR   PIC S9(9) BINARY VALUE 4.
       10  MQAUTH-CONNECT   PIC S9(9) BINARY VALUE 5.
       10  MQAUTH-CREATE   PIC S9(9) BINARY VALUE 6.
       10  MQAUTH-DELETE   PIC S9(9) BINARY VALUE 7.
       10  MQAUTH-DISPLAY   PIC S9(9) BINARY VALUE 8.
       10  MQAUTH-INPUT   PIC S9(9) BINARY VALUE 9.
       10  MQAUTH-INQUIRE   PIC S9(9) BINARY VALUE 10.
       10  MQAUTH-OUTPUT   PIC S9(9) BINARY VALUE 11.
       10  MQAUTH-PASS-ALL-CONTEXT   PIC S9(9) BINARY VALUE 12.
       10  MQAUTH-PASS-IDENTITY-CONTEXT   PIC S9(9) BINARY VALUE 13.
       10  MQAUTH-SET   PIC S9(9) BINARY VALUE 14.
       10  MQAUTH-SET-ALL-CONTEXT   PIC S9(9) BINARY VALUE 15.
       10  MQAUTH-SET-IDENTITY-CONTEXT   PIC S9(9) BINARY VALUE 16.
       10  MQAUTH-CONTROL   PIC S9(9) BINARY VALUE 17.
       10  MQAUTH-CONTROL-EXTENDED   PIC S9(9) BINARY VALUE 18.

      ** Authority Options 
       10  MQAUTHOPT-CUMULATIVE   PIC S9(9) BINARY VALUE 256.
       10  MQAUTHOPT-ENTITY-EXPLICIT   PIC S9(9) BINARY VALUE 1.
       10  MQAUTHOPT-ENTITY-SET   PIC S9(9) BINARY VALUE 2.
       10  MQAUTHOPT-NAME-ALL-MATCHING   PIC S9(9) BINARY VALUE 32.
       10  MQAUTHOPT-NAME-AS-WILDCARD   PIC S9(9) BINARY VALUE 64.
       10  MQAUTHOPT-NAME-EXPLICIT   PIC S9(9) BINARY VALUE 16.

      ** Bridge Types 
       10  MQBT-OTMA   PIC S9(9) BINARY VALUE 1.

      ** Refresh Repository Options 
       10  MQCFO-REFRESH-REPOSITORY-YES   PIC S9(9) BINARY VALUE 1.
       10  MQCFO-REFRESH-REPOSITORY-NO   PIC S9(9) BINARY VALUE 0.

      ** Remove Queues Options 
       10  MQCFO-REMOVE-QUEUES-YES   PIC S9(9) BINARY VALUE 1.
       10  MQCFO-REMOVE-QUEUES-NO   PIC S9(9) BINARY VALUE 0.

      ** CF Status 
       10  MQCFSTATUS-NOT-FOUND   PIC S9(9) BINARY VALUE 0.
       10  MQCFSTATUS-ACTIVE   PIC S9(9) BINARY VALUE 1.
       10  MQCFSTATUS-IN-RECOVER   PIC S9(9) BINARY VALUE 2.
       10  MQCFSTATUS-IN-BACKUP   PIC S9(9) BINARY VALUE 3.
       10  MQCFSTATUS-FAILED   PIC S9(9) BINARY VALUE 4.
       10  MQCFSTATUS-NONE   PIC S9(9) BINARY VALUE 5.
       10  MQCFSTATUS-UNKNOWN   PIC S9(9) BINARY VALUE 6.
       10  MQCFSTATUS-ADMIN-INCOMPLETE   PIC S9(9) BINARY VALUE 20.
       10  MQCFSTATUS-NEVER-USED   PIC S9(9) BINARY VALUE 21.
       10  MQCFSTATUS-NO-BACKUP   PIC S9(9) BINARY VALUE 22.
       10  MQCFSTATUS-NOT-FAILED   PIC S9(9) BINARY VALUE 23.
       10  MQCFSTATUS-NOT-RECOVERABLE   PIC S9(9) BINARY VALUE 24.
       10  MQCFSTATUS-XES-ERROR   PIC S9(9) BINARY VALUE 25.

      ** CF Types 
       10  MQCFTYPE-APPL   PIC S9(9) BINARY VALUE 0.
       10  MQCFTYPE-ADMIN   PIC S9(9) BINARY VALUE 1.

      ** Indoubt Status 
       10  MQCHIDS-NOT-INDOUBT   PIC S9(9) BINARY VALUE 0.
       10  MQCHIDS-INDOUBT   PIC S9(9) BINARY VALUE 1.

      ** Channel Dispositions 
       10  MQCHLD-ALL   PIC S9(9) BINARY VALUE -1.
       10  MQCHLD-PRIVATE   PIC S9(9) BINARY VALUE 4.
       10  MQCHLD-SHARED   PIC S9(9) BINARY VALUE 2.
       10  MQCHLD-FIXSHARED   PIC S9(9) BINARY VALUE 5.

      ** Channel Status 
       10  MQCHS-INACTIVE   PIC S9(9) BINARY VALUE 0.
       10  MQCHS-BINDING   PIC S9(9) BINARY VALUE 1.
       10  MQCHS-STARTING   PIC S9(9) BINARY VALUE 2.
       10  MQCHS-RUNNING   PIC S9(9) BINARY VALUE 3.
       10  MQCHS-STOPPING   PIC S9(9) BINARY VALUE 4.
       10  MQCHS-RETRYING   PIC S9(9) BINARY VALUE 5.
       10  MQCHS-STOPPED   PIC S9(9) BINARY VALUE 6.
       10  MQCHS-REQUESTING   PIC S9(9) BINARY VALUE 7.
       10  MQCHS-PAUSED   PIC S9(9) BINARY VALUE 8.
       10  MQCHS-INITIALIZING   PIC S9(9) BINARY VALUE 13.

      ** Channel Substates 
       10  MQCHSSTATE-OTHER   PIC S9(9) BINARY VALUE 0.
       10  MQCHSSTATE-END-OF-BATCH   PIC S9(9) BINARY VALUE 100.
       10  MQCHSSTATE-SENDING   PIC S9(9) BINARY VALUE 200.
       10  MQCHSSTATE-RECEIVING   PIC S9(9) BINARY VALUE 300.
       10  MQCHSSTATE-SERIALIZING   PIC S9(9) BINARY VALUE 400.
       10  MQCHSSTATE-RESYNCHING   PIC S9(9) BINARY VALUE 500.
       10  MQCHSSTATE-HEARTBEATING   PIC S9(9) BINARY VALUE 600.
       10  MQCHSSTATE-IN-SCYEXIT   PIC S9(9) BINARY VALUE 700.
       10  MQCHSSTATE-IN-RCVEXIT   PIC S9(9) BINARY VALUE 800.
       10  MQCHSSTATE-IN-SENDEXIT   PIC S9(9) BINARY VALUE 900.
       10  MQCHSSTATE-IN-MSGEXIT   PIC S9(9) BINARY VALUE 1000.
       10  MQCHSSTATE-IN-MREXIT   PIC S9(9) BINARY VALUE 1100.
       10  MQCHSSTATE-IN-CHADEXIT   PIC S9(9) BINARY VALUE 1200.
       10  MQCHSSTATE-NET-CONNECTING   PIC S9(9) BINARY VALUE 1250.
       10  MQCHSSTATE-SSL-HANDSHAKING   PIC S9(9) BINARY VALUE 1300.
       10  MQCHSSTATE-NAME-SERVER   PIC S9(9) BINARY VALUE 1400.
       10  MQCHSSTATE-IN-MQPUT   PIC S9(9) BINARY VALUE 1500.
       10  MQCHSSTATE-IN-MQGET   PIC S9(9) BINARY VALUE 1600.
       10  MQCHSSTATE-IN-MQI-CALL   PIC S9(9) BINARY VALUE 1700.
       10  MQCHSSTATE-COMPRESSING   PIC S9(9) BINARY VALUE 1800.

      ** Channel Shared Restart Options 
       10  MQCHSH-RESTART-NO   PIC S9(9) BINARY VALUE 0.
       10  MQCHSH-RESTART-YES   PIC S9(9) BINARY VALUE 1.

      ** Channel Stop Options 
       10  MQCHSR-STOP-NOT-REQUESTED   PIC S9(9) BINARY VALUE 0.
       10  MQCHSR-STOP-REQUESTED   PIC S9(9) BINARY VALUE 1.

      ** Channel Table Types 
       10  MQCHTAB-Q-MGR   PIC S9(9) BINARY VALUE 1.
       10  MQCHTAB-CLNTCONN   PIC S9(9) BINARY VALUE 2.

      ** Command Information Values 
       10  MQCMDI-CMDSCOPE-ACCEPTED   PIC S9(9) BINARY VALUE 1.
       10  MQCMDI-CMDSCOPE-GENERATED   PIC S9(9) BINARY VALUE 2.
       10  MQCMDI-CMDSCOPE-COMPLETED   PIC S9(9) BINARY VALUE 3.
       10  MQCMDI-QSG-DISP-COMPLETED   PIC S9(9) BINARY VALUE 4.
       10  MQCMDI-COMMAND-ACCEPTED   PIC S9(9) BINARY VALUE 5.
       10  MQCMDI-CLUSTER-REQUEST-QUEUED   PIC S9(9) BINARY VALUE 6.
       10  MQCMDI-CHANNEL-INIT-STARTED   PIC S9(9) BINARY VALUE 7.
       10  MQCMDI-RECOVER-STARTED   PIC S9(9) BINARY VALUE 11.
       10  MQCMDI-BACKUP-STARTED   PIC S9(9) BINARY VALUE 12.
       10  MQCMDI-RECOVER-COMPLETED   PIC S9(9) BINARY VALUE 13.
       10  MQCMDI-SEC-TIMER-ZERO   PIC S9(9) BINARY VALUE 14.
       10  MQCMDI-REFRESH-CONFIGURATION   PIC S9(9) BINARY VALUE 16.
       10  MQCMDI-SEC-SIGNOFF-ERROR   PIC S9(9) BINARY VALUE 17.
       10  MQCMDI-IMS-BRIDGE-SUSPENDED   PIC S9(9) BINARY VALUE 18.
       10  MQCMDI-DB2-SUSPENDED   PIC S9(9) BINARY VALUE 19.
       10  MQCMDI-DB2-OBSOLETE-MSGS   PIC S9(9) BINARY VALUE 20.

      ** Disconnect Types 
       10  MQDISCONNECT-NORMAL   PIC S9(9) BINARY VALUE 0.
       10  MQDISCONNECT-IMPLICIT   PIC S9(9) BINARY VALUE 1.
       10  MQDISCONNECT-Q-MGR   PIC S9(9) BINARY VALUE 2.

      ** Escape Types 
       10  MQET-MQSC   PIC S9(9) BINARY VALUE 1.

      ** Event Origins 
       10  MQEVO-OTHER   PIC S9(9) BINARY VALUE 0.
       10  MQEVO-CONSOLE   PIC S9(9) BINARY VALUE 1.
       10  MQEVO-INIT   PIC S9(9) BINARY VALUE 2.
       10  MQEVO-MSG   PIC S9(9) BINARY VALUE 3.
       10  MQEVO-MQSET   PIC S9(9) BINARY VALUE 4.
       10  MQEVO-INTERNAL   PIC S9(9) BINARY VALUE 5.

      ** Event Recording 
       10  MQEVR-DISABLED   PIC S9(9) BINARY VALUE 0.
       10  MQEVR-ENABLED   PIC S9(9) BINARY VALUE 1.
       10  MQEVR-EXCEPTION   PIC S9(9) BINARY VALUE 2.
       10  MQEVR-NO-DISPLAY   PIC S9(9) BINARY VALUE 3.

      ** Force Options 
       10  MQFC-YES   PIC S9(9) BINARY VALUE 1.
       10  MQFC-NO   PIC S9(9) BINARY VALUE 0.

      ** Handle States 
       10  MQHSTATE-INACTIVE   PIC S9(9) BINARY VALUE 0.
       10  MQHSTATE-ACTIVE   PIC S9(9) BINARY VALUE 1.

      ** Inbound Dispositions 
       10  MQINBD-Q-MGR   PIC S9(9) BINARY VALUE 0.
       10  MQINBD-GROUP   PIC S9(9) BINARY VALUE 3.

      ** Indoubt Options 
       10  MQIDO-COMMIT   PIC S9(9) BINARY VALUE 1.
       10  MQIDO-BACKOUT   PIC S9(9) BINARY VALUE 2.

      ** Message Channel Agent Status 
       10  MQMCAS-STOPPED   PIC S9(9) BINARY VALUE 0.
       10  MQMCAS-RUNNING   PIC S9(9) BINARY VALUE 3.

      ** Mode Options 
       10  MQMODE-FORCE   PIC S9(9) BINARY VALUE 0.
       10  MQMODE-QUIESCE   PIC S9(9) BINARY VALUE 1.
       10  MQMODE-TERMINATE   PIC S9(9) BINARY VALUE 2.

      ** Purge Options 
       10  MQPO-YES   PIC S9(9) BINARY VALUE 1.
       10  MQPO-NO   PIC S9(9) BINARY VALUE 0.

      ** Queue Manager Definition Types 
       10  MQQMDT-EXPLICIT-CLUSTER-SENDER   PIC S9(9) BINARY VALUE 1.
       10  MQQMDT-AUTO-CLUSTER-SENDER   PIC S9(9) BINARY VALUE 2.
       10  MQQMDT-AUTO-EXP-CLUSTER-SENDER   PIC S9(9) BINARY VALUE 4.
       10  MQQMDT-CLUSTER-RECEIVER   PIC S9(9) BINARY VALUE 3.

      ** Queue Manager Facility 
       10  MQQMFAC-IMS-BRIDGE   PIC S9(9) BINARY VALUE 1.
       10  MQQMFAC-DB2   PIC S9(9) BINARY VALUE 2.

      ** Queue Manager Status 
       10  MQQMSTA-STARTING   PIC S9(9) BINARY VALUE 1.
       10  MQQMSTA-RUNNING   PIC S9(9) BINARY VALUE 2.
       10  MQQMSTA-QUIESCING   PIC S9(9) BINARY VALUE 3.

      ** Queue Manager Types 
       10  MQQMT-NORMAL   PIC S9(9) BINARY VALUE 0.
       10  MQQMT-REPOSITORY   PIC S9(9) BINARY VALUE 1.

      ** Quiesce Options 
       10  MQQO-YES   PIC S9(9) BINARY VALUE 1.
       10  MQQO-NO   PIC S9(9) BINARY VALUE 0.

      ** Queue Service-Interval Events 
       10  MQQSIE-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQQSIE-HIGH   PIC S9(9) BINARY VALUE 1.
       10  MQQSIE-OK   PIC S9(9) BINARY VALUE 2.

      ** Queue Status Open Types 
       10  MQQSOT-ALL   PIC S9(9) BINARY VALUE 1.
       10  MQQSOT-INPUT   PIC S9(9) BINARY VALUE 2.
       10  MQQSOT-OUTPUT   PIC S9(9) BINARY VALUE 3.

      ** QSG Status 
       10  MQQSGS-UNKNOWN   PIC S9(9) BINARY VALUE 0.
       10  MQQSGS-CREATED   PIC S9(9) BINARY VALUE 1.
       10  MQQSGS-ACTIVE   PIC S9(9) BINARY VALUE 2.
       10  MQQSGS-INACTIVE   PIC S9(9) BINARY VALUE 3.
       10  MQQSGS-FAILED   PIC S9(9) BINARY VALUE 4.
       10  MQQSGS-PENDING   PIC S9(9) BINARY VALUE 5.

      ** Queue Status Open Options for SET, BROWSE, INPUT 
       10  MQQSO-NO   PIC S9(9) BINARY VALUE 0.
       10  MQQSO-YES   PIC S9(9) BINARY VALUE 1.
       10  MQQSO-SHARED   PIC S9(9) BINARY VALUE 1.
       10  MQQSO-EXCLUSIVE   PIC S9(9) BINARY VALUE 2.

      ** Queue Status Uncommitted Messages 
       10  MQQSUM-YES   PIC S9(9) BINARY VALUE 1.
       10  MQQSUM-NO   PIC S9(9) BINARY VALUE 0.

      ** Replace Options 
       10  MQRP-YES   PIC S9(9) BINARY VALUE 1.
       10  MQRP-NO   PIC S9(9) BINARY VALUE 0.

      ** Reason Qualifiers 
       10  MQRQ-CONN-NOT-AUTHORIZED   PIC S9(9) BINARY VALUE 1.
       10  MQRQ-OPEN-NOT-AUTHORIZED   PIC S9(9) BINARY VALUE 2.
       10  MQRQ-CLOSE-NOT-AUTHORIZED   PIC S9(9) BINARY VALUE 3.
       10  MQRQ-CMD-NOT-AUTHORIZED   PIC S9(9) BINARY VALUE 4.
       10  MQRQ-Q-MGR-STOPPING   PIC S9(9) BINARY VALUE 5.
       10  MQRQ-Q-MGR-QUIESCING   PIC S9(9) BINARY VALUE 6.
       10  MQRQ-CHANNEL-STOPPED-OK   PIC S9(9) BINARY VALUE 7.
       10  MQRQ-CHANNEL-STOPPED-ERROR   PIC S9(9) BINARY VALUE 8.
       10  MQRQ-CHANNEL-STOPPED-RETRY   PIC S9(9) BINARY VALUE 9.
       10  MQRQ-CHANNEL-STOPPED-DISABLED   PIC S9(9) BINARY VALUE 10.
       10  MQRQ-BRIDGE-STOPPED-OK   PIC S9(9) BINARY VALUE 11.
       10  MQRQ-BRIDGE-STOPPED-ERROR   PIC S9(9) BINARY VALUE 12.
       10  MQRQ-SSL-HANDSHAKE-ERROR   PIC S9(9) BINARY VALUE 13.
       10  MQRQ-SSL-CIPHER-SPEC-ERROR   PIC S9(9) BINARY VALUE 14.
       10  MQRQ-SSL-CLIENT-AUTH-ERROR   PIC S9(9) BINARY VALUE 15.
       10  MQRQ-SSL-PEER-NAME-ERROR   PIC S9(9) BINARY VALUE 16.

      ** Refresh Types 
       10  MQRT-CONFIGURATION   PIC S9(9) BINARY VALUE 1.
       10  MQRT-EXPIRY   PIC S9(9) BINARY VALUE 2.
       10  MQRT-NSPROC   PIC S9(9) BINARY VALUE 3.

      ** Queue Definition Scope 
       10  MQSCO-Q-MGR   PIC S9(9) BINARY VALUE 1.
       10  MQSCO-CELL   PIC S9(9) BINARY VALUE 2.

      ** Security Items 
       10  MQSECITEM-ALL   PIC S9(9) BINARY VALUE 0.
       10  MQSECITEM-MQADMIN   PIC S9(9) BINARY VALUE 1.
       10  MQSECITEM-MQNLIST   PIC S9(9) BINARY VALUE 2.
       10  MQSECITEM-MQPROC   PIC S9(9) BINARY VALUE 3.
       10  MQSECITEM-MQQUEUE   PIC S9(9) BINARY VALUE 4.
       10  MQSECITEM-MQCONN   PIC S9(9) BINARY VALUE 5.
       10  MQSECITEM-MQCMDS   PIC S9(9) BINARY VALUE 6.

      ** Security Switches 
       10  MQSECSW-PROCESS   PIC S9(9) BINARY VALUE 1.
       10  MQSECSW-NAMELIST   PIC S9(9) BINARY VALUE 2.
       10  MQSECSW-Q   PIC S9(9) BINARY VALUE 3.
       10  MQSECSW-CONTEXT   PIC S9(9) BINARY VALUE 6.
       10  MQSECSW-ALTERNATE-USER   PIC S9(9) BINARY VALUE 7.
       10  MQSECSW-COMMAND   PIC S9(9) BINARY VALUE 8.
       10  MQSECSW-CONNECTION   PIC S9(9) BINARY VALUE 9.
       10  MQSECSW-SUBSYSTEM   PIC S9(9) BINARY VALUE 10.
       10  MQSECSW-COMMAND-RESOURCES   PIC S9(9) BINARY VALUE 11.
       10  MQSECSW-Q-MGR   PIC S9(9) BINARY VALUE 15.
       10  MQSECSW-QSG   PIC S9(9) BINARY VALUE 16.

      ** Security Switch States 
       10  MQSECSW-OFF-FOUND   PIC S9(9) BINARY VALUE 21.
       10  MQSECSW-ON-FOUND   PIC S9(9) BINARY VALUE 22.
       10  MQSECSW-OFF-NOT-FOUND   PIC S9(9) BINARY VALUE 23.
       10  MQSECSW-ON-NOT-FOUND   PIC S9(9) BINARY VALUE 24.
       10  MQSECSW-OFF-ERROR   PIC S9(9) BINARY VALUE 25.
       10  MQSECSW-ON-OVERRIDDEN   PIC S9(9) BINARY VALUE 26.

      ** Security Types 
       10  MQSECTYPE-AUTHSERV   PIC S9(9) BINARY VALUE 1.
       10  MQSECTYPE-SSL   PIC S9(9) BINARY VALUE 2.
       10  MQSECTYPE-CLASSES   PIC S9(9) BINARY VALUE 3.

      ** Suspend Status 
       10  MQSUS-YES   PIC S9(9) BINARY VALUE 1.
       10  MQSUS-NO   PIC S9(9) BINARY VALUE 0.

      ** System Parameter Values 
       10  MQSYSP-NO   PIC S9(9) BINARY VALUE 0.
       10  MQSYSP-YES   PIC S9(9) BINARY VALUE 1.
       10  MQSYSP-EXTENDED   PIC S9(9) BINARY VALUE 2.
       10  MQSYSP-TYPE-INITIAL   PIC S9(9) BINARY VALUE 10.
       10  MQSYSP-TYPE-SET   PIC S9(9) BINARY VALUE 11.
       10  MQSYSP-TYPE-LOG-COPY   PIC S9(9) BINARY VALUE 12.
       10  MQSYSP-TYPE-LOG-STATUS   PIC S9(9) BINARY VALUE 13.
       10  MQSYSP-TYPE-ARCHIVE-TAPE   PIC S9(9) BINARY VALUE 14.
       10  MQSYSP-ALLOC-BLK   PIC S9(9) BINARY VALUE 20.
       10  MQSYSP-ALLOC-TRK   PIC S9(9) BINARY VALUE 21.
       10  MQSYSP-ALLOC-CYL   PIC S9(9) BINARY VALUE 22.
       10  MQSYSP-STATUS-BUSY   PIC S9(9) BINARY VALUE 30.
       10  MQSYSP-STATUS-PREMOUNT   PIC S9(9) BINARY VALUE 31.
       10  MQSYSP-STATUS-AVAILABLE   PIC S9(9) BINARY VALUE 32.
       10  MQSYSP-STATUS-UNKNOWN   PIC S9(9) BINARY VALUE 33.
       10  MQSYSP-STATUS-ALLOC-ARCHIVE   PIC S9(9) BINARY VALUE 34.
       10  MQSYSP-STATUS-COPYING-BSDS   PIC S9(9) BINARY VALUE 35.
       10  MQSYSP-STATUS-COPYING-LOG   PIC S9(9) BINARY VALUE 36.

      ** Time units 
       10  MQTIME-UNIT-MINS   PIC S9(9) BINARY VALUE 0.
       10  MQTIME-UNIT-SECS   PIC S9(9) BINARY VALUE 1.

      ** User ID Support 
       10  MQUIDSUPP-NO   PIC S9(9) BINARY VALUE 0.
       10  MQUIDSUPP-YES   PIC S9(9) BINARY VALUE 1.

      ** UOW States 
       10  MQUOWST-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQUOWST-ACTIVE   PIC S9(9) BINARY VALUE 1.
       10  MQUOWST-PREPARED   PIC S9(9) BINARY VALUE 2.
       10  MQUOWST-UNRESOLVED   PIC S9(9) BINARY VALUE 3.

      ** UOW Types 
       10  MQUOWT-Q-MGR   PIC S9(9) BINARY VALUE 0.
       10  MQUOWT-CICS   PIC S9(9) BINARY VALUE 1.
       10  MQUOWT-RRS   PIC S9(9) BINARY VALUE 2.
       10  MQUOWT-IMS   PIC S9(9) BINARY VALUE 3.
       10  MQUOWT-XA   PIC S9(9) BINARY VALUE 4.

      ** Page Set Usage Values 
       10  MQUSAGE-PS-AVAILABLE   PIC S9(9) BINARY VALUE 0.
       10  MQUSAGE-PS-DEFINED   PIC S9(9) BINARY VALUE 1.
       10  MQUSAGE-PS-OFFLINE   PIC S9(9) BINARY VALUE 2.
       10  MQUSAGE-PS-NOT-DEFINED   PIC S9(9) BINARY VALUE 3.
       10  MQUSAGE-EXPAND-USER   PIC S9(9) BINARY VALUE 1.
       10  MQUSAGE-EXPAND-SYSTEM   PIC S9(9) BINARY VALUE 2.
       10  MQUSAGE-EXPAND-NONE   PIC S9(9) BINARY VALUE 3.

      ** Data Set Usage Values 
       10  MQUSAGE-DS-OLDEST-ACTIVE-UOW   PIC S9(9) BINARY VALUE 10.
       10  MQUSAGE-DS-OLDEST-PS-RECOVERY   PIC S9(9) BINARY VALUE 11.
       10  MQUSAGE-DS-OLDEST-CF-RECOVERY   PIC S9(9) BINARY VALUE 12.

      ******************************************************************
      **  Values Related to Route Tracing and Activity Operations     **
      ******************************************************************

      ** Activity Operations 
       10  MQOPER-SYSTEM-FIRST   PIC S9(9) BINARY VALUE 0.
       10  MQOPER-UNKNOWN   PIC S9(9) BINARY VALUE 0.
       10  MQOPER-BROWSE   PIC S9(9) BINARY VALUE 1.
       10  MQOPER-DISCARD   PIC S9(9) BINARY VALUE 2.
       10  MQOPER-GET   PIC S9(9) BINARY VALUE 3.
       10  MQOPER-PUT   PIC S9(9) BINARY VALUE 4.
       10  MQOPER-PUT-REPLY   PIC S9(9) BINARY VALUE 5.
       10  MQOPER-PUT-REPORT   PIC S9(9) BINARY VALUE 6.
       10  MQOPER-RECEIVE   PIC S9(9) BINARY VALUE 7.
       10  MQOPER-SEND   PIC S9(9) BINARY VALUE 8.
       10  MQOPER-TRANSFORM   PIC S9(9) BINARY VALUE 9.
       10  MQOPER-SYSTEM-LAST   PIC S9(9) BINARY VALUE 65535.
       10  MQOPER-APPL-FIRST   PIC S9(9) BINARY VALUE 65536.
       10  MQOPER-APPL-LAST   PIC S9(9) BINARY VALUE 999999999.

      ** Route Tracing Max Activities (MQIACF-MAX-ACTIVITIES) 
       10  MQROUTE-UNLIMITED-ACTIVITIES   PIC S9(9) BINARY VALUE 0.

      ** Route Tracing Detail (MQIACF-ROUTE-DETAIL) 
       10  MQROUTE-DETAIL-LOW   PIC S9(9) BINARY VALUE 2.
       10  MQROUTE-DETAIL-MEDIUM   PIC S9(9) BINARY VALUE 8.
       10  MQROUTE-DETAIL-HIGH   PIC S9(9) BINARY VALUE 32.

      ** Route Tracing Forwarding (MQIACF-ROUTE-FORWARDING) 
       10  MQROUTE-FORWARD-ALL   PIC S9(9) BINARY VALUE 256.
       10  MQROUTE-FORWARD-IF-SUPPORTED   PIC S9(9) BINARY VALUE 512.
       10  MQROUTE-FORWARD-REJ-UNSUP-MASK   PIC S9(9) BINARY
           VALUE -65536.

      ** Route Tracing Delivery (MQIACF-ROUTE-DELIVERY) 
       10  MQROUTE-DELIVER-YES   PIC S9(9) BINARY VALUE 4096.
       10  MQROUTE-DELIVER-NO   PIC S9(9) BINARY VALUE 8192.
       10  MQROUTE-DELIVER-REJ-UNSUP-MASK   PIC S9(9) BINARY
           VALUE -65536.

      ** Route Tracing Accumulation (MQIACF-ROUTE-ACCUMULATION) 
       10  MQROUTE-ACCUMULATE-NONE   PIC S9(9) BINARY VALUE 65539.
       10  MQROUTE-ACCUMULATE-IN-MSG   PIC S9(9) BINARY VALUE 65540.
       10  MQROUTE-ACCUMULATE-AND-REPLY   PIC S9(9) BINARY VALUE 65541.

      ******************************************************************
      **  Values Related to Publish/Subscribe                         **
      ******************************************************************

      ** Delete Options 
       10  MQDELO-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQDELO-LOCAL   PIC S9(9) BINARY VALUE 4.

      ** Publication Options 
       10  MQPUBO-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQPUBO-CORREL-ID-AS-IDENTITY   PIC S9(9) BINARY VALUE 1.
       10  MQPUBO-RETAIN-PUBLICATION   PIC S9(9) BINARY VALUE 2.
       10  MQPUBO-OTHER-SUBSCRIBERS-ONLY   PIC S9(9) BINARY VALUE 4.
       10  MQPUBO-NO-REGISTRATION   PIC S9(9) BINARY VALUE 8.
       10  MQPUBO-IS-RETAINED-PUBLICATION   PIC S9(9) BINARY VALUE 16.

      ** Registration Options 
       10  MQREGO-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQREGO-CORREL-ID-AS-IDENTITY   PIC S9(9) BINARY VALUE 1.
       10  MQREGO-ANONYMOUS   PIC S9(9) BINARY VALUE 2.
       10  MQREGO-LOCAL   PIC S9(9) BINARY VALUE 4.
       10  MQREGO-DIRECT-REQUESTS   PIC S9(9) BINARY VALUE 8.
       10  MQREGO-NEW-PUBLICATIONS-ONLY   PIC S9(9) BINARY VALUE 16.
       10  MQREGO-PUBLISH-ON-REQUEST-ONLY   PIC S9(9) BINARY VALUE 32.
       10  MQREGO-DEREGISTER-ALL   PIC S9(9) BINARY VALUE 64.
       10  MQREGO-INCLUDE-STREAM-NAME   PIC S9(9) BINARY VALUE 128.
       10  MQREGO-INFORM-IF-RETAINED   PIC S9(9) BINARY VALUE 256.
       10  MQREGO-DUPLICATES-OK   PIC S9(9) BINARY VALUE 512.
       10  MQREGO-NON-PERSISTENT   PIC S9(9) BINARY VALUE 1024.
       10  MQREGO-PERSISTENT   PIC S9(9) BINARY VALUE 2048.
       10  MQREGO-PERSISTENT-AS-PUBLISH   PIC S9(9) BINARY VALUE 4096.
       10  MQREGO-PERSISTENT-AS-Q   PIC S9(9) BINARY VALUE 8192.
       10  MQREGO-ADD-NAME   PIC S9(9) BINARY VALUE 16384.
       10  MQREGO-NO-ALTERATION   PIC S9(9) BINARY VALUE 32768.
       10  MQREGO-FULL-RESPONSE   PIC S9(9) BINARY VALUE 65536.
       10  MQREGO-JOIN-SHARED   PIC S9(9) BINARY VALUE 131072.
       10  MQREGO-JOIN-EXCLUSIVE   PIC S9(9) BINARY VALUE 262144.
       10  MQREGO-LEAVE-ONLY   PIC S9(9) BINARY VALUE 524288.
       10  MQREGO-VARIABLE-USER-ID   PIC S9(9) BINARY VALUE 1048576.
       10  MQREGO-LOCKED   PIC S9(9) BINARY VALUE 2097152.

      ** User Attribute Selectors 
       10  MQUA-FIRST   PIC S9(9) BINARY VALUE 65536.
       10  MQUA-LAST   PIC S9(9) BINARY VALUE 999999999.

      ******************************************************************
      **  End of CMQCFV                                               **
      ******************************************************************
