      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQXV                                       **
      **                                                              **
      **  DESCRIPTION:    Constants for MQCD                          **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1993, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the named constants      **
      **                  for MQCD.                                   **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      **  Values Related to MQACH Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQACH-STRUC-ID   PIC X(4) VALUE 'ACH '.

      ** Structure Version Number 
       10  MQACH-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQACH-CURRENT-VERSION   PIC S9(9) BINARY VALUE 1.

      ** Structure Length 
       10  MQACH-LENGTH-1   PIC S9(9) BINARY VALUE 72.
       10  MQACH-CURRENT-LENGTH   PIC S9(9) BINARY VALUE 72.

      ******************************************************************
      **  Values Related to MQAXC Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQAXC-STRUC-ID   PIC X(4) VALUE 'AXC '.

      ** Structure Version Number 
       10  MQAXC-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQAXC-CURRENT-VERSION   PIC S9(9) BINARY VALUE 1.

      ** Environments 
       10  MQXE-OTHER   PIC S9(9) BINARY VALUE 0.
       10  MQXE-MCA   PIC S9(9) BINARY VALUE 1.
       10  MQXE-MCA-SVRCONN   PIC S9(9) BINARY VALUE 2.
       10  MQXE-COMMAND-SERVER   PIC S9(9) BINARY VALUE 3.
       10  MQXE-MQSC   PIC S9(9) BINARY VALUE 4.

      ******************************************************************
      **  Values Related to MQAXP Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQAXP-STRUC-ID   PIC X(4) VALUE 'AXP '.

      ** Structure Version Number 
       10  MQAXP-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQAXP-CURRENT-VERSION   PIC S9(9) BINARY VALUE 1.

      ** API Caller Types 
       10  MQXACT-EXTERNAL   PIC S9(9) BINARY VALUE 1.
       10  MQXACT-INTERNAL   PIC S9(9) BINARY VALUE 2.

      ** Problem Determination Area 
       10  MQXPDA-NONE   PIC X(48) VALUE LOW-VALUES.

      ** API Function Identifiers 
       10  MQXF-INIT   PIC S9(9) BINARY VALUE 1.
       10  MQXF-TERM   PIC S9(9) BINARY VALUE 2.
       10  MQXF-CONN   PIC S9(9) BINARY VALUE 3.
       10  MQXF-CONNX   PIC S9(9) BINARY VALUE 4.
       10  MQXF-DISC   PIC S9(9) BINARY VALUE 5.
       10  MQXF-OPEN   PIC S9(9) BINARY VALUE 6.
       10  MQXF-CLOSE   PIC S9(9) BINARY VALUE 7.
       10  MQXF-PUT1   PIC S9(9) BINARY VALUE 8.
       10  MQXF-PUT   PIC S9(9) BINARY VALUE 9.
       10  MQXF-GET   PIC S9(9) BINARY VALUE 10.
       10  MQXF-DATA-CONV-ON-GET   PIC S9(9) BINARY VALUE 11.
       10  MQXF-INQ   PIC S9(9) BINARY VALUE 12.
       10  MQXF-SET   PIC S9(9) BINARY VALUE 13.
       10  MQXF-BEGIN   PIC S9(9) BINARY VALUE 14.
       10  MQXF-CMIT   PIC S9(9) BINARY VALUE 15.
       10  MQXF-BACK   PIC S9(9) BINARY VALUE 16.

      ******************************************************************
      **  Values Related to MQCD Structure                            **
      ******************************************************************
      ** Structure Version Number 
       10  MQCD-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQCD-VERSION-2   PIC S9(9) BINARY VALUE 2.
       10  MQCD-VERSION-3   PIC S9(9) BINARY VALUE 3.
       10  MQCD-VERSION-4   PIC S9(9) BINARY VALUE 4.
       10  MQCD-VERSION-5   PIC S9(9) BINARY VALUE 5.
       10  MQCD-VERSION-6   PIC S9(9) BINARY VALUE 6.
       10  MQCD-VERSION-7   PIC S9(9) BINARY VALUE 7.
       10  MQCD-VERSION-8   PIC S9(9) BINARY VALUE 8.
       10  MQCD-CURRENT-VERSION   PIC S9(9) BINARY VALUE 8.

      ** Structure Length 
       10  MQCD-LENGTH-4   PIC S9(9) BINARY VALUE 1568.
       10  MQCD-LENGTH-5   PIC S9(9) BINARY VALUE 1584.
       10  MQCD-LENGTH-6   PIC S9(9) BINARY VALUE 1688.
       10  MQCD-LENGTH-7   PIC S9(9) BINARY VALUE 1792.
       10  MQCD-LENGTH-8   PIC S9(9) BINARY VALUE 1888.
       10  MQCD-CURRENT-LENGTH   PIC S9(9) BINARY VALUE 1888.

      ** Channel Types 
       10  MQCHT-SENDER   PIC S9(9) BINARY VALUE 1.
       10  MQCHT-SERVER   PIC S9(9) BINARY VALUE 2.
       10  MQCHT-RECEIVER   PIC S9(9) BINARY VALUE 3.
       10  MQCHT-REQUESTER   PIC S9(9) BINARY VALUE 4.
       10  MQCHT-ALL   PIC S9(9) BINARY VALUE 5.
       10  MQCHT-CLNTCONN   PIC S9(9) BINARY VALUE 6.
       10  MQCHT-SVRCONN   PIC S9(9) BINARY VALUE 7.
       10  MQCHT-CLUSRCVR   PIC S9(9) BINARY VALUE 8.
       10  MQCHT-CLUSSDR   PIC S9(9) BINARY VALUE 9.

      ** Channel Compression 
       10  MQCOMPRESS-NOT-AVAILABLE   PIC S9(9) BINARY VALUE -1.
       10  MQCOMPRESS-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQCOMPRESS-RLE   PIC S9(9) BINARY VALUE 1.
       10  MQCOMPRESS-ZLIBFAST   PIC S9(9) BINARY VALUE 2.
       10  MQCOMPRESS-ZLIBHIGH   PIC S9(9) BINARY VALUE 4.
       10  MQCOMPRESS-SYSTEM   PIC S9(9) BINARY VALUE 8.
       10  MQCOMPRESS-ANY   PIC S9(9) BINARY VALUE 268435455.

      ** Transport Types 
       10  MQXPT-ALL   PIC S9(9) BINARY VALUE -1.
       10  MQXPT-LOCAL   PIC S9(9) BINARY VALUE 0.
       10  MQXPT-LU62   PIC S9(9) BINARY VALUE 1.
       10  MQXPT-TCP   PIC S9(9) BINARY VALUE 2.
       10  MQXPT-NETBIOS   PIC S9(9) BINARY VALUE 3.
       10  MQXPT-SPX   PIC S9(9) BINARY VALUE 4.
       10  MQXPT-DECNET   PIC S9(9) BINARY VALUE 5.
       10  MQXPT-UDP   PIC S9(9) BINARY VALUE 6.

      ** Put Authority 
       10  MQPA-DEFAULT   PIC S9(9) BINARY VALUE 1.
       10  MQPA-CONTEXT   PIC S9(9) BINARY VALUE 2.
       10  MQPA-ONLY-MCA   PIC S9(9) BINARY VALUE 3.
       10  MQPA-ALTERNATE-OR-MCA   PIC S9(9) BINARY VALUE 4.

      ** Channel Data Conversion 
       10  MQCDC-SENDER-CONVERSION   PIC S9(9) BINARY VALUE 1.
       10  MQCDC-NO-SENDER-CONVERSION   PIC S9(9) BINARY VALUE 0.

      ** MCA Types 
       10  MQMCAT-PROCESS   PIC S9(9) BINARY VALUE 1.
       10  MQMCAT-THREAD   PIC S9(9) BINARY VALUE 2.

      ** NonPersistent-Message Speeds 
       10  MQNPMS-NORMAL   PIC S9(9) BINARY VALUE 1.
       10  MQNPMS-FAST   PIC S9(9) BINARY VALUE 2.

      ** SSL Client Authentication 
       10  MQSCA-REQUIRED   PIC S9(9) BINARY VALUE 0.
       10  MQSCA-OPTIONAL   PIC S9(9) BINARY VALUE 1.

      ** KeepAlive Interval 
       10  MQKAI-AUTO   PIC S9(9) BINARY VALUE -1.

      ******************************************************************
      **  Values Related to MQCXP Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQCXP-STRUC-ID   PIC X(4) VALUE 'CXP '.

      ** Structure Version Number 
       10  MQCXP-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQCXP-VERSION-2   PIC S9(9) BINARY VALUE 2.
       10  MQCXP-VERSION-3   PIC S9(9) BINARY VALUE 3.
       10  MQCXP-VERSION-4   PIC S9(9) BINARY VALUE 4.
       10  MQCXP-VERSION-5   PIC S9(9) BINARY VALUE 5.
       10  MQCXP-VERSION-6   PIC S9(9) BINARY VALUE 6.
       10  MQCXP-CURRENT-VERSION   PIC S9(9) BINARY VALUE 6.

      ** Exit Response 2 
       10  MQXR2-PUT-WITH-DEF-ACTION   PIC S9(9) BINARY VALUE 0.
       10  MQXR2-PUT-WITH-DEF-USERID   PIC S9(9) BINARY VALUE 1.
       10  MQXR2-PUT-WITH-MSG-USERID   PIC S9(9) BINARY VALUE 2.
       10  MQXR2-USE-AGENT-BUFFER   PIC S9(9) BINARY VALUE 0.
       10  MQXR2-USE-EXIT-BUFFER   PIC S9(9) BINARY VALUE 4.
       10  MQXR2-DEFAULT-CONTINUATION   PIC S9(9) BINARY VALUE 0.
       10  MQXR2-CONTINUE-CHAIN   PIC S9(9) BINARY VALUE 8.
       10  MQXR2-SUPPRESS-CHAIN   PIC S9(9) BINARY VALUE 16.
       10  MQXR2-STATIC-CACHE   PIC S9(9) BINARY VALUE 0.
       10  MQXR2-DYNAMIC-CACHE   PIC S9(9) BINARY VALUE 32.

      ** Capability Flags 
       10  MQCF-NONE   PIC S9(9) BINARY VALUE 0.
       10  MQCF-DIST-LISTS   PIC S9(9) BINARY VALUE 1.

      ******************************************************************
      **  Values Related to MQDXP Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQDXP-STRUC-ID   PIC X(4) VALUE 'DXP '.

      ** Structure Version Number 
       10  MQDXP-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQDXP-CURRENT-VERSION   PIC S9(9) BINARY VALUE 1.

      ** Exit Response 
       10  MQXDR-OK   PIC S9(9) BINARY VALUE 0.
       10  MQXDR-CONVERSION-FAILED   PIC S9(9) BINARY VALUE 1.

      ******************************************************************
      **  Values Related to MQPXP Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQPXP-STRUC-ID   PIC X(4) VALUE 'PXP '.

      ** Structure Version Number 
       10  MQPXP-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQPXP-CURRENT-VERSION   PIC S9(9) BINARY VALUE 1.

      ** Destination Types 
       10  MQDT-APPL   PIC S9(9) BINARY VALUE 1.
       10  MQDT-BROKER   PIC S9(9) BINARY VALUE 2.

      ******************************************************************
      **  Values Related to MQWDR Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQWDR-STRUC-ID   PIC X(4) VALUE 'WDR '.

      ** Structure Version Number 
       10  MQWDR-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQWDR-VERSION-2   PIC S9(9) BINARY VALUE 2.
       10  MQWDR-CURRENT-VERSION   PIC S9(9) BINARY VALUE 2.

      ** Structure Length 
       10  MQWDR-LENGTH-1   PIC S9(9) BINARY VALUE 124.
       10  MQWDR-LENGTH-2   PIC S9(9) BINARY VALUE 136.
       10  MQWDR-CURRENT-LENGTH   PIC S9(9) BINARY VALUE 136.

      ** Queue Manager Flags 
       10  MQQMF-REPOSITORY-Q-MGR   PIC S9(9) BINARY VALUE 2.
       10  MQQMF-CLUSSDR-USER-DEFINED   PIC S9(9) BINARY VALUE 8.
       10  MQQMF-CLUSSDR-AUTO-DEFINED   PIC S9(9) BINARY VALUE 16.
       10  MQQMF-AVAILABLE   PIC S9(9) BINARY VALUE 32.

      ******************************************************************
      **  Values Related to MQWQR Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQWQR-STRUC-ID   PIC X(4) VALUE 'WQR '.

      ** Structure Version Number 
       10  MQWQR-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQWQR-VERSION-2   PIC S9(9) BINARY VALUE 2.
       10  MQWQR-CURRENT-VERSION   PIC S9(9) BINARY VALUE 2.

      ** Structure Length 
       10  MQWQR-LENGTH-1   PIC S9(9) BINARY VALUE 200.
       10  MQWQR-LENGTH-2   PIC S9(9) BINARY VALUE 208.
       10  MQWQR-CURRENT-LENGTH   PIC S9(9) BINARY VALUE 208.

      ** Queue Flags 
       10  MQQF-LOCAL-Q   PIC S9(9) BINARY VALUE 1.
       10  MQQF-CLWL-USEQ-ANY   PIC S9(9) BINARY VALUE 64.
       10  MQQF-CLWL-USEQ-LOCAL   PIC S9(9) BINARY VALUE 128.

      ******************************************************************
      **  Values Related to MQWXP Structure                           **
      ******************************************************************
      ** Structure Identifier 
       10  MQWXP-STRUC-ID   PIC X(4) VALUE 'WXP '.

      ** Structure Version Number 
       10  MQWXP-VERSION-1   PIC S9(9) BINARY VALUE 1.
       10  MQWXP-VERSION-2   PIC S9(9) BINARY VALUE 2.
       10  MQWXP-VERSION-3   PIC S9(9) BINARY VALUE 3.
       10  MQWXP-CURRENT-VERSION   PIC S9(9) BINARY VALUE 3.

      ** Cluster Workload Flags 
       10  MQWXP-PUT-BY-CLUSTER-CHL   PIC S9(9) BINARY VALUE 2.

      ** Cluster Cache Types 
       10  MQCLCT-STATIC   PIC S9(9) BINARY VALUE 0.
       10  MQCLCT-DYNAMIC   PIC S9(9) BINARY VALUE 1.

      ******************************************************************
      **  General Values Related to Exits                             **
      ******************************************************************

      ** Exit Identifiers 
       10  MQXT-API-CROSSING-EXIT   PIC S9(9) BINARY VALUE 1.
       10  MQXT-API-EXIT   PIC S9(9) BINARY VALUE 2.
       10  MQXT-CHANNEL-SEC-EXIT   PIC S9(9) BINARY VALUE 11.
       10  MQXT-CHANNEL-MSG-EXIT   PIC S9(9) BINARY VALUE 12.
       10  MQXT-CHANNEL-SEND-EXIT   PIC S9(9) BINARY VALUE 13.
       10  MQXT-CHANNEL-RCV-EXIT   PIC S9(9) BINARY VALUE 14.
       10  MQXT-CHANNEL-MSG-RETRY-EXIT   PIC S9(9) BINARY VALUE 15.
       10  MQXT-CHANNEL-AUTO-DEF-EXIT   PIC S9(9) BINARY VALUE 16.
       10  MQXT-CLUSTER-WORKLOAD-EXIT   PIC S9(9) BINARY VALUE 20.
       10  MQXT-PUBSUB-ROUTING-EXIT   PIC S9(9) BINARY VALUE 21.

      ** Exit Reasons 
       10  MQXR-BEFORE   PIC S9(9) BINARY VALUE 1.
       10  MQXR-AFTER   PIC S9(9) BINARY VALUE 2.
       10  MQXR-CONNECTION   PIC S9(9) BINARY VALUE 3.
       10  MQXR-INIT   PIC S9(9) BINARY VALUE 11.
       10  MQXR-TERM   PIC S9(9) BINARY VALUE 12.
       10  MQXR-MSG   PIC S9(9) BINARY VALUE 13.
       10  MQXR-XMIT   PIC S9(9) BINARY VALUE 14.
       10  MQXR-SEC-MSG   PIC S9(9) BINARY VALUE 15.
       10  MQXR-INIT-SEC   PIC S9(9) BINARY VALUE 16.
       10  MQXR-RETRY   PIC S9(9) BINARY VALUE 17.
       10  MQXR-AUTO-CLUSSDR   PIC S9(9) BINARY VALUE 18.
       10  MQXR-AUTO-RECEIVER   PIC S9(9) BINARY VALUE 19.
       10  MQXR-CLWL-OPEN   PIC S9(9) BINARY VALUE 20.
       10  MQXR-CLWL-PUT   PIC S9(9) BINARY VALUE 21.
       10  MQXR-CLWL-MOVE   PIC S9(9) BINARY VALUE 22.
       10  MQXR-CLWL-REPOS   PIC S9(9) BINARY VALUE 23.
       10  MQXR-CLWL-REPOS-MOVE   PIC S9(9) BINARY VALUE 24.
       10  MQXR-AUTO-SVRCONN   PIC S9(9) BINARY VALUE 27.
       10  MQXR-AUTO-CLUSRCVR   PIC S9(9) BINARY VALUE 28.
       10  MQXR-SEC-PARMS   PIC S9(9) BINARY VALUE 29.

      ** Exit Responses 
       10  MQXCC-OK   PIC S9(9) BINARY VALUE 0.
       10  MQXCC-SUPPRESS-FUNCTION   PIC S9(9) BINARY VALUE -1.
       10  MQXCC-SKIP-FUNCTION   PIC S9(9) BINARY VALUE -2.
       10  MQXCC-SEND-AND-REQUEST-SEC-MSG   PIC S9(9) BINARY VALUE -3.
       10  MQXCC-SEND-SEC-MSG   PIC S9(9) BINARY VALUE -4.
       10  MQXCC-SUPPRESS-EXIT   PIC S9(9) BINARY VALUE -5.
       10  MQXCC-CLOSE-CHANNEL   PIC S9(9) BINARY VALUE -6.
       10  MQXCC-FAILED   PIC S9(9) BINARY VALUE -8.

      ** Exit User Area Value 
       10  MQXUA-NONE   PIC X(16) VALUE LOW-VALUES.

      ******************************************************************
      **  Values Related to MQXCNVC Function                          **
      ******************************************************************

      ** Conversion Options 
       10  MQDCC-DEFAULT-CONVERSION   PIC S9(9) BINARY VALUE 1.
       10  MQDCC-FILL-TARGET-BUFFER   PIC S9(9) BINARY VALUE 2.
       10  MQDCC-INT-DEFAULT-CONVERSION   PIC S9(9) BINARY VALUE 4.
       10  MQDCC-SOURCE-ENC-NATIVE   PIC S9(9) BINARY VALUE 32.
       10  MQDCC-SOURCE-ENC-NORMAL   PIC S9(9) BINARY VALUE 16.
       10  MQDCC-SOURCE-ENC-REVERSED   PIC S9(9) BINARY VALUE 32.
       10  MQDCC-SOURCE-ENC-UNDEFINED   PIC S9(9) BINARY VALUE 0.
       10  MQDCC-TARGET-ENC-NATIVE   PIC S9(9) BINARY VALUE 512.
       10  MQDCC-TARGET-ENC-NORMAL   PIC S9(9) BINARY VALUE 256.
       10  MQDCC-TARGET-ENC-REVERSED   PIC S9(9) BINARY VALUE 512.
       10  MQDCC-TARGET-ENC-UNDEFINED   PIC S9(9) BINARY VALUE 0.
       10  MQDCC-NONE   PIC S9(9) BINARY VALUE 0.

      ** Conversion Options Masks and Factors 
       10  MQDCC-SOURCE-ENC-MASK   PIC S9(9) BINARY VALUE 240.
       10  MQDCC-TARGET-ENC-MASK   PIC S9(9) BINARY VALUE 3840.
       10  MQDCC-SOURCE-ENC-FACTOR   PIC S9(9) BINARY VALUE 16.
       10  MQDCC-TARGET-ENC-FACTOR   PIC S9(9) BINARY VALUE 256.

      ******************************************************************
      **  End of CMQXV                                                **
      ******************************************************************

