VERSION 5.00
Begin VB.Form mqaxbsvr 
   Caption         =   "Bank Server Application"
   ClientHeight    =   5205
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5205
   ScaleWidth      =   6690
End
Attribute VB_Name = "mqaxbsvr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim Finish As Boolean
Dim Started As Boolean
Const CUSTOMERFOUND = 1
Const MONTHCOUNTDEPOSITS = 12
Const MONTHCOUNTWITHDRAWALS = 12
Const THREE_SECONDS = 3000
Const MT_BANK_TEST = 65536
Const MT_BANK_REQUEST = 65537
Const MT_BANK_REPLY = 65538
Const BANK_TEST_RESPONSE = "This message has an invalid format"
Const CUSTOMER1 = "Mr Jimmy Jones"

Private Sub Form_Click()
'*******************************************************************************
'* This simple bank server example loops indefinitely getting MT_BANK_REQUEST
'* messages from the "REQUEST" queue in turn and putting a corresponding reply
'* message to the "REPLY queue.
'* To use this sample you must have two queues defined on your default Queue
'* Manager with the name REQUEST and REPLY.
'* Reply messages contain sequences of random values representing customer
'* monthly deposit and withdrawal totals.
'* This is a SERVER sample and you would normally expect another application to be
'* placing the requests on the REQUEST queue. For clarity, this examples places
'* one MT_BANK_REQUEST message on the REQUEST queue at startup.
'*
'*******************************************************************************
Dim MQSess As MQSession                 '* session object
Dim QMgr As MQQueueManager              '* queue manager object
Dim InputQueue As MQQueue               '* input queue object
Dim OutputQueue As MQQueue              '* output queue object
Dim PutMsg As MQMessage                 '* message object for put
Dim GetMsg As MQMessage                 '* message object for get
Dim PutOptions As MQPutMessageOptions   '* get message options
Dim GetOptions As MQGetMessageOptions   '* put message options
Dim PutMsgStr As String                 '* put message data string
Dim CustomerLength As Long              '* Length of customer name
Dim Customer As String                  '* Customer name
Dim Month As Long
Dim DepositTotal As String
Dim WithdrawalTotal As String

'*******************************************************************************
'* Handle errors
'*******************************************************************************
On Error GoTo HandleError

'*******************************************************************************
'* Initialize the current position for the form
'*******************************************************************************
CurrentX = 0
CurrentY = 0

'*******************************************************************************
'* Create the MQSession object and access the MQQueueManager and (local) MQQueue
'*******************************************************************************
Set MQSess = New MQSession
Set QMgr = MQSess.AccessQueueManager("")
Set InputQueue = QMgr.AccessQueue("REQUEST", MQOO_INPUT_AS_Q_DEF Or MQOO_OUTPUT)
Set GetOptions = MQSess.AccessGetMessageOptions()
GetOptions.Options = MQGMO_WAIT + MQGMO_NO_SYNCPOINT
GetOptions.WaitInterval = THREE_SECONDS
Set OutputQueue = QMgr.AccessQueue("REPLY", MQOO_OUTPUT)
Set PutOptions = MQSess.AccessPutMessageOptions()
PutOptions.Options = MQPMO_NO_SYNCPOINT

'*******************************************************************************
'* Put a sample request message to process
'*******************************************************************************
Set PutMsg = MQSess.AccessMessage()
PutMsg.MessageType = MT_BANK_REQUEST
PutMsg.WriteLong Len(CUSTOMER1)
PutMsg.WriteString CUSTOMER1
InputQueue.Put PutMsg, PutOptions

'*******************************************************************************
'* Loop while no close request has been issued for the form
'*******************************************************************************
Started = True
Refresh
Finish = False

Cls
Print
Print "Close this form to exit."
Print

While (Finish = False)
  '*****************************************************************************
  '* Create an MQMessage object for use with get, get and process the request
  '* message.
  '*****************************************************************************
  Set GetMsg = MQSess.AccessMessage()
  MQSess.ExceptionThreshold = 3              '* process GetMsg errors in line
  InputQueue.Get GetMsg, GetOptions
  MQSess.ExceptionThreshold = 2
  
  If MQSess.ReasonCode <> MQRC_NO_MSG_AVAILABLE Then
    Print "Processing Message"
    CustomerLength = GetMsg.ReadLong
    Customer = GetMsg.ReadString(CustomerLength)
  
    '***************************************************************************
    '* Create an MQMessage object for use with put, build the reply and put the
    '* the reply message.
    '***************************************************************************
    If GetMsg.MessageType = MT_BANK_REQUEST Then
      Set PutMsg = MQSess.AccessMessage()
      PutMsg.MessageIdHex = GetMsg.MessageIdHex
      PutMsg.MessageType = MT_BANK_REPLY
      PutMsg.WriteLong CUSTOMERFOUND
      PutMsg.WriteString Customer
      PutMsg.WriteLong MONTHCOUNTDEPOSITS
      PutMsg.WriteLong MONTHCOUNTWITHDRAWALS
  
      Randomize
      For Month = 1 To MONTHCOUNTDEPOSITS
        DepositTotal = CStr(Int((1000 * Rnd) + 1) + (Int((99 * Rnd) + 1)) / 100)
        PutMsg.WriteShort Month
        PutMsg.WriteLong Len(DepositTotal)
        PutMsg.WriteString DepositTotal
      Next Month
  
      For Month = 1 To MONTHCOUNTWITHDRAWALS
        WithdrawalTotal = CStr(Int((1000 * Rnd) + 1) + (Int((99 * Rnd) + 1)) / 100)
        PutMsg.WriteShort Month
        PutMsg.WriteLong Len(WithdrawalTotal)
        PutMsg.WriteString WithdrawalTotal
      Next Month
      Print "  Processed customer : " & Customer & "."
    Else '* Not message type MT_BANK_TEST
      Set PutMsg = MQSess.AccessMessage()
      PutMsg.WriteString BANK_TEST_RESPONSE
      Print "  Invalid message type."
    End If
  OutputQueue.Put PutMsg, PutOptions
  End If
  DoEvents
Wend

Exit Sub
'*******************************************************************************
'* Handle errors
'*******************************************************************************
HandleError:

Cls
BackColor = RGB(255, 0, 0)  '* set to red for error
Print "An error occurred as follows:"
Print ""
Print "Visual Basic error:  " & Err
Print Error(Err)
Print ""
If MQSess.CompletionCode <> MQCC_OK Then
    Print "WebSphere MQ Completion Code = " & MQSess.CompletionCode
    Print "WebSphere MQ Reason Code = " & MQSess.ReasonCode
    Print "(" & MQSess.ReasonName & ")"
End If
Exit Sub

End Sub
Private Sub Form_Paint()
  Cls
  BackColor = RGB(155, 155, 155) ' set to gray for normal
  Print
  Print "Close this form to exit."
  Print
  If Started = False Then
    Print "Click anywhere within this form to start the bank server application."
  Else
    Print "Bank server application running."
  End If
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  Finish = True
End Sub


