'*<START_COPYRIGHT>                                                  *
'*Licensed Materials - Property of IBM                               *
'*                                                                   *
'*5724-B41                                                           *
'*(C) Copyright IBM Corp. 1994, 2002 All Rights Reserved.            *
'*                                                                   *
'*US Government Users Restricted Rights - Use, duplication or        *
'*disclosure restricted by GSA ADP Schedule Contract with            *
'*IBM Corp.                                                          *
'*<END_COPYRIGHT>                                                    *
'*********************************************************************
VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Begin VB.Form mqaxclss 
   Caption         =   "WebSphere MQ ActiveX Objects"
   ClientHeight    =   6540
   ClientLeft      =   1050
   ClientTop       =   3465
   ClientWidth     =   10965
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   6540
   ScaleWidth      =   10965
   Begin MSFlexGridLib.MSFlexGrid Grid2 
      Height          =   3855
      Left            =   8040
      TabIndex        =   10
      Top             =   1200
      Width           =   2415
      _ExtentX        =   4260
      _ExtentY        =   6800
      _Version        =   393216
      Rows            =   18
   End
   Begin MSFlexGridLib.MSFlexGrid Grid1 
      Height          =   3855
      Left            =   3240
      TabIndex        =   9
      Top             =   1200
      Width           =   4695
      _ExtentX        =   8281
      _ExtentY        =   6800
      _Version        =   393216
      Rows            =   18
   End
   Begin VB.ListBox errlist 
      Height          =   645
      Left            =   240
      TabIndex        =   7
      Top             =   5400
      Width           =   10455
   End
   Begin VB.TextBox QMName 
      Height          =   285
      Left            =   240
      TabIndex        =   6
      Top             =   1560
      Width           =   2775
   End
   Begin VB.TextBox qName 
      Height          =   285
      Left            =   240
      TabIndex        =   5
      Text            =   "SYSTEM.DEFAULT.LOCAL.QUEUE"
      Top             =   2610
      Width           =   2775
   End
   Begin VB.CommandButton MqQueue 
      Caption         =   "MQQueue"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   2040
      Width           =   2055
   End
   Begin VB.CommandButton MqQueueManager 
      Caption         =   "MQQueueManager"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   960
      Width           =   2055
   End
   Begin VB.Label gridval 
      Caption         =   "Label4"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   480
      Width           =   9255
   End
   Begin VB.Label label2 
      Caption         =   "Properties"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3120
      TabIndex        =   3
      Top             =   840
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Click on an object to display its properties and methods"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   600
      TabIndex        =   2
      Top             =   120
      Width           =   6255
      WordWrap        =   -1  'True
   End
   Begin VB.Label Label3 
      Caption         =   "Methods"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   8160
      TabIndex        =   4
      Top             =   720
      Width           =   2175
   End
End
Attribute VB_Name = "mqaxclss"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim MqS As MQSession  ' to access Mq as needed

Dim gridpos As Integer  ' to hold grid position

' shared values used to help error conditions
Dim op As String  ' current op
Dim v As Variant  ' current value
Dim myClass As String ' current class
Dim myObj As Object ' current MQ object

Function formatCodes(o As Object) As String
  formatCodes = "[completionCode = " & o.CompletionCode & _
    ",  reasonCode = " & o.ReasonCode & " (" & o.ReasonName & ")]"
End Function




Private Sub doShow(ByVal g As MSFlexGrid)
' Show the current op (property) and its value
' The value may have been set by the error handler.

  SetGrid g, gridpos, 0, op
  If VarType(v) > 1 And VarType(v) <> 10 Then
    SetGrid g, gridpos, 1, CStr(v)
  End If

  ' move on to next row
  gridpos = gridpos + 1
  ' prevent accidental reuse of information
  op = ""
  v = ""
End Sub

Private Sub methShow(g As MSFlexGrid, n As String)
' show each method,  show the name and move on to next row
    SetGrid g, gridpos, 0, n
    gridpos = gridpos + 1
End Sub

Sub logError()
' Log any error
' Give both the VB error value err and the MQ values
' from the MqSession object MqS.

v = "VB error " & Err & " " & xError(Err)

' Log in output list box/
  errlist.AddItem myClass & " " & op & "failed " & v

' If there is an object around, clear its codes
  If Not (myObj Is Nothing) Then
    myObj.ClearErrorCodes  ' so they do not get confused with next property get
  End If
  MqS.ClearErrorCodes
End Sub

Function xError(ee As Integer) As String
' Give error string for an error number.
' same as building error,
' but resistent to bad err values.

  Dim serr As Integer  ' save error number in case
  serr = Err
  On Error GoTo eee
  xError = Error(serr)
  Exit Function

' error handler for bad error number
eee:
  xError = "bad error number " & serr
  Exit Function
End Function


Private Sub errlist_DblClick()
' clear the box if it get too full of junk
   errlist.Clear
End Sub


Private Sub errtext_Change()

End Sub


Private Sub Form_Load()
' set up a few things when the form is loaded
Set MqS = New MQSession

Grid1.FixedRows = 0
Grid1.FixedCols = 0

Grid2.FixedRows = 0
Grid2.FixedCols = 0

Grid1.HighLight = False
Grid2.HighLight = False

Grid1.Cols = 2
Grid1.Rows = 18

Grid2.Cols = 1
Grid2.Rows = 18

End Sub


Private Sub Form_Resize()
' Fit everything together after a resize

Dim i As Long, wwidth As Long
wwidth = Grid1.Width / Grid1.Cols + 1440 / 2
For i = 0 To Grid1.Cols - 1
  Grid1.ColWidth(i) = wwidth
Next i

wwidth = Grid2.Width / Grid2.Cols
For i = 0 To Grid2.Cols - 1
  Grid2.ColWidth(i) = wwidth
Next i

errlist.Top = ScaleHeight - errlist.Height - 100

On Error Resume Next
Grid1.Height = errlist.Top - Grid1.Top - 100
Grid2.Height = Grid1.Height

End Sub


Private Sub Grid1_GotFocus()
' Change display when grid is reselected
  Grid1_SelChange  ' force redisplay of attribute
End Sub

Private Sub Grid1_LostFocus()
' Clear detail display
  gridval.Caption = ""
End Sub

Private Sub Grid1_SelChange()
' detailed display of selected value,
' in case too wide for cells in the grid
  Dim prop As String
  Dim v As String
  Dim r As Integer, c As Integer

  c = Grid1.Col

  Grid1.Col = 0 ' find id and value(cols 1 and 2)
  prop = Grid1.text
  If prop = "" Then
    gridval.Caption = ""
  Else
    Grid1.Col = 1
    v = Grid1.text

    gridval.Caption = prop & ": """ & v & """"
  End If

  Grid1.Col = c
End Sub





Private Sub MqQueue_Click()
 Dim oQueueManager As New MqQueueManager
 Dim oRequestQueue As MqQueue

 myClass = "MqQueue"
 On Error GoTo eee
 ClearGrid Grid1
 ClearGrid Grid2
 errlist.Clear           'clear any existing errors

 op = "queueManager access"
 Set oQueueManager = MqS.AccessQueueManager(QMName.text)

 op = "queue access"
 Set oRequestQueue = oQueueManager.AccessQueue(qName.text, MQOO_INQUIRE)   'returns a MqQueue object
 
 DisplayMqQueueProperties Grid1, oRequestQueue
 DisplayMqQueueMethods Grid2
 
 oQueueManager.Disconnect
 Exit Sub

' error handler
eee:
  logError
  Resume Next
End Sub

Private Sub MqQueueManager_Click()
 Dim oQueueManager As MqQueueManager

 myClass = "MqQueueManager"
 On Error GoTo eee
 ClearGrid Grid1
 ClearGrid Grid2
 errlist.Clear           'clear any existing errors
 
 ' Connect to the Queue Manager with the given name
 op = "access"
 MqS.ExceptionThreshold = 99
 Set oQueueManager = MqS.AccessQueueManager(QMName.text)
 MqS.ExceptionThreshold = MQCC_FAILED

 ' Now display the attributes for the objects we've created
 DisplayMqQueueManagerProperties Grid1, oQueueManager
 DisplayMqQueueManagerMethods Grid2

 oQueueManager.Disconnect
 Exit Sub

' error handler
eee:
  logError
  Resume Next
End Sub



Public Sub DisplayMqQueueManagerProperties(ByVal g As MSFlexGrid, ByVal QM As Object)
' display properites for object
'    clear the grid
'    set up error handling and myObj
'    display the properties
'    truncate the grid to required size
'    exit
' standard error handler eee: in case of problems

  gridpos = 0
   On Error GoTo eee
   Set myObj = QM
   QM.ClearErrorCodes

   op = "AlternateUserId": v = QM.AlternateUserId: doShow g
   op = "AuthorityEvent": v = QM.AuthorityEvent: doShow g
   op = "BeginOptions": v = QM.BeginOptions: doShow g
   op = "ChannelAutoDefinition": v = QM.ChannelAutoDefinition: doShow g
   op = "ChannelAutoDefinitionEvent": v = QM.ChannelAutoDefinitionEvent: doShow g
   op = "ChannelAutoDefinitionExit": v = QM.ChannelAutoDefinitionExit: doShow g
   op = "CharacterSet": v = QM.CharacterSet: doShow g
   op = "CloseOptions": v = QM.CloseOptions: doShow g
   op = "CommandInputQueueName": v = QM.CommandInputQueueName: doShow g
   op = "CommandLevel": v = QM.CommandLevel: doShow g
   op = "CompletionCode": v = QM.CompletionCode: doShow g
   op = "ConnectionHandle": v = QM.ConnectionHandle: doShow g
   op = "ConnectionStatus": v = QM.ConnectionStatus: doShow g
   op = "ConnectOptions": v = QM.ConnectOptions: doShow g
   op = "DeadLetterQueueName": v = QM.DeadLetterQueueName: doShow g
   op = "DefaultTransmissionQueueName": v = QM.DefaultTransmissionQueueName: doShow g
   op = "Description": v = QM.Description: doShow g
   op = "DistributionList": v = QM.DistributionLists: doShow g
   op = "InhibitEvent": v = QM.InhibitEvent: doShow g
   op = "IsConnected": v = QM.IsConnected: doShow g
   op = "IsOpen": v = QM.IsOpen: doShow g
   op = "LocalEvent": v = QM.LocalEvent: doShow g
   op = "MaximumHandles": v = QM.MaximumHandles: doShow g
   op = "MaximumMessageLength": v = QM.MaximumMessageLength: doShow g
   op = "MaximumPriority": v = QM.MaximumPriority: doShow g
   op = "MaximumUncommittedMessages": v = QM.MaximumUncommittedMessages: doShow g
   op = "Name": v = QM.Name: doShow g
   op = "ObjectHandle": v = QM.ObjectHandle: doShow g
   op = "PerformanceEvent": v = QM.PerformanceEvent: doShow g
   op = "Platform": v = QM.Platform: doShow g
   op = "ReasonCode": v = QM.ReasonCode: doShow g
   op = "ReasonName": v = QM.ReasonName: doShow g
   op = "RemoteEvent": v = QM.RemoteEvent: doShow g
   op = "StartStopEvent": v = QM.StartStopEvent: doShow g
   op = "SyncPointAvailability": v = QM.SyncPointAvailability: doShow g
   op = "TriggerInterval": v = QM.TriggerInterval: doShow g

   g.Rows = gridpos
   g.Row = 0
   Grid1_GotFocus      'display 1st attribute
 
 Exit Sub

' error handler
eee:
  logError
  Resume Next
 End Sub

Private Sub SetGrid(ByVal g As MSFlexGrid, ByVal r As Long, ByVal c As Long, ByVal text)
  g.Col = c
  g.Row = r
  g.text = text
End Sub

Public Sub DisplayMqQueueProperties(ByVal g As MSFlexGrid, ByVal Q As Object)
' display properites for object
'    clear the grid
'    set up error handling and myObj
'    display the properties
'    truncate the grid to required size
'    exit
' standard error handler eee: in case of problems

  gridpos = 0
   On Error GoTo eee
   Set myObj = Q
   Q.ClearErrorCodes

   op = "AlternateUserId": v = Q.AlternateUserId: doShow g
   op = "BackoutRequeueName": v = Q.BackoutRequeueName: doShow g
   op = "BackoutThreshold": v = Q.BackoutThreshold: doShow g
   op = "BaseQueueName": v = Q.BaseQueueName: doShow g
   op = "CloseOptions": v = Q.CloseOptions: doShow g
   op = "CompletionCode": v = Q.CompletionCode: doShow g
   op = "ConnectionReference": v = Q.ConnectionReference.Name: doShow g
   op = "CreationDateTime": v = Q.CreationDateTime: doShow g
   op = "CurrentDepth": v = Q.CurrentDepth: doShow g
   op = "DefaultInputOpenOption": v = Q.DefaultInputOpenOption: doShow g
   op = "DefaultPersistence": v = Q.DefaultPersistence: doShow g
   op = "DefaultPriority": v = Q.DefaultPriority: doShow g
   op = "DefinitionType": v = Q.DefinitionType: doShow g
   op = "DepthHighEvent": v = Q.DepthHighEvent: doShow g
   op = "DepthHighLimit": v = Q.DepthHighLimit: doShow g
   op = "DepthLowEvent": v = Q.DepthLowEvent: doShow g
   op = "DepthLowLimit": v = Q.DepthLowLimit: doShow g
   op = "DepthMaximumEvent": v = Q.DepthMaximumEvent: doShow g
   op = "Description": v = Q.Description: doShow g
   op = "DynamicQueueName": v = Q.DynamicQueueName: doShow g
   op = "HardenGetBackout": v = Q.HardenGetBackout: doShow g
   op = "InhibitGet": v = Q.InhibitGet: doShow g
   op = "InhibitPut": v = Q.InhibitPut: doShow g
   op = "InitiationQueueName": v = Q.InitiationQueueName: doShow g
   op = "IsOpen": v = Q.IsOpen: doShow g
   op = "MaximumDepth": v = Q.MaximumDepth: doShow g
   op = "MaximumMessageLength": v = Q.MaximumMessageLength: doShow g
   op = "MessageDeliverySequence": v = Q.MessageDeliverySequence: doShow g
   op = "Name": v = Q.Name: doShow g
   op = "ObjectHandle": v = Q.ObjectHandle: doShow g
   op = "OpenInputCount": v = Q.OpenInputCount: doShow g
   op = "OpenOptions": v = Q.OpenOptions: doShow g
   op = "OpenOutputCount": v = Q.OpenOutputCount: doShow g
   op = "OpenStatus": v = Q.OpenStatus: doShow g
   op = "ProcessName": v = Q.ProcessName: doShow g
   op = "QueueManagerName": v = Q.QueueManagerName: doShow g
   op = "QueueType": v = Q.QueueType: doShow g
   op = "ReasonCode": v = Q.ReasonCode: doShow g
   op = "ReasonName": v = Q.ReasonName: doShow g
   op = "RemoteQueueManagerName": v = Q.RemoteQueueManagerName: doShow g
   op = "RemoteQueueName": v = Q.RemoteQueueName: doShow g
   op = "RetentionInterval": v = Q.RetentionInterval: doShow g
   op = "Scope": v = Q.Scope: doShow g
   op = "ServiceInterval": v = Q.ServiceInterval: doShow g
   op = "ServiceIntervalEvent": v = Q.ServiceIntervalEvent: doShow g
   op = "Shareability": v = Q.Shareability: doShow g
   op = "TransmissionQueueName": v = Q.TransmissionQueueName: doShow g
   op = "TriggerControl": v = Q.TriggerControl: doShow g
   op = "TriggerData": v = Q.TriggerData: doShow g
   op = "TriggerDepth": v = Q.TriggerDepth: doShow g
   op = "TriggerMessagePriority": v = Q.TriggerMessagePriority: doShow g
   op = "TriggerType": v = Q.TriggerType: doShow g
   op = "Usage": v = Q.Usage: doShow g

   g.Rows = gridpos
   g.Row = 0
   Grid1_GotFocus      'display 1st attribute
   
 Exit Sub

' error handler
eee:
  logError
  Resume Next
End Sub








Sub DisplayMqQueueManagerMethods(ByVal g As MSFlexGrid)
' display the methods (do not call them)
'    reset position in the output grid
'    show the methods
'    truncate the output grid

  gridpos = 0

  methShow g, "AccessQueue"
  methShow g, "AddDistributionList"
  methShow g, "Backout"
  methShow g, "Begin"
  methShow g, "ClearErrorCodes"
  methShow g, "Commit"
  methShow g, "Connect"
  methShow g, "Disconnect"
  g.Rows = gridpos
End Sub



Sub DisplayMqQueueMethods(ByVal g As MSFlexGrid)
' display the methods (do not call them)
'    reset position in the output grid
'    show the methods
'    truncate the output grid

  gridpos = 0

   methShow g, "ClearErrorCodes"
   methShow g, "Close"
   methShow g, "Get"
   methShow g, "Open"
   methShow g, "Put"
   g.Rows = gridpos
End Sub




Public Sub ClearGrid(ByVal g As MSFlexGrid)
' clear the grid and get ready for redraw

  ' clear and recreate grid
  g.Rows = 1
  g.Rows = 100  ' enough space for anything

  ' set gridpos so grid will be filled from top
  gridpos = 0
End Sub


