VERSION 5.00
Begin VB.Form MQAXDLst 
   Appearance      =   0  'Flat
   BackColor       =   &H00FFFF00&
   Caption         =   "MQAX DistributionLists sample"
   ClientHeight    =   5970
   ClientLeft      =   900
   ClientTop       =   3495
   ClientWidth     =   9690
   BeginProperty Font 
      Name            =   "Times New Roman"
      Size            =   14.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5970
   ScaleWidth      =   9690
   Begin VB.TextBox Q2 
      Height          =   495
      Left            =   4200
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   3960
      Width           =   3135
   End
   Begin VB.TextBox Q1 
      Height          =   450
      Left            =   4200
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   3000
      Width           =   3135
   End
   Begin VB.Label Label2 
      Caption         =   "Name of 2nd queue"
      Height          =   375
      Left            =   1440
      TabIndex        =   3
      Top             =   4080
      Width           =   2415
   End
   Begin VB.Label Label1 
      Caption         =   "Name of 1st queue"
      Height          =   495
      Left            =   1440
      TabIndex        =   2
      Top             =   3000
      Width           =   2415
   End
End
Attribute VB_Name = "MQAXDLst"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Click()

'*******************************************************************************
'* This simple example illustrates how to put and get a WebSphere MQ message to 
'* and from an MQ message queue. The data from the message returned by the get
'* is read and compared with that from the original message.
'*******************************************************************************
Dim MQSess As MQSession                 '* session object
Dim QMgr As MQQueueManager              '* queue manager object
Dim Queue As MQQueue                    '* queue object
Dim PutMsg As MQMessage                 '* message object for put
Dim GetMsg As MQMessage                 '* message object for get
Dim PutOptions As MQPutMessageOptions   '* get message options
Dim GetOptions As MQGetMessageOptions   '* put message options
Dim PutMsgStr As String                 '* put message data string
Dim GetMsgStr1 As String                 '* get message data string
Dim GetMsgStr2 As String                 '* get message data string
Dim DistList As MQDistributionList      '* distribution list
Dim DistListItem1 As MQDistributionListItem
Dim DistListItem2 As MQDistributionListItem

'*******************************************************************************
'* Handle errors
'*******************************************************************************
On Error GoTo HandleError

'*******************************************************************************
'* Initialize the current position for the form
'*******************************************************************************
CurrentX = 0
CurrentY = 0

'*******************************************************************************
'* Create the MQSession object and access the MQQueueManager and (local) MQQueue
'*******************************************************************************
Set MQSess = New MQSession
Set QMgr = MQSess.AccessQueueManager("")
Set DistList = New MQDistributionList
DistList.ConnectionReference = QMgr
Set DistListItem1 = DistList.AddDistributionListItem(Q1.Text, QMgr.Name)
Set DistListItem2 = DistList.AddDistributionListItem(Q2.Text, QMgr.Name)
                       
'*******************************************************************************
'* Create a new MQMessage object for use with put, add some data then create an
'* MQPutMessageOptions object and put the message
'*******************************************************************************
Set PutMsg = MQSess.AccessMessage()
PutMsgStr = "12345678 " & Time
PutMsg.MessageData = PutMsgStr
Set PutOptions = MQSess.AccessPutMessageOptions()
PutOptions.Options = PutOptions.Options Or MQPMO_NO_SYNCPOINT Or MQPMO_NEW_MSG_ID '*create unique msg id
DistList.OpenOptions = MQOO_OUTPUT
DistList.Open
DistList.Put PutMsg, PutOptions

'*******************************************************************************
'* Create a new MQMessage object for use with get, set the MessageId (to that of
'* the message that was put), create an MQGetMessageOptions object and get the
'* message.
'*
'* Note: Setting the MessageId ensures that the get returns the MQMessage
'* that was put earlier.
'*******************************************************************************
Set GetMsg = MQSess.AccessMessage()
GetMsg.MessageId = DistListItem1.MessageId
Set GetOptions = MQSess.AccessGetMessageOptions()
GetOptions.Options = GetOptions.Options Or MQGMO_NO_SYNCPOINT
Set Queue = QMgr.AccessQueue(Q1.Text, MQOO_INPUT_AS_Q_DEF)
Queue.Get GetMsg, GetOptions
GetMsgStr1 = GetMsg.MessageData

Set Queue = QMgr.AccessQueue(Q2.Text, MQOO_INPUT_AS_Q_DEF)
GetMsg.MessageId = DistListItem2.MessageId
Queue.Get GetMsg, GetOptions

'*******************************************************************************
'* Read the data from the message returned by the get, compare it with that
'* from the original message and output a suitable message.
'*******************************************************************************
GetMsgStr2 = GetMsg.MessageData
Cls
If (GetMsgStr1 = PutMsgStr) And (GetMsgStr2 = PutMsgStr) Then
    BackColor = RGB(127, 255, 127)  '* set to green for ok
    Print
    Print "Message data comparison was successful."
    Print "Message data: """ & GetMsgStr1 & """"
Else
    BackColor = RGB(255, 255, 127)  '* set to amber for compare error
    Print "Compare error: "
    Print "The message data received did not match the"
    Print "message data sent in the original message."
    If GetMsgStr1 <> PutMsgStr Then               '* first queue was in error
        Print
        Print "Sent message data:        """ & PutMsgStr & """"
        Print "Received message data: """ & GetMsgStr1 & """"
        Print "Queue name: """ & Q1.Text & """"
    Else                                          '* Second queue was in error
        Print
        Print "Sent message data:        """ & PutMsgStr & """"
        Print "Received message data: """ & GetMsgStr2 & """"
        Print "Queue name: """ & Q2.Text & """"
    End If
End If

Exit Sub
'*******************************************************************************
'* Handle errors
'*******************************************************************************
HandleError:
Dim ErrMsg As String
Dim StrPos As Integer
Cls
BackColor = RGB(255, 0, 0)  '* set to red for error
Print "An error occurred as follows:"
Print ""
If MQSess.CompletionCode <> MQCC_OK Then
    ErrMsg = Err.Description
    StrPos = InStr(ErrMsg, " ")            ' * search for first blank
    If StrPos > 0 Then
        Print Left(ErrMsg, StrPos)         '* print offending MQAX object name
    Else
        Print Error(Err)                   '* print complete error object
    End If
    Print ""
    Print "WebSphere MQ Completion Code = " & MQSess.CompletionCode
    Print "WebSphere MQ Reason Code = " & MQSess.ReasonCode
    Print "(" & MQSess.ReasonName & ")"
Else
    Print "Visual Basic error:  " & Err
    Print Error(Err)
End If

Exit Sub

End Sub





Private Sub Form_Paint()
  Cls
  Print "Click anywhere within this form to run the test."
  Print ""
  Print "A simple message will be put to a series of WebSphere MQ message queues and"
  Print "then read back from the queues and compared with the original message."
  Print "Please enter the name of 2 queues available on the default WebSphere MQ"
  Print "Queue Manager and then click the form."
  
  
End Sub


