VERSION 5.00
Begin VB.UserControl MQMessageDisplay 
   ClientHeight    =   2880
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3840
   ScaleHeight     =   2880
   ScaleWidth      =   3840
   Begin VB.Frame Frame1 
      BackColor       =   &H00EBCE87&
      Caption         =   "Frame1"
      Height          =   2652
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3612
      Begin VB.TextBox qnameBox 
         Height          =   288
         Left            =   360
         TabIndex        =   2
         Text            =   "Text1"
         Top             =   0
         Visible         =   0   'False
         Width           =   3132
      End
      Begin VB.ListBox messages 
         Height          =   1968
         IntegralHeight  =   0   'False
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   3372
      End
   End
End
Attribute VB_Name = "MQMessageDisplay"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'<!/******************************************************************************/!>
'<!/*                                                                            */!>
'<!/* Program name: VbMqMts                                                      */!>
'<!/*                                                                            */!>
'<!/* Description:  Sample VB program for WebSphere MQ MTS Support               */!>
'<!/*                                                                            */!>
'<!/*  <N_OCO_COPYRIGHT>                                                         */!>
'<!/*  Licensed Materials - Property of IBM                                      */!>
'<!/*                                                                            */!>
'<!/*  63H9336                                                                   */!>
'<!/*  (c) Copyright IBM Corp. 1999, 2005 All Rights Reserved.                   */!>
'<!/*                                                                            */!>
'<!/*  US Government Users Restricted Rights - Use, duplication or               */!>
'<!/*  disclosure restricted by GSA ADP Schedule Contract with                   */!>
'<!/*  IBM Corp.                                                                 */!>
'<!/*  <NOC_COPYRIGHT>                                                           */!>
'<!/*                                                                            */!>
'<!/******************************************************************************/!>
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' This contains a very simple minded general purpose queue browser
' for demo/diagnosis.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Option Explicit
'Default Property Values:
Const m_def_QueueName = ""
Const m_def_QueueManagerName = ""
'Property Variables:
Dim m_QueueName As String
Dim m_QueueManagerName As String

Dim mqs As MQSession
Dim qm As MQQueueManager
Dim q As MQQueue

Public Property Get QueueName() As String
    QueueName = m_QueueName
End Property

Public Property Let QueueName(ByVal New_QueueName As String)
    m_QueueName = New_QueueName
    PropertyChanged "QueueName"
    ' qnameBox.Text = m_QueueName
    Frame1.caption = m_QueueName & " queue"
    qnameBox.Text = m_QueueName
End Property

Public Property Get QueueManagerName() As String
    QueueManagerName = m_QueueManagerName
End Property

Public Property Let QueueManagerName(ByVal New_QueueManagerName As String)
    m_QueueManagerName = New_QueueManagerName
    PropertyChanged "QueueManagerName"
    
End Property


' refresh the message list
' return true if changed
Public Function Refresh() As Boolean
    Dim i As Integer
    Dim msg As MQMessage
    Dim gmo As New MQGetMessageOptions
    Dim changed As Boolean ' set to true if chanage in list
    
    On Error GoTo refresh_error
    If mqs Is Nothing Then Set mqs = New MQSession
    If qm Is Nothing Then Set qm = mqs.AccessQueueManager(m_QueueManagerName)
    If q Is Nothing Then Set q = qm.AccessQueue(m_QueueName, _
        MQOO_BROWSE Or MQOO_INQUIRE)
    
    gmo.Options = MQGMO_BROWSE_FIRST
    For i = 0 To 50 ' only show first 50 messages at most
        Set msg = New MQMessage ' fresh one for each read
        q.Get msg, gmo
        setitem messages, i, msg.MessageData
        gmo.Options = MQGMO_BROWSE_NEXT
    Next i
    changed = setitem(messages, i, "...")
    Refresh = changed
    Exit Function
    
refresh_error:
    Dim endmsg As String
    If mqs Is Nothing Then
        endmsg = "*** cannot cannot create MQSession ***"
    ElseIf mqs.ReasonCode = MQRC_NO_MSG_AVAILABLE Then
        If i = 0 Then
            endmsg = "=== no available messages ==="
        Else
            endmsg = "================"
        End If
    Else
        endmsg = "*** Error: " & Err.Description
        Set qm = Nothing ' so that we will notice qm shutdown and restart
        Set q = Nothing
    End If
    
    changed = setitem(messages, i, endmsg)
    Refresh = changed
    Exit Function
End Function

Private Sub Frame1_DblClick()
    qnameBox.Visible = True
End Sub


Private Sub qnameBox_Change()
    m_QueueName = qnameBox.Text
    Set q = Nothing
End Sub

Private Sub UserControl_Click()
    Refresh
End Sub

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_QueueName = m_def_QueueName
    m_QueueManagerName = m_def_QueueManagerName
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    QueueName = PropBag.ReadProperty("QueueName", m_def_QueueName)
    QueueManagerName = PropBag.ReadProperty("QueueManagerName", m_def_QueueManagerName)
    
End Sub

Private Sub UserControl_Resize()
    Dim b As Single ' consistent border
    b = messages.Left
    Dim ofh As Single, ofw As Single
    qnameBox.Move b, b, ScaleWidth - 2 * b, qnameBox.Height
    messages.Move b, messages.Top, ScaleWidth - 2 * b, ScaleHeight - messages.Top - b
    ofh = Frame1.Height
    ofw = Frame1.Width
    Frame1.Move 0, 0, ScaleWidth, ScaleHeight
    messages.Height = ScaleHeight - messages.Top - b
    messages.Width = ScaleWidth - 2 * messages.Left
    Frame1.caption = m_QueueName & " queue"
    qnameBox.Text = m_QueueName
    Refresh
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("QueueName", m_QueueName, m_def_QueueName)
    Call PropBag.WriteProperty("QueueManagerName", m_QueueManagerName, m_def_QueueManagerName)
End Sub

