VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FindReplies"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'<!/******************************************************************************/!>
'<!/*                                                                            */!>
'<!/* Program name: VbMqMts                                                      */!>
'<!/*                                                                            */!>
'<!/* Description:  Sample VB program for WebSphere MQ MTS Support               */!>
'<!/*                                                                            */!>
'<!/* Statement:    Licensed Materials - Property of IBM                         */!>
'<!/*                                                                            */!>
'<!/*               (C) Copyright IBM Corp. 1999 - 2000                          */!>
'<!/*                                                                            */!>
'<!/******************************************************************************/!>

Option Explicit
'Implements ObjectControl

' these need to be member variables as we have several calls
Dim mqs As MQSession
Dim qm As MQQueueManager
Dim q As MQQueue

Dim m_QmName As String
Dim m_Connection As String

Public Property Let Connection(s As String)
    m_Connection = s
End Property
Public Property Get Connection() As String
    Connection = m_Connection
End Property
Public Property Let QmName(s As String)
    m_QmName = s
End Property
Public Property Get QmName() As String
    QmName = m_QmName
End Property

Private Sub Class_Terminate()
    ' cleanup a bit (not really needed?)
    If Not qm Is Nothing Then qm.Disconnect
    Set q = Nothing
    Set qm = Nothing
End Sub

' Make sure the MQ

Private Sub ObjectControl_deActivate()
End Sub

Private Function ObjectControl_CanBePooled() As Boolean
End Function


' get reply, warn if problems (no_msg_available is normal end)
Public Function GetReply(reply As String) As Long
    Dim msg As MQMessage
    Dim gmo As MQGetMessageOptions
    Dim ctxObject As ObjectContext

    ' May be called more than once within a given transaction.
    ' Keep the queue and queue manager ready.
    
    Set ctxObject = GetObjectContext()
    
    If mqs Is Nothing Then
        If ctxObject Is Nothing Then
            Set mqs = CreateObject("MQAX200.MQSession")
        Else
            Set mqs = ctxObject.CreateInstance("MQAX200.MQSession")
        End If
    End If
    log "about to access queue manager '" & m_QmName & "'"
    If qm Is Nothing Then Set qm = mqs.AccessQueueManager(m_QmName)
    log "access queue manager '" & m_QmName & "' rc = " & mqs.ReasonName
    If q Is Nothing Then Set q = qm.AccessQueue("BankReply", MQOO_INQUIRE Or MQOO_INPUT_AS_Q_DEF)
    
    Set msg = mqs.AccessMessage
    Set gmo = mqs.AccessGetMessageOptions
    
    gmo.Options = MQGMO_SYNCPOINT
    
    On Error Resume Next  ' prevent no message being a problem
    q.Get msg, gmo
    
    If q.ReasonCode = MQRC_NONE Then
        reply = msg.MessageData
    ElseIf q.ReasonCode = MQRC_NO_MSG_AVAILABLE Then
        reply = ""
    Else
        reply = Err.Description
    End If
    GetReply = q.ReasonCode
    
    ' and record the transfer in the database
    UpdateDbRequestTransfer msg.CorrelationIdHex, Mid(reply, 5, 8), Mid(reply, 13, 8), Mid(reply, 21, 11), Mid(reply, 32)
    
End Function

Public Function ConfirmReplies()
    ' Close off the transaction
    If transactionMode = "in transaction" Then
        GetObjectContext.SetComplete
    End If
    qm.Disconnect
    Set qm = Nothing
End Function

Public Function IgnoreReplies()
    ' Close off the transaction; abort and the messages will be backed out
    If transactionMode = "in transaction" Then
        GetObjectContext.SetAbort
    Else
        ' code to make it easier to test outside MTS
        qm.Backout ' use MQ standalone transaction completion
    End If
    qm.Disconnect
    Set qm = Nothing
End Function

' help for debug, check about transactions
Public Function transactionMode() As String
    If GetObjectContext Is Nothing Then
        transactionMode = "no context"
    ElseIf GetObjectContext.IsInTransaction Then
        transactionMode = "in transaction"
    Else
        transactionMode = "not in transaction"
    End If
End Function

Private Sub UpdateDbRequestTransfer(Id As String, FromAccount As String, ToAccount As String, Amount As Currency, Status As String)

    If m_Connection <> "" Then
        Dim Cn As New ADODB.Connection
        
        On Error GoTo eee
    
        'DSN-Less connection for SQL Server
        ' Cn.Open "Driver={SQL Server};Server=ONION;Uid=sa;Pwd=;Database=master"
        Cn.Open m_Connection
        Cn.Execute "update bankrequest " _
            & "set status = '" & Status & "', " _
            & "ChangeTime = '" & Now & "' " _
            & "where id = '" & Id & "'"
        
        Cn.Close
    End If
    
    Exit Sub
    
eee:
Debug.Print "Error in updatedb for FindReplies: " & Err.Description
Exit Sub
End Sub

