VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "QueryStatus"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'<!/******************************************************************************/!>
'<!/*                                                                            */!>
'<!/* Program name: VbMqMts                                                      */!>
'<!/*                                                                            */!>
'<!/* Description:  Sample VB program for WebSphere MQ MTS Support               */!>
'<!/*                                                                            */!>
'<!/* Statement:    Licensed Materials - Property of IBM                         */!>
'<!/*                                                                            */!>
'<!/*               (C) Copyright IBM Corp. 1999 - 2000                          */!>
'<!/*                                                                            */!>
'<!/******************************************************************************/!>
Option Explicit

' Query current status
' First make sure status is up to date
' by reading MQ messages (using FindReplies::GetReply).
' Then call database to get current status.
Function QueryStatus(Account As String, Connection As String) As String
    Dim s As String     ' output line from GetReply (ignored)
    Dim rc As Long      ' return code from GetReply
    Dim extra As String  ' extra output as a result of MQ work

    ' First get information from MQ into database.
    ' This uses the FindReplies object.
    ' It transfers all replies, whether or not to do with this account.
    Dim fr As FindReplies
        
    ' Create up the object for getting the replies
    If GetObjectContext Is Nothing Then
        Set fr = New FindReplies  ' for debug testing outside MTS
    Else
        Set fr = GetObjectContext.CreateInstance("VbMqMtsServe.FindReplies")
    End If
    
    ' Set its database connection
    fr.Connection = Connection
    
    ' Force outstanding replies in BankReply queue to be processed.
    ' Ignore result s; it will also be placed into the database.
    Do
        rc = fr.GetReply(s)
    Loop Until rc <> 0
    
    ' Should end loop with no more messages.
    If rc = MQRC_NO_MSG_AVAILABLE Then
        fr.ConfirmReplies   ' normal end of execution
        extra = ""
    Else
        fr.IgnoreReplies    ' something funny went wrong
        extra = "Maybe out of date, cannot read WebSphere MQ data." & Chr(10)
        Dim mqs As New MQSession
        extra = extra & "   " & mqs.ReasonCodeName(rc) & Chr(10)
    End If
    Set fr = Nothing
    
    ' Now do the database query,
    ' including all the old and any newly transferred messages.
    QueryStatus = extra & QueryStatusDB(Account, Connection)
End Function

' Do the work of querying the database.
' (Yes, I know the output formatting is a bit feeble ...)
Function QueryStatusDB(Account As String, Connection As String) As String
    Dim rr As String ' for errors
    Dim res As String ' for result
    Dim Cn As ADODB.Connection
    Dim rs As New ADODB.Recordset
    Dim f As ADODB.Field
    Dim s As String ' for output string
    Dim i As Integer  ' count as we move down

    On Error GoTo eee

    ' cope with no database case
    If Connection = "" Then
        QueryStatusDB = "No DB specified."
        Exit Function
    End If
    
    ' make connections
    Set Cn = New ADODB.Connection
    Cn.Open Connection
    rr = rr & checkerr
    
    ' now read from the database
    rs.Open "SELECT FromAccount, ToAccount, Amount, Status " & _
        "FROM BankRequest " & _
        "WHERE FromAccount = '" & Account & "'" & _
        "OR ToAccount = '" & Account & "'", _
        Cn
    rr = rr & checkerr
    
    On Error Resume Next
        rs.MoveFirst
    On Error GoTo eee
    For i = 1 To 100
        If rs.EOF Then Exit For
        s = ""
        For Each f In rs.Fields
            s = s & f.Value & " "
        Next f
        res = res & Chr(10) & s
        rs.MoveNext
    Next i
    
    Cn.Close
    rr = rr & checkerr
    
    Set rs = Nothing
    Set Cn = Nothing
    QueryStatusDB = res
    Exit Function
    
eee:
    QueryStatusDB = Err.Description
    Set rs = Nothing
    Set Cn = Nothing
    Exit Function

End Function



