// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SQCS2Axis.cs
//
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>
  
/// <summary>
/// This sample program makes a request to the Axis service providing stock
/// quotes and prints out the received response. The request is synchronous
/// and the program waits until it gets a response. The proxies required by the
/// client for the Axis service are generated from the Java file provided as
/// part of the SOAP server samples.
/// </summary>

using System;

	class SQCS2Axis	{
		[STAThread]
		static void Main(string[] args)
		{
		try
	       {
                   // Register the WMQSOAP URL extension with DotNet
	  	   IBM.WMQSOAP.Register.Extension();

		   StockQuoteAxisService stockobj = new StockQuoteAxisService();
			
		   // Any first argument is used as the target Url
		   if (args.GetLength(0) >= 1) stockobj.Url = args[0];
                  
                   // Call the Axis service for a quote (the service only has
                   // one stock ('XXX'), and always returns the same value.
		   System.Single res = stockobj.getQuote("XXX");
		   Console.WriteLine("SQCS2Axis RPC reply is: " + res);
	       }
	    catch (System.Exception e) 
           {
		   Console.WriteLine("\n>>> EXCEPTION WHILE RUNNING SQCS2Axis DEMO <<<\n" + e.ToString());
           } 

        }
	}
