// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SQCS2DotNet.cs
//
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>
  
/// <summary>
/// This sample provides an example of the use of non inline code using the
/// codebehind technique in an asmx file.
/// The program makes a request to the DotNet service providing stock quotes
/// and prints out the received response. The request is synchronous and the
/// program waits until a response is received. The proxies required by the
/// client for the DotNet service are defined in the DLL file
/// SQDNNonInLine.dll,  which is build from the file
/// SQDNNoninline.asmx.cs. Both these files are provided as part of SOAP
//  samples.
/// </summary>
  
using System;

	class SQCS2DNNonInline
	{
		[STAThread]
		static void Main(string[] args)
		{
		try
	       {
                   // Register the WMQSOAP URL extension with DotNet
	  	   IBM.WMQSOAP.Register.Extension();

		   SQDNNonInline stockobj = new SQDNNonInline();
			
		   // Any first argument is used as the target Url
		   if (args.GetLength(0) >= 1) stockobj.Url = args[0];
                  
                   // Call the DotNet service for a quote (the service only hae
                   // one stock ('XXX'), and always returns the same value.
		   System.Single res = stockobj.getNonInlineQuote("XXX");
		   Console.WriteLine("RPC reply is: " + res);

			if (args.GetLength(0) == 0)
			   {
			   res = stockobj.getNonInlineQuoteDOC("XXX");
			   Console.WriteLine("DOC reply is: " + res);
			   }
	       }
	    catch (System.Exception e) 
           {
		   Console.WriteLine("\n>>> EXCEPTION WHILE RUNNING SQCS2DNNonInline DEMO <<<\n" + e.ToString());
           } 

        }
	}
