// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SQDNNonInline.asmx
//
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 2004, 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>

/// <summary>
/// This sample is an example of the non inline method of coding a service.
/// The services are defined in the SQDNNonInline.asmx file provided with the
/// SOAP samples. The actual methods that implement the services are defined in
/// this file.
/// </summary>
using System;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Services.Description;
using System.Threading;

[WebService (Namespace="http://stock.samples")]
public class SQDNNonInline : System.Web.Services.Protocols.SoapHttpClientProtocol {

     [WebMethod] [ SoapRpcMethod(OneWay=true) ]
     public void getNonInlineQuoteOneWay(String symbol) {
          if (symbol.ToUpper().Equals("DELAY")) Thread.Sleep(5000);
          System.Console.WriteLine("getNonInlineQuoteOneWay was invoked.");
     }

     [WebMethod] [SoapRpcMethod] 
     public float getNonInlineQuote(String symbol) {
          if (symbol.ToUpper().Equals("DELAY")) Thread.Sleep(10000);
          return 88.88F;
     }

     [WebMethod] [SoapRpcMethod] 
     public int asyncNonInlineQuote(int delay) {
          Thread.Sleep(delay);
          return delay;
     }
     [WebMethod] 
     public float getNonInlineQuoteDOC(String symbol) {
          return 77.77F;
     }
}

