// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          StockQuoteDotNet.asmx.cs
//
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>

/// <summary>
/// This sample provides an example of the use of a request/response sequence
/// with transaction control. The service is defined in the
/// StockQuoteDotNetTran.asmx file provided with the SOAP samples.
/// The actual methods that implement the services are defined in
/// this file.
/// The service takes a parameter that defines either the Stock symbol or the
/// transacton control to be applied.
/// The use of the service is in the sample program
/// SQCS2DotNetAsyncReqRespTran.cs.
/// </summary>

using System;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Services.Description;
using System.Threading;

using System.EnterpriseServices;

[WebService (Namespace="http://stock.samples")]
public class StockQuoteDotNetTran 
{

	[WebMethod] [SoapRpcMethod] 
	public float getQuoteTran(String symbol) 
	{
		System.Console.WriteLine("In getQuoteTran, symbol: " + symbol);
		if (symbol.ToUpper().Equals("ROLLBACK"))
		{
			Console.WriteLine("get QuoteTran is setting transaction vote to: Abort");
			ContextUtil.MyTransactionVote=TransactionVote.Abort;
		}
		return 88.88F;
	}
}

