// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SQAxis2Axis.java
//
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>
  
package soap.clients;

import java.net.URL;
import soap.server.*;

/**
 * This class contains an example of how to use Axis generated proxy classes to
 * invoke a service. The proxies for the service are generated from
 * StockQuoteAxis.java which is supplied with the SOAP samples.
 */
public class SQAxis2Axis
{
  public static final String SCCSID = "@(#) samples/soap/java/clients/SQAxis2Axis.java, soap, p600, p600-201-061220 1.8.1.1 05/05/26 13:37:04";
  public static void main( String[] args )
  {
    String symbol = "XXX";
    
    // Must register WMQ transport extensions before doing SOAP/MQ
    com.ibm.mq.soap.Register.extension();
    
    try
    {
      // Use the locator to get a handle to the service on a specific WSDL Port
      // The locator class is in the proxy class StockQuoteAxisServiceLocator
      // generated when the service is deployed.
      StockQuoteAxisService locator = new StockQuoteAxisServiceLocator();
      
      StockQuoteAxis service=null;
      if (args.length == 0)
         service = locator.getSoapServerStockQuoteAxis_Wmq();
      else
         service = locator.getSoapServerStockQuoteAxis_Wmq(new java.net.URL(args[0]));
      
      // Invoke the target service and print the returned result.
      float result = service.getQuote( symbol );
      System.out.println( "Response: " + result );
    }
    catch ( Exception e )
    {
      System.out.println("\n>>> EXCEPTION WHILE RUNNING ProxyClient DEMO <<<\n");
      e.printStackTrace();
      System.exit( 2 );
    }
  }
}
