// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SQAxis2DotNet.java
//
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>
  
package soap.clients;

import dotNetService.*;

/**
 * This class contains an example of how to use Axis generated proxy classes
 * to invoke a service
 * This sample program makes a request to the DotNet service providing stock
 * quotes and prints out the received response. The request is synchronous
 * and the program waits until it gets a response. The proxies required by the
 * client for the Axis service are generated from the Java file provided as
 * part of the SOAP server samples.
 */
public class SQAxis2DotNet
{
  public static final String SCCSID = "@(#) samples/soap/java/clients/SQAxis2DotNet.java, soap, p600, p600-201-061220 1.6.1.1 05/05/26 13:37:27";
  public static void main( String[] args )
  {
    String symbol = "XXX";
    
    // Must register WMQ transport extensions before doing SOAP/MQ
    com.ibm.mq.soap.Register.extension();
    
    try
    {
      // Use the locator to get a handle to the service on a specific WSDL Port
      StockQuoteDotNet locator = new StockQuoteDotNetLocator();

      StockQuoteDotNetSoap service=null;
      if (args.length == 0)
         service = locator.getStockQuoteDotNetSoap();
      else
         service = locator.getStockQuoteDotNetSoap(new java.net.URL(args[0]));          

      // Invoke the target service doc style
      float result = service.getQuoteDOC( symbol );

      System.out.println( "Response: " + result );
    }
    catch ( Exception e )
    {
      System.out.println("\n>>> EXCEPTION WHILE RUNNING ProxyClient DEMO <<<\n");
      e.printStackTrace();
      System.exit( 2 );
    }
  }
}
