@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          regenDemo.cmd
@ rem - 
@ rem -   <N_OCO_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM
@ rem -   
@ rem -   63H9336
@ rem -   (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
@ rem -   
@ rem -   US Government Users Restricted Rights - Use, duplication or
@ rem -   disclosure restricted by GSA ADP Schedule Contract with
@ rem -   IBM Corp.
@ rem -   <NOC_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get WMQSOAP_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off

rem - regenerate and redeploy the demo from the source
setlocal

echo setup environment
call "%WMQSOAP_HOME%\bin\amqwsetcp"
if NOT %errorlevel% == 0 goto :envfail

echo clean up old directories and files
rmdir /s /q classes
erase /q server-config.wsdd
rem - force reregistration
erase /q RegisterDotNET.log

echo check MQ bits ready
call "%WMQSOAP_HOME%\Tools\soap\samples\setupWMQSOAP"
if NOT %errorlevel% == 0 goto :wmqsetupfail

echo deploy the Axis server (generate proxies, etc)
mkdir soap\server
copy "%WMQSOAP_HOME%\Tools\soap\samples\java\server\StockQuoteAxis.java" soap\server\.

call "%WMQSOAP_HOME%\bin\amqwdeployWMQService" -u "jms:/queue?destination=SOAPJ.demos@WMQSOAP.DEMO.QM&connectionFactory=connectQueueManager(WMQSOAP.DEMO.QM)&initialContextFactory=com.ibm.mq.jms.Nojndi" -n 10 -f soap\server\StockQuoteAxis.java
if NOT %errorlevel% == 0 goto :Javadeployfail

echo deploy the dotNet server (generate proxies, etc)

copy "%WMQSOAP_HOME%\Tools\soap\samples\dotnet\StockQuoteDotNet.asmx" .

call "%WMQSOAP_HOME%\bin\amqwdeployWMQService" -u "jms:/queue?destination=SOAPN.demos@WMQSOAP.DEMO.QM&connectionFactory=connectQueueManager(WMQSOAP.DEMO.QM)&initialContextFactory=com.ibm.mq.jms.Nojndi" -n 10 -f StockQuoteDotNet.asmx

if NOT %errorlevel% == 0 goto :DNdeployfail

copy "%WMQSOAP_HOME%\Tools\soap\samples\dotnet\StockQuoteDotNetTran.asmx" .

rem - compile the clients
rem - make sure the proxies are high in the serach path
echo Recompile the clients, using the proxies just generated
mkdir classes
mkdir soap\clients
copy "%WMQSOAP_HOME%\Tools\soap\samples\java\clients\*.java" soap\clients\

erase /q soap\clients\SQAxis2AxisAsync*.java

javac -d classes soap\clients\*.java

call "%WMQSOAP_HOME%\Tools\soap\samples\msdemobuild"
if NOT %errorlevel% == 0 goto :msdemofail

echo Configure the client to make sure that Axis clients know about jms:xxx
call "%WMQSOAP_HOME%\bin\amqwclientConfig"
if NOT %errorlevel% == 0 goto :amqwclientconfigfail

copy "%WMQSOAP_HOME%\Tools\soap\samples\*.txt" .

echo Demo regenerated
endlocal
exit /b 0

:envfail
echo ERROR - Environment failure, please check documentation for prerequisites.
exit /b 1

:wmqsetupfail
echo ERROR - WMQ Setup failed, please check error logs.
exit /b 1

:DNdeployfail
echo ERROR - DotNet Deployment failed, please check errors from Deployment.
exit /b 1

:Javadeployfail
echo ERROR - Java Deployment failed, please check errors from Deployment.
exit /b 1

:msdemofail
echo ERROR - msdemobuild failed, please check errors from msdemobuild.
exit /b 1

:amqwclientconfigfail
echo ERROR - amqwclientconfig failed, please check errors from amqwclientconfig
exit /b 1
