@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          amqwsetcp.cmd
@ rem - 
@ rem -   <N_OCO_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM
@ rem -   
@ rem -   63H9336
@ rem -   (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
@ rem -   
@ rem -   US Government Users Restricted Rights - Use, duplication or
@ rem -   disclosure restricted by GSA ADP Schedule Contract with
@ rem -   IBM Corp.
@ rem -   <NOC_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get WMQSOAP_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@ pushd %~dp0\..
@ set WMQ_HOME=%cd%
@ popd

@ rem - skip environment checking if not wanted
@ if "%1"=="nocheckenvironment" goto :setcp

@ if not exist "%WMQSOAP_HOME%\java\lib\soap\axis.jar" (
echo Error - axis.jar not found
echo Please copy the required Axis jar files from the WebSphere MQ installation CD.
echo If the files are copied to other than "%WMQSOAP_HOME%\java\lib\soap",
echo edit 'amqwsetcp.cmd' so that it looks for axis.jar in the right place and also
echo sets up the CLASSPATH correctly.
@ exit /b 1 )
@ call :checkExists "%WMQSOAP_HOME%\java\lib\com.ibm.mq.soap.jar"
@ if errorlevel 1 exit /b 1
   
:setcp
@ call :checkInPath java.exe
@ if errorlevel 1 exit /b 1

@ rem - add to the path as needed
@ set DotNetFrameworkPath=%SystemRoot%\Microsoft.NET\Framework\v1.0.3705
@ set DotNetFrameworkPath=%SystemRoot%\Microsoft.NET\Framework\v1.1.4322
@ call :whereInPath csc.exe
@ if "%whereInPath%"=="" (
@   set path=%DotNetFrameworkPath%;%path%
@   rem - double check this one, and correct if appropriate
@   call :checkInPath csc.exe
@   if errorlevel 1 exit /b 1
  )  
@ set DotNetFrameworkPath=%whereInPath%
  
   
@ call :whereInPath amqwSOAPNETListener.exe  
@ if "%whereInPath%"=="" (
@   set path=%WMQSOAP_HOME%\bin;%path%
  )  
 
@ call :whereInPath setupWMQSOAP.cmd
@ if "%whereInPath%"=="" (
@   set path=%WMQSOAP_HOME%\Tools\soap\samples;%path%
  )  
 
@ rem - now set up classpath -------------------------------------- 
@ rem (come here directly if nocheckenvironment specified)
@ rem - for user defined functions that are not in a jar
@ rem - put these first to pick up any user changes (eg redeploy of demo)
@ set CLASSPATH=classes;generated\client\remote;generated\server
@
@ rem - SOAP classes
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\com.ibm.mq.soapasync_MA0V.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\com.ibm.mq.soap.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\commonservices.jar
@ 
@ rem - for Axis
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\axis.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\jaxrpc.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\saaj.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\commons-logging.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\commons-discovery.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\wsdl4j.jar

@ rem - For Xerces
@ set xml4j=c:\Program Files\IBM\Java142
@ if DEFINED MQXML4J (
@ set xml4j=%MQXML4J%
  )
@ set CLASSPATH=%CLASSPATH%;%xml4j%\xml.jar

@ rem - needed for Axis under JDK 1.4
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\soap\servlet.jar
@ 
@ rem - for MQ/JMS
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\com.ibm.mq.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\com.ibm.mqjms.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\connector.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\jms.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\jta.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\jndi.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\ldap.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\providerutil.jar
@ set CLASSPATH=%CLASSPATH%;%WMQSOAP_HOME%\java\lib\com.ibm.mqbind.jar

@ rem - subroutine to check if item already in path (and if so, where)
@ :whereInPath
@ set whereInPath=%~dp$PATH:1
@ exit /b 0

@ :checkExists
@ if not exist %1 (
@   echo ERROR - %1 does not exist. 
@   echo Recheck configuration and if really necessary, edit amqwsetcp.cmd
@   exit /b 1
  )
@ exit /b 0

@ :checkInPath
@ set whereInPath=%~dp$PATH:1
@ if ""=="%whereInPath%" (
@   echo ERROR - %1 not in path. 
@   echo Recheck configuration and if really necessary, edit amqwsetcp.cmd
@   exit /b 1
  )
@ exit /b 0    


